#line 1 "f2ctmp_dblas.f"
/* f2ctmp_dblas.f -- translated by f2c (version 19950110).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "f2c.h"

#line 1 "f2ctmp_dblas.f"
/* Table of constant values */

static doublereal c_b122 = 1.;

doublereal dasum_(integer *n, doublereal *dx, integer *incx)
{
    /* System generated locals */
    integer i__1;
    doublereal ret_val, d__1, d__2, d__3, d__4, d__5, d__6;

    /* Local variables */
    static integer i, m, ix, mp1;
    static doublereal dtemp;


/*     takes the sum of the absolute values. */
/*     uses unrolled loops for increment equal to one. */
/*     jack dongarra, linpack, 3/11/78. */
/*     modified to correct problem with negative increment, 8/21/90. */


#line 11 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 11 "f2ctmp_dblas.f"
    --dx;
#line 11 "f2ctmp_dblas.f"

#line 11 "f2ctmp_dblas.f"
    /* Function Body */
#line 11 "f2ctmp_dblas.f"
    ret_val = 0.;
#line 12 "f2ctmp_dblas.f"
    dtemp = 0.;
#line 13 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 13 "f2ctmp_dblas.f"
	return ret_val;
#line 13 "f2ctmp_dblas.f"
    }
#line 14 "f2ctmp_dblas.f"
    if (*incx == 1) {
#line 14 "f2ctmp_dblas.f"
	goto L20;
#line 14 "f2ctmp_dblas.f"
    }

/*        code for increment not equal to 1 */

#line 18 "f2ctmp_dblas.f"
    ix = 1;
#line 19 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 19 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 19 "f2ctmp_dblas.f"
    }
#line 20 "f2ctmp_dblas.f"
    i__1 = *n;
#line 20 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 21 "f2ctmp_dblas.f"
	dtemp += (d__1 = dx[ix], abs(d__1));
#line 22 "f2ctmp_dblas.f"
	ix += *incx;
#line 23 "f2ctmp_dblas.f"
/* L10: */
#line 23 "f2ctmp_dblas.f"
    }
#line 24 "f2ctmp_dblas.f"
    ret_val = dtemp;
#line 25 "f2ctmp_dblas.f"
    return ret_val;

/*        code for increment equal to 1 */


/*        clean-up loop */

#line 32 "f2ctmp_dblas.f"
L20:
#line 32 "f2ctmp_dblas.f"
    m = *n % 6;
#line 33 "f2ctmp_dblas.f"
    if (m == 0) {
#line 33 "f2ctmp_dblas.f"
	goto L40;
#line 33 "f2ctmp_dblas.f"
    }
#line 34 "f2ctmp_dblas.f"
    i__1 = m;
#line 34 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 35 "f2ctmp_dblas.f"
	dtemp += (d__1 = dx[i], abs(d__1));
#line 36 "f2ctmp_dblas.f"
/* L30: */
#line 36 "f2ctmp_dblas.f"
    }
#line 37 "f2ctmp_dblas.f"
    if (*n < 6) {
#line 37 "f2ctmp_dblas.f"
	goto L60;
#line 37 "f2ctmp_dblas.f"
    }
#line 38 "f2ctmp_dblas.f"
L40:
#line 38 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 39 "f2ctmp_dblas.f"
    i__1 = *n;
#line 39 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 6) {
#line 40 "f2ctmp_dblas.f"
	dtemp = dtemp + (d__1 = dx[i], abs(d__1)) + (d__2 = dx[i + 1], abs(
		d__2)) + (d__3 = dx[i + 2], abs(d__3)) + (d__4 = dx[i + 3], 
		abs(d__4)) + (d__5 = dx[i + 4], abs(d__5)) + (d__6 = dx[i + 5]
		, abs(d__6));
#line 42 "f2ctmp_dblas.f"
/* L50: */
#line 42 "f2ctmp_dblas.f"
    }
#line 43 "f2ctmp_dblas.f"
L60:
#line 43 "f2ctmp_dblas.f"
    ret_val = dtemp;
#line 44 "f2ctmp_dblas.f"
    return ret_val;
} /* dasum_ */

/* Subroutine */ int daxpy_(integer *n, doublereal *da, doublereal *dx, 
	integer *incx, doublereal *dy, integer *incy)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static integer i, m, ix, iy, mp1;


/*     constant times a vector plus a vector. */
/*     uses unrolled loops for increments equal to one. */
/*     jack dongarra, linpack, 3/11/78. */


#line 55 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 55 "f2ctmp_dblas.f"
    --dy;
#line 55 "f2ctmp_dblas.f"
    --dx;
#line 55 "f2ctmp_dblas.f"

#line 55 "f2ctmp_dblas.f"
    /* Function Body */
#line 55 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 55 "f2ctmp_dblas.f"
	return 0;
#line 55 "f2ctmp_dblas.f"
    }
#line 56 "f2ctmp_dblas.f"
    if (*da == 0.) {
#line 56 "f2ctmp_dblas.f"
	return 0;
#line 56 "f2ctmp_dblas.f"
    }
#line 57 "f2ctmp_dblas.f"
    if (*incx == 1 && *incy == 1) {
#line 57 "f2ctmp_dblas.f"
	goto L20;
#line 57 "f2ctmp_dblas.f"
    }

/*        code for unequal increments or equal increments */
/*          not equal to 1 */

#line 62 "f2ctmp_dblas.f"
    ix = 1;
#line 63 "f2ctmp_dblas.f"
    iy = 1;
#line 64 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 64 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 64 "f2ctmp_dblas.f"
    }
#line 65 "f2ctmp_dblas.f"
    if (*incy < 0) {
#line 65 "f2ctmp_dblas.f"
	iy = (-(*n) + 1) * *incy + 1;
#line 65 "f2ctmp_dblas.f"
    }
#line 66 "f2ctmp_dblas.f"
    i__1 = *n;
#line 66 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 67 "f2ctmp_dblas.f"
	dy[iy] += *da * dx[ix];
#line 68 "f2ctmp_dblas.f"
	ix += *incx;
#line 69 "f2ctmp_dblas.f"
	iy += *incy;
#line 70 "f2ctmp_dblas.f"
/* L10: */
#line 70 "f2ctmp_dblas.f"
    }
#line 71 "f2ctmp_dblas.f"
    return 0;

/*        code for both increments equal to 1 */


/*        clean-up loop */

#line 78 "f2ctmp_dblas.f"
L20:
#line 78 "f2ctmp_dblas.f"
    m = *n % 4;
#line 79 "f2ctmp_dblas.f"
    if (m == 0) {
#line 79 "f2ctmp_dblas.f"
	goto L40;
#line 79 "f2ctmp_dblas.f"
    }
#line 80 "f2ctmp_dblas.f"
    i__1 = m;
#line 80 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 81 "f2ctmp_dblas.f"
	dy[i] += *da * dx[i];
#line 82 "f2ctmp_dblas.f"
/* L30: */
#line 82 "f2ctmp_dblas.f"
    }
#line 83 "f2ctmp_dblas.f"
    if (*n < 4) {
#line 83 "f2ctmp_dblas.f"
	return 0;
#line 83 "f2ctmp_dblas.f"
    }
#line 84 "f2ctmp_dblas.f"
L40:
#line 84 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 85 "f2ctmp_dblas.f"
    i__1 = *n;
#line 85 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 4) {
#line 86 "f2ctmp_dblas.f"
	dy[i] += *da * dx[i];
#line 87 "f2ctmp_dblas.f"
	dy[i + 1] += *da * dx[i + 1];
#line 88 "f2ctmp_dblas.f"
	dy[i + 2] += *da * dx[i + 2];
#line 89 "f2ctmp_dblas.f"
	dy[i + 3] += *da * dx[i + 3];
#line 90 "f2ctmp_dblas.f"
/* L50: */
#line 90 "f2ctmp_dblas.f"
    }
#line 91 "f2ctmp_dblas.f"
    return 0;
} /* daxpy_ */

doublereal dcabs1_(doublecomplex *z)
{
    /* System generated locals */
    doublereal ret_val;
    static doublecomplex equiv_0[1];

    /* Local variables */
#define t ((doublereal *)equiv_0)
#define zz (equiv_0)

#line 97 "f2ctmp_dblas.f"
    zz->r = z->r, zz->i = z->i;
#line 98 "f2ctmp_dblas.f"
    ret_val = abs(t[0]) + abs(t[1]);
#line 99 "f2ctmp_dblas.f"
    return ret_val;
} /* dcabs1_ */

#undef zz
#undef t


/* Subroutine */ int dcopy_(integer *n, doublereal *dx, integer *incx, 
	doublereal *dy, integer *incy)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static integer i, m, ix, iy, mp1;


/*     copies a vector, x, to a vector, y. */
/*     uses unrolled loops for increments equal to one. */
/*     jack dongarra, linpack, 3/11/78. */


#line 110 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 110 "f2ctmp_dblas.f"
    --dy;
#line 110 "f2ctmp_dblas.f"
    --dx;
#line 110 "f2ctmp_dblas.f"

#line 110 "f2ctmp_dblas.f"
    /* Function Body */
#line 110 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 110 "f2ctmp_dblas.f"
	return 0;
#line 110 "f2ctmp_dblas.f"
    }
#line 111 "f2ctmp_dblas.f"
    if (*incx == 1 && *incy == 1) {
#line 111 "f2ctmp_dblas.f"
	goto L20;
#line 111 "f2ctmp_dblas.f"
    }

/*        code for unequal increments or equal increments */
/*          not equal to 1 */

#line 116 "f2ctmp_dblas.f"
    ix = 1;
#line 117 "f2ctmp_dblas.f"
    iy = 1;
#line 118 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 118 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 118 "f2ctmp_dblas.f"
    }
#line 119 "f2ctmp_dblas.f"
    if (*incy < 0) {
#line 119 "f2ctmp_dblas.f"
	iy = (-(*n) + 1) * *incy + 1;
#line 119 "f2ctmp_dblas.f"
    }
#line 120 "f2ctmp_dblas.f"
    i__1 = *n;
#line 120 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 121 "f2ctmp_dblas.f"
	dy[iy] = dx[ix];
#line 122 "f2ctmp_dblas.f"
	ix += *incx;
#line 123 "f2ctmp_dblas.f"
	iy += *incy;
#line 124 "f2ctmp_dblas.f"
/* L10: */
#line 124 "f2ctmp_dblas.f"
    }
#line 125 "f2ctmp_dblas.f"
    return 0;

/*        code for both increments equal to 1 */


/*        clean-up loop */

#line 132 "f2ctmp_dblas.f"
L20:
#line 132 "f2ctmp_dblas.f"
    m = *n % 7;
#line 133 "f2ctmp_dblas.f"
    if (m == 0) {
#line 133 "f2ctmp_dblas.f"
	goto L40;
#line 133 "f2ctmp_dblas.f"
    }
#line 134 "f2ctmp_dblas.f"
    i__1 = m;
#line 134 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 135 "f2ctmp_dblas.f"
	dy[i] = dx[i];
#line 136 "f2ctmp_dblas.f"
/* L30: */
#line 136 "f2ctmp_dblas.f"
    }
#line 137 "f2ctmp_dblas.f"
    if (*n < 7) {
#line 137 "f2ctmp_dblas.f"
	return 0;
#line 137 "f2ctmp_dblas.f"
    }
#line 138 "f2ctmp_dblas.f"
L40:
#line 138 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 139 "f2ctmp_dblas.f"
    i__1 = *n;
#line 139 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 7) {
#line 140 "f2ctmp_dblas.f"
	dy[i] = dx[i];
#line 141 "f2ctmp_dblas.f"
	dy[i + 1] = dx[i + 1];
#line 142 "f2ctmp_dblas.f"
	dy[i + 2] = dx[i + 2];
#line 143 "f2ctmp_dblas.f"
	dy[i + 3] = dx[i + 3];
#line 144 "f2ctmp_dblas.f"
	dy[i + 4] = dx[i + 4];
#line 145 "f2ctmp_dblas.f"
	dy[i + 5] = dx[i + 5];
#line 146 "f2ctmp_dblas.f"
	dy[i + 6] = dx[i + 6];
#line 147 "f2ctmp_dblas.f"
/* L50: */
#line 147 "f2ctmp_dblas.f"
    }
#line 148 "f2ctmp_dblas.f"
    return 0;
} /* dcopy_ */

doublereal ddot_(integer *n, doublereal *dx, integer *incx, doublereal *dy, 
	integer *incy)
{
    /* System generated locals */
    integer i__1;
    doublereal ret_val;

    /* Local variables */
    static integer i, m, ix, iy, mp1;
    static doublereal dtemp;


/*     forms the dot product of two vectors. */
/*     uses unrolled loops for increments equal to one. */
/*     jack dongarra, linpack, 3/11/78. */


#line 159 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 159 "f2ctmp_dblas.f"
    --dy;
#line 159 "f2ctmp_dblas.f"
    --dx;
#line 159 "f2ctmp_dblas.f"

#line 159 "f2ctmp_dblas.f"
    /* Function Body */
#line 159 "f2ctmp_dblas.f"
    ret_val = 0.;
#line 160 "f2ctmp_dblas.f"
    dtemp = 0.;
#line 161 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 161 "f2ctmp_dblas.f"
	return ret_val;
#line 161 "f2ctmp_dblas.f"
    }
#line 162 "f2ctmp_dblas.f"
    if (*incx == 1 && *incy == 1) {
#line 162 "f2ctmp_dblas.f"
	goto L20;
#line 162 "f2ctmp_dblas.f"
    }

/*        code for unequal increments or equal increments */
/*          not equal to 1 */

#line 167 "f2ctmp_dblas.f"
    ix = 1;
#line 168 "f2ctmp_dblas.f"
    iy = 1;
#line 169 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 169 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 169 "f2ctmp_dblas.f"
    }
#line 170 "f2ctmp_dblas.f"
    if (*incy < 0) {
#line 170 "f2ctmp_dblas.f"
	iy = (-(*n) + 1) * *incy + 1;
#line 170 "f2ctmp_dblas.f"
    }
#line 171 "f2ctmp_dblas.f"
    i__1 = *n;
#line 171 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 172 "f2ctmp_dblas.f"
	dtemp += dx[ix] * dy[iy];
#line 173 "f2ctmp_dblas.f"
	ix += *incx;
#line 174 "f2ctmp_dblas.f"
	iy += *incy;
#line 175 "f2ctmp_dblas.f"
/* L10: */
#line 175 "f2ctmp_dblas.f"
    }
#line 176 "f2ctmp_dblas.f"
    ret_val = dtemp;
#line 177 "f2ctmp_dblas.f"
    return ret_val;

/*        code for both increments equal to 1 */


/*        clean-up loop */

#line 184 "f2ctmp_dblas.f"
L20:
#line 184 "f2ctmp_dblas.f"
    m = *n % 5;
#line 185 "f2ctmp_dblas.f"
    if (m == 0) {
#line 185 "f2ctmp_dblas.f"
	goto L40;
#line 185 "f2ctmp_dblas.f"
    }
#line 186 "f2ctmp_dblas.f"
    i__1 = m;
#line 186 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 187 "f2ctmp_dblas.f"
	dtemp += dx[i] * dy[i];
#line 188 "f2ctmp_dblas.f"
/* L30: */
#line 188 "f2ctmp_dblas.f"
    }
#line 189 "f2ctmp_dblas.f"
    if (*n < 5) {
#line 189 "f2ctmp_dblas.f"
	goto L60;
#line 189 "f2ctmp_dblas.f"
    }
#line 190 "f2ctmp_dblas.f"
L40:
#line 190 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 191 "f2ctmp_dblas.f"
    i__1 = *n;
#line 191 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 5) {
#line 192 "f2ctmp_dblas.f"
	dtemp = dtemp + dx[i] * dy[i] + dx[i + 1] * dy[i + 1] + dx[i + 2] * 
		dy[i + 2] + dx[i + 3] * dy[i + 3] + dx[i + 4] * dy[i + 4];
#line 194 "f2ctmp_dblas.f"
/* L50: */
#line 194 "f2ctmp_dblas.f"
    }
#line 195 "f2ctmp_dblas.f"
L60:
#line 195 "f2ctmp_dblas.f"
    ret_val = dtemp;
#line 196 "f2ctmp_dblas.f"
    return ret_val;
} /* ddot_ */

/* Subroutine */ int dgbmv_(char *trans, integer *m, integer *n, integer *kl, 
	integer *ku, doublereal *alpha, doublereal *a, integer *lda, 
	doublereal *x, integer *incx, doublereal *beta, doublereal *y, 
	integer *incy, ftnlen trans_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2, i__3, i__4, i__5, i__6;

    /* Local variables */
    static integer i, j, k, ix, iy, jx, jy, kx, ky, kup1, info;
    static doublereal temp;
    static integer lenx, leny;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DGBMV  performs one of the matrix-vector operations */

/*     y := alpha*A*x + beta*y,   or   y := alpha*A'*x + beta*y, */

/*  where alpha and beta are scalars, x and y are vectors and A is an */
/*  m by n band matrix, with kl sub-diagonals and ku super-diagonals. */

/*  Parameters */
/*  ========== */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the operation to be performed as */
/*           follows: */

/*              TRANS = 'N' or 'n'   y := alpha*A*x + beta*y. */

/*              TRANS = 'T' or 't'   y := alpha*A'*x + beta*y. */

/*              TRANS = 'C' or 'c'   y := alpha*A'*x + beta*y. */

/*           Unchanged on exit. */

/*  M      - INTEGER. */
/*           On entry, M specifies the number of rows of the matrix A. */
/*           M must be at least zero. */
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the number of columns of the matrix A. 
*/
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  KL     - INTEGER. */
/*           On entry, KL specifies the number of sub-diagonals of the */
/*           matrix A. KL must satisfy  0 .le. KL. */
/*           Unchanged on exit. */

/*  KU     - INTEGER. */
/*           On entry, KU specifies the number of super-diagonals of the 
*/
/*           matrix A. KU must satisfy  0 .le. KU. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry, the leading ( kl + ku + 1 ) by n part of the */
/*           array A must contain the matrix of coefficients, supplied */
/*           column by column, with the leading diagonal of the matrix in 
*/
/*           row ( ku + 1 ) of the array, the first super-diagonal */
/*           starting at position 2 in row ku, the first sub-diagonal */
/*           starting at position 1 in row ( ku + 2 ), and so on. */
/*           Elements in the array A that do not correspond to elements */
/*           in the band matrix (such as the top left ku by ku triangle) 
*/
/*           are not referenced. */
/*           The following program segment will transfer a band matrix */
/*           from conventional full matrix storage to band storage: */

/*                 DO 20, J = 1, N */
/*                    K = KU + 1 - J */
/*                    DO 10, I = MAX( 1, J - KU ), MIN( M, J + KL ) */
/*                       A( K + I, J ) = matrix( I, J ) */
/*              10    CONTINUE */
/*              20 CONTINUE */

/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           ( kl + ku + 1 ). */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of DIMENSION at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ) when TRANS = 'N' or 'n' */
/*           and at least */
/*           ( 1 + ( m - 1 )*abs( INCX ) ) otherwise. */
/*           Before entry, the incremented array X must contain the */
/*           vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry, BETA specifies the scalar beta. When BETA is */
/*           supplied as zero then Y need not be set on input. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of DIMENSION at least */
/*           ( 1 + ( m - 1 )*abs( INCY ) ) when TRANS = 'N' or 'n' */
/*           and at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ) otherwise. */
/*           Before entry, the incremented array Y must contain the */
/*           vector y. On exit, Y is overwritten by the updated vector y. 
*/

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */

/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 343 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 343 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 343 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 343 "f2ctmp_dblas.f"
    a -= a_offset;
#line 343 "f2ctmp_dblas.f"
    --x;
#line 343 "f2ctmp_dblas.f"
    --y;
#line 343 "f2ctmp_dblas.f"

#line 343 "f2ctmp_dblas.f"
    /* Function Body */
#line 343 "f2ctmp_dblas.f"
    info = 0;
#line 344 "f2ctmp_dblas.f"
    if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) && ! 
	    lsame_(trans, "C", 1L, 1L)) {
#line 347 "f2ctmp_dblas.f"
	info = 1;
#line 348 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 349 "f2ctmp_dblas.f"
	info = 2;
#line 350 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 351 "f2ctmp_dblas.f"
	info = 3;
#line 352 "f2ctmp_dblas.f"
    } else if (*kl < 0) {
#line 353 "f2ctmp_dblas.f"
	info = 4;
#line 354 "f2ctmp_dblas.f"
    } else if (*ku < 0) {
#line 355 "f2ctmp_dblas.f"
	info = 5;
#line 356 "f2ctmp_dblas.f"
    } else if (*lda < *kl + *ku + 1) {
#line 357 "f2ctmp_dblas.f"
	info = 8;
#line 358 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 359 "f2ctmp_dblas.f"
	info = 10;
#line 360 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 361 "f2ctmp_dblas.f"
	info = 13;
#line 362 "f2ctmp_dblas.f"
    }
#line 363 "f2ctmp_dblas.f"
    if (info != 0) {
#line 364 "f2ctmp_dblas.f"
	xerbla_("DGBMV ", &info, 6L);
#line 365 "f2ctmp_dblas.f"
	return 0;
#line 366 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 370 "f2ctmp_dblas.f"
    if (*m == 0 || *n == 0 || *alpha == 0. && *beta == 1.) {
#line 370 "f2ctmp_dblas.f"
	return 0;
#line 370 "f2ctmp_dblas.f"
    }

/*     Set  LENX  and  LENY, the lengths of the vectors x and y, and set 
*/
/*     up the start points in  X  and  Y. */

#line 377 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {
#line 378 "f2ctmp_dblas.f"
	lenx = *n;
#line 379 "f2ctmp_dblas.f"
	leny = *m;
#line 380 "f2ctmp_dblas.f"
    } else {
#line 381 "f2ctmp_dblas.f"
	lenx = *m;
#line 382 "f2ctmp_dblas.f"
	leny = *n;
#line 383 "f2ctmp_dblas.f"
    }
#line 384 "f2ctmp_dblas.f"
    if (*incx > 0) {
#line 385 "f2ctmp_dblas.f"
	kx = 1;
#line 386 "f2ctmp_dblas.f"
    } else {
#line 387 "f2ctmp_dblas.f"
	kx = 1 - (lenx - 1) * *incx;
#line 388 "f2ctmp_dblas.f"
    }
#line 389 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 390 "f2ctmp_dblas.f"
	ky = 1;
#line 391 "f2ctmp_dblas.f"
    } else {
#line 392 "f2ctmp_dblas.f"
	ky = 1 - (leny - 1) * *incy;
#line 393 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through the band part of A. */

/*     First form  y := beta*y. */

#line 400 "f2ctmp_dblas.f"
    if (*beta != 1.) {
#line 401 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 402 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 403 "f2ctmp_dblas.f"
		i__1 = leny;
#line 403 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 404 "f2ctmp_dblas.f"
		    y[i] = 0.;
#line 405 "f2ctmp_dblas.f"
/* L10: */
#line 405 "f2ctmp_dblas.f"
		}
#line 406 "f2ctmp_dblas.f"
	    } else {
#line 407 "f2ctmp_dblas.f"
		i__1 = leny;
#line 407 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 408 "f2ctmp_dblas.f"
		    y[i] = *beta * y[i];
#line 409 "f2ctmp_dblas.f"
/* L20: */
#line 409 "f2ctmp_dblas.f"
		}
#line 410 "f2ctmp_dblas.f"
	    }
#line 411 "f2ctmp_dblas.f"
	} else {
#line 412 "f2ctmp_dblas.f"
	    iy = ky;
#line 413 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 414 "f2ctmp_dblas.f"
		i__1 = leny;
#line 414 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 415 "f2ctmp_dblas.f"
		    y[iy] = 0.;
#line 416 "f2ctmp_dblas.f"
		    iy += *incy;
#line 417 "f2ctmp_dblas.f"
/* L30: */
#line 417 "f2ctmp_dblas.f"
		}
#line 418 "f2ctmp_dblas.f"
	    } else {
#line 419 "f2ctmp_dblas.f"
		i__1 = leny;
#line 419 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 420 "f2ctmp_dblas.f"
		    y[iy] = *beta * y[iy];
#line 421 "f2ctmp_dblas.f"
		    iy += *incy;
#line 422 "f2ctmp_dblas.f"
/* L40: */
#line 422 "f2ctmp_dblas.f"
		}
#line 423 "f2ctmp_dblas.f"
	    }
#line 424 "f2ctmp_dblas.f"
	}
#line 425 "f2ctmp_dblas.f"
    }
#line 426 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 426 "f2ctmp_dblas.f"
	return 0;
#line 426 "f2ctmp_dblas.f"
    }
#line 428 "f2ctmp_dblas.f"
    kup1 = *ku + 1;
#line 429 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  y := alpha*A*x + y. */

#line 433 "f2ctmp_dblas.f"
	jx = kx;
#line 434 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 435 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 435 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 436 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 437 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 438 "f2ctmp_dblas.f"
		    k = kup1 - j;
/* Computing MAX */
#line 439 "f2ctmp_dblas.f"
		    i__2 = 1, i__3 = j - *ku;
/* Computing MIN */
#line 439 "f2ctmp_dblas.f"
		    i__5 = *m, i__6 = j + *kl;
#line 439 "f2ctmp_dblas.f"
		    i__4 = min(i__5,i__6);
#line 439 "f2ctmp_dblas.f"
		    for (i = max(i__2,i__3); i <= i__4; ++i) {
#line 440 "f2ctmp_dblas.f"
			y[i] += temp * a[k + i + j * a_dim1];
#line 441 "f2ctmp_dblas.f"
/* L50: */
#line 441 "f2ctmp_dblas.f"
		    }
#line 442 "f2ctmp_dblas.f"
		}
#line 443 "f2ctmp_dblas.f"
		jx += *incx;
#line 444 "f2ctmp_dblas.f"
/* L60: */
#line 444 "f2ctmp_dblas.f"
	    }
#line 445 "f2ctmp_dblas.f"
	} else {
#line 446 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 446 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 447 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 448 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 449 "f2ctmp_dblas.f"
		    iy = ky;
#line 450 "f2ctmp_dblas.f"
		    k = kup1 - j;
/* Computing MAX */
#line 451 "f2ctmp_dblas.f"
		    i__4 = 1, i__2 = j - *ku;
/* Computing MIN */
#line 451 "f2ctmp_dblas.f"
		    i__5 = *m, i__6 = j + *kl;
#line 451 "f2ctmp_dblas.f"
		    i__3 = min(i__5,i__6);
#line 451 "f2ctmp_dblas.f"
		    for (i = max(i__4,i__2); i <= i__3; ++i) {
#line 452 "f2ctmp_dblas.f"
			y[iy] += temp * a[k + i + j * a_dim1];
#line 453 "f2ctmp_dblas.f"
			iy += *incy;
#line 454 "f2ctmp_dblas.f"
/* L70: */
#line 454 "f2ctmp_dblas.f"
		    }
#line 455 "f2ctmp_dblas.f"
		}
#line 456 "f2ctmp_dblas.f"
		jx += *incx;
#line 457 "f2ctmp_dblas.f"
		if (j > *ku) {
#line 457 "f2ctmp_dblas.f"
		    ky += *incy;
#line 457 "f2ctmp_dblas.f"
		}
#line 459 "f2ctmp_dblas.f"
/* L80: */
#line 459 "f2ctmp_dblas.f"
	    }
#line 460 "f2ctmp_dblas.f"
	}
#line 461 "f2ctmp_dblas.f"
    } else {

/*        Form  y := alpha*A'*x + y. */

#line 465 "f2ctmp_dblas.f"
	jy = ky;
#line 466 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 467 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 467 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 468 "f2ctmp_dblas.f"
		temp = 0.;
#line 469 "f2ctmp_dblas.f"
		k = kup1 - j;
/* Computing MAX */
#line 470 "f2ctmp_dblas.f"
		i__3 = 1, i__4 = j - *ku;
/* Computing MIN */
#line 470 "f2ctmp_dblas.f"
		i__5 = *m, i__6 = j + *kl;
#line 470 "f2ctmp_dblas.f"
		i__2 = min(i__5,i__6);
#line 470 "f2ctmp_dblas.f"
		for (i = max(i__3,i__4); i <= i__2; ++i) {
#line 471 "f2ctmp_dblas.f"
		    temp += a[k + i + j * a_dim1] * x[i];
#line 472 "f2ctmp_dblas.f"
/* L90: */
#line 472 "f2ctmp_dblas.f"
		}
#line 473 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp;
#line 474 "f2ctmp_dblas.f"
		jy += *incy;
#line 475 "f2ctmp_dblas.f"
/* L100: */
#line 475 "f2ctmp_dblas.f"
	    }
#line 476 "f2ctmp_dblas.f"
	} else {
#line 477 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 477 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 478 "f2ctmp_dblas.f"
		temp = 0.;
#line 479 "f2ctmp_dblas.f"
		ix = kx;
#line 480 "f2ctmp_dblas.f"
		k = kup1 - j;
/* Computing MAX */
#line 481 "f2ctmp_dblas.f"
		i__2 = 1, i__3 = j - *ku;
/* Computing MIN */
#line 481 "f2ctmp_dblas.f"
		i__5 = *m, i__6 = j + *kl;
#line 481 "f2ctmp_dblas.f"
		i__4 = min(i__5,i__6);
#line 481 "f2ctmp_dblas.f"
		for (i = max(i__2,i__3); i <= i__4; ++i) {
#line 482 "f2ctmp_dblas.f"
		    temp += a[k + i + j * a_dim1] * x[ix];
#line 483 "f2ctmp_dblas.f"
		    ix += *incx;
#line 484 "f2ctmp_dblas.f"
/* L110: */
#line 484 "f2ctmp_dblas.f"
		}
#line 485 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp;
#line 486 "f2ctmp_dblas.f"
		jy += *incy;
#line 487 "f2ctmp_dblas.f"
		if (j > *ku) {
#line 487 "f2ctmp_dblas.f"
		    kx += *incx;
#line 487 "f2ctmp_dblas.f"
		}
#line 489 "f2ctmp_dblas.f"
/* L120: */
#line 489 "f2ctmp_dblas.f"
	    }
#line 490 "f2ctmp_dblas.f"
	}
#line 491 "f2ctmp_dblas.f"
    }

#line 493 "f2ctmp_dblas.f"
    return 0;

/*     End of DGBMV . */

} /* dgbmv_ */

/* Subroutine */ int dgemm_(char *transa, char *transb, integer *m, integer *
	n, integer *k, doublereal *alpha, doublereal *a, integer *lda, 
	doublereal *b, integer *ldb, doublereal *beta, doublereal *c, integer 
	*ldc, ftnlen transa_len, ftnlen transb_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, b_dim1, b_offset, c_dim1, c_offset, i__1, i__2, 
	    i__3;

    /* Local variables */
    static integer i, j, l, info;
    static logical nota, notb;
    static doublereal temp;
    static integer ncola;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa, nrowb;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DGEMM  performs one of the matrix-matrix operations */

/*     C := alpha*op( A )*op( B ) + beta*C, */

/*  where  op( X ) is one of */

/*     op( X ) = X   or   op( X ) = X', */

/*  alpha and beta are scalars, and A, B and C are matrices, with op( A ) 
*/
/*  an m by k matrix,  op( B )  a  k by n matrix and  C an m by n matrix. 
*/

/*  Parameters */
/*  ========== */

/*  TRANSA - CHARACTER*1. */
/*           On entry, TRANSA specifies the form of op( A ) to be used in 
*/
/*           the matrix multiplication as follows: */

/*              TRANSA = 'N' or 'n',  op( A ) = A. */

/*              TRANSA = 'T' or 't',  op( A ) = A'. */

/*              TRANSA = 'C' or 'c',  op( A ) = A'. */

/*           Unchanged on exit. */

/*  TRANSB - CHARACTER*1. */
/*           On entry, TRANSB specifies the form of op( B ) to be used in 
*/
/*           the matrix multiplication as follows: */

/*              TRANSB = 'N' or 'n',  op( B ) = B. */

/*              TRANSB = 'T' or 't',  op( B ) = B'. */

/*              TRANSB = 'C' or 'c',  op( B ) = B'. */

/*           Unchanged on exit. */

/*  M      - INTEGER. */
/*           On entry,  M  specifies  the number  of rows  of the  matrix 
*/
/*           op( A )  and of the  matrix  C.  M  must  be at least  zero. 
*/
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry,  N  specifies the number  of columns of the matrix 
*/
/*           op( B ) and the number of columns of the matrix C. N must be 
*/
/*           at least zero. */
/*           Unchanged on exit. */

/*  K      - INTEGER. */
/*           On entry,  K  specifies  the number of columns of the matrix 
*/
/*           op( A ) and the number of rows of the matrix op( B ). K must 
*/
/*           be at least  zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, ka ), where ka is 
*/
/*           k  when  TRANSA = 'N' or 'n',  and is  m  otherwise. */
/*           Before entry with  TRANSA = 'N' or 'n',  the leading  m by k 
*/
/*           part of the array  A  must contain the matrix  A,  otherwise 
*/
/*           the leading  k by m  part of the array  A  must contain  the 
*/
/*           matrix A. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. When  TRANSA = 'N' or 'n' then 
*/
/*           LDA must be at least  max( 1, m ), otherwise  LDA must be at 
*/
/*           least  max( 1, k ). */
/*           Unchanged on exit. */

/*  B      - DOUBLE PRECISION array of DIMENSION ( LDB, kb ), where kb is 
*/
/*           n  when  TRANSB = 'N' or 'n',  and is  k  otherwise. */
/*           Before entry with  TRANSB = 'N' or 'n',  the leading  k by n 
*/
/*           part of the array  B  must contain the matrix  B,  otherwise 
*/
/*           the leading  n by k  part of the array  B  must contain  the 
*/
/*           matrix B. */
/*           Unchanged on exit. */

/*  LDB    - INTEGER. */
/*           On entry, LDB specifies the first dimension of B as declared 
*/
/*           in the calling (sub) program. When  TRANSB = 'N' or 'n' then 
*/
/*           LDB must be at least  max( 1, k ), otherwise  LDB must be at 
*/
/*           least  max( 1, n ). */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry,  BETA  specifies the scalar  beta.  When  BETA  is 
*/
/*           supplied as zero then C need not be set on input. */
/*           Unchanged on exit. */

/*  C      - DOUBLE PRECISION array of DIMENSION ( LDC, n ). */
/*           Before entry, the leading  m by n  part of the array  C must 
*/
/*           contain the matrix  C,  except when  beta  is zero, in which 
*/
/*           case C need not be set on entry. */
/*           On exit, the array  C  is overwritten by the  m by n  matrix 
*/
/*           ( alpha*op( A )*op( B ) + beta*C ). */

/*  LDC    - INTEGER. */
/*           On entry, LDC specifies the first dimension of C as declared 
*/
/*           in  the  calling  (sub)  program.   LDC  must  be  at  least 
*/
/*           max( 1, m ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */

/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Set  NOTA  and  NOTB  as  true if  A  and  B  respectively are not 
*/
/*     transposed and set  NROWA, NCOLA and  NROWB  as the number of rows 
*/
/*     and  columns of  A  and the  number of  rows  of  B  respectively. 
*/

#line 649 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 649 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 649 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 649 "f2ctmp_dblas.f"
    a -= a_offset;
#line 649 "f2ctmp_dblas.f"
    b_dim1 = *ldb;
#line 649 "f2ctmp_dblas.f"
    b_offset = b_dim1 + 1;
#line 649 "f2ctmp_dblas.f"
    b -= b_offset;
#line 649 "f2ctmp_dblas.f"
    c_dim1 = *ldc;
#line 649 "f2ctmp_dblas.f"
    c_offset = c_dim1 + 1;
#line 649 "f2ctmp_dblas.f"
    c -= c_offset;
#line 649 "f2ctmp_dblas.f"

#line 649 "f2ctmp_dblas.f"
    /* Function Body */
#line 649 "f2ctmp_dblas.f"
    nota = lsame_(transa, "N", 1L, 1L);
#line 650 "f2ctmp_dblas.f"
    notb = lsame_(transb, "N", 1L, 1L);
#line 651 "f2ctmp_dblas.f"
    if (nota) {
#line 652 "f2ctmp_dblas.f"
	nrowa = *m;
#line 653 "f2ctmp_dblas.f"
	ncola = *k;
#line 654 "f2ctmp_dblas.f"
    } else {
#line 655 "f2ctmp_dblas.f"
	nrowa = *k;
#line 656 "f2ctmp_dblas.f"
	ncola = *m;
#line 657 "f2ctmp_dblas.f"
    }
#line 658 "f2ctmp_dblas.f"
    if (notb) {
#line 659 "f2ctmp_dblas.f"
	nrowb = *k;
#line 660 "f2ctmp_dblas.f"
    } else {
#line 661 "f2ctmp_dblas.f"
	nrowb = *n;
#line 662 "f2ctmp_dblas.f"
    }

/*     Test the input parameters. */

#line 666 "f2ctmp_dblas.f"
    info = 0;
#line 667 "f2ctmp_dblas.f"
    if (! nota && ! lsame_(transa, "C", 1L, 1L) && ! lsame_(transa, "T", 1L, 
	    1L)) {
#line 670 "f2ctmp_dblas.f"
	info = 1;
#line 671 "f2ctmp_dblas.f"
    } else if (! notb && ! lsame_(transb, "C", 1L, 1L) && ! lsame_(transb, 
	    "T", 1L, 1L)) {
#line 674 "f2ctmp_dblas.f"
	info = 2;
#line 675 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 676 "f2ctmp_dblas.f"
	info = 3;
#line 677 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 678 "f2ctmp_dblas.f"
	info = 4;
#line 679 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 680 "f2ctmp_dblas.f"
	info = 5;
#line 681 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 682 "f2ctmp_dblas.f"
	info = 8;
#line 683 "f2ctmp_dblas.f"
    } else if (*ldb < max(1,nrowb)) {
#line 684 "f2ctmp_dblas.f"
	info = 10;
#line 685 "f2ctmp_dblas.f"
    } else if (*ldc < max(1,*m)) {
#line 686 "f2ctmp_dblas.f"
	info = 13;
#line 687 "f2ctmp_dblas.f"
    }
#line 688 "f2ctmp_dblas.f"
    if (info != 0) {
#line 689 "f2ctmp_dblas.f"
	xerbla_("DGEMM ", &info, 6L);
#line 690 "f2ctmp_dblas.f"
	return 0;
#line 691 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 695 "f2ctmp_dblas.f"
    if (*m == 0 || *n == 0 || (*alpha == 0. || *k == 0) && *beta == 1.) {
#line 695 "f2ctmp_dblas.f"
	return 0;
#line 695 "f2ctmp_dblas.f"
    }

/*     And if  alpha.eq.zero. */

#line 701 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 702 "f2ctmp_dblas.f"
	if (*beta == 0.) {
#line 703 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 703 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 704 "f2ctmp_dblas.f"
		i__2 = *m;
#line 704 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 705 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = 0.;
#line 706 "f2ctmp_dblas.f"
/* L10: */
#line 706 "f2ctmp_dblas.f"
		}
#line 707 "f2ctmp_dblas.f"
/* L20: */
#line 707 "f2ctmp_dblas.f"
	    }
#line 708 "f2ctmp_dblas.f"
	} else {
#line 709 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 709 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 710 "f2ctmp_dblas.f"
		i__2 = *m;
#line 710 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 711 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 712 "f2ctmp_dblas.f"
/* L30: */
#line 712 "f2ctmp_dblas.f"
		}
#line 713 "f2ctmp_dblas.f"
/* L40: */
#line 713 "f2ctmp_dblas.f"
	    }
#line 714 "f2ctmp_dblas.f"
	}
#line 715 "f2ctmp_dblas.f"
	return 0;
#line 716 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 720 "f2ctmp_dblas.f"
    if (notb) {
#line 721 "f2ctmp_dblas.f"
	if (nota) {

/*           Form  C := alpha*A*B + beta*C. */

#line 725 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 725 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 726 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 727 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 727 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 728 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 729 "f2ctmp_dblas.f"
/* L50: */
#line 729 "f2ctmp_dblas.f"
		    }
#line 730 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 731 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 731 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 732 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 733 "f2ctmp_dblas.f"
/* L60: */
#line 733 "f2ctmp_dblas.f"
		    }
#line 734 "f2ctmp_dblas.f"
		}
#line 735 "f2ctmp_dblas.f"
		i__2 = *k;
#line 735 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 736 "f2ctmp_dblas.f"
		    if (b[l + j * b_dim1] != 0.) {
#line 737 "f2ctmp_dblas.f"
			temp = *alpha * b[l + j * b_dim1];
#line 738 "f2ctmp_dblas.f"
			i__3 = *m;
#line 738 "f2ctmp_dblas.f"
			for (i = 1; i <= i__3; ++i) {
#line 739 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] += temp * a[i + l * a_dim1];
#line 740 "f2ctmp_dblas.f"
/* L70: */
#line 740 "f2ctmp_dblas.f"
			}
#line 741 "f2ctmp_dblas.f"
		    }
#line 742 "f2ctmp_dblas.f"
/* L80: */
#line 742 "f2ctmp_dblas.f"
		}
#line 743 "f2ctmp_dblas.f"
/* L90: */
#line 743 "f2ctmp_dblas.f"
	    }
#line 744 "f2ctmp_dblas.f"
	} else {

/*           Form  C := alpha*A'*B + beta*C */

#line 748 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 748 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 749 "f2ctmp_dblas.f"
		i__2 = *m;
#line 749 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 750 "f2ctmp_dblas.f"
		    temp = 0.;
#line 751 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 751 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 752 "f2ctmp_dblas.f"
			temp += a[l + i * a_dim1] * b[l + j * b_dim1];
#line 753 "f2ctmp_dblas.f"
/* L100: */
#line 753 "f2ctmp_dblas.f"
		    }
#line 754 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 755 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp;
#line 756 "f2ctmp_dblas.f"
		    } else {
#line 757 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp + *beta * c[i + j * 
				c_dim1];
#line 758 "f2ctmp_dblas.f"
		    }
#line 759 "f2ctmp_dblas.f"
/* L110: */
#line 759 "f2ctmp_dblas.f"
		}
#line 760 "f2ctmp_dblas.f"
/* L120: */
#line 760 "f2ctmp_dblas.f"
	    }
#line 761 "f2ctmp_dblas.f"
	}
#line 762 "f2ctmp_dblas.f"
    } else {
#line 763 "f2ctmp_dblas.f"
	if (nota) {

/*           Form  C := alpha*A*B' + beta*C */

#line 767 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 767 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 768 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 769 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 769 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 770 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 771 "f2ctmp_dblas.f"
/* L130: */
#line 771 "f2ctmp_dblas.f"
		    }
#line 772 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 773 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 773 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 774 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 775 "f2ctmp_dblas.f"
/* L140: */
#line 775 "f2ctmp_dblas.f"
		    }
#line 776 "f2ctmp_dblas.f"
		}
#line 777 "f2ctmp_dblas.f"
		i__2 = *k;
#line 777 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 778 "f2ctmp_dblas.f"
		    if (b[j + l * b_dim1] != 0.) {
#line 779 "f2ctmp_dblas.f"
			temp = *alpha * b[j + l * b_dim1];
#line 780 "f2ctmp_dblas.f"
			i__3 = *m;
#line 780 "f2ctmp_dblas.f"
			for (i = 1; i <= i__3; ++i) {
#line 781 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] += temp * a[i + l * a_dim1];
#line 782 "f2ctmp_dblas.f"
/* L150: */
#line 782 "f2ctmp_dblas.f"
			}
#line 783 "f2ctmp_dblas.f"
		    }
#line 784 "f2ctmp_dblas.f"
/* L160: */
#line 784 "f2ctmp_dblas.f"
		}
#line 785 "f2ctmp_dblas.f"
/* L170: */
#line 785 "f2ctmp_dblas.f"
	    }
#line 786 "f2ctmp_dblas.f"
	} else {

/*           Form  C := alpha*A'*B' + beta*C */

#line 790 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 790 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 791 "f2ctmp_dblas.f"
		i__2 = *m;
#line 791 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 792 "f2ctmp_dblas.f"
		    temp = 0.;
#line 793 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 793 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 794 "f2ctmp_dblas.f"
			temp += a[l + i * a_dim1] * b[j + l * b_dim1];
#line 795 "f2ctmp_dblas.f"
/* L180: */
#line 795 "f2ctmp_dblas.f"
		    }
#line 796 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 797 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp;
#line 798 "f2ctmp_dblas.f"
		    } else {
#line 799 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp + *beta * c[i + j * 
				c_dim1];
#line 800 "f2ctmp_dblas.f"
		    }
#line 801 "f2ctmp_dblas.f"
/* L190: */
#line 801 "f2ctmp_dblas.f"
		}
#line 802 "f2ctmp_dblas.f"
/* L200: */
#line 802 "f2ctmp_dblas.f"
	    }
#line 803 "f2ctmp_dblas.f"
	}
#line 804 "f2ctmp_dblas.f"
    }

#line 806 "f2ctmp_dblas.f"
    return 0;

/*     End of DGEMM . */

} /* dgemm_ */

/* Subroutine */ int dgemv_(char *trans, integer *m, integer *n, doublereal *
	alpha, doublereal *a, integer *lda, doublereal *x, integer *incx, 
	doublereal *beta, doublereal *y, integer *incy, ftnlen trans_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp;
    static integer lenx, leny;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DGEMV  performs one of the matrix-vector operations */

/*     y := alpha*A*x + beta*y,   or   y := alpha*A'*x + beta*y, */

/*  where alpha and beta are scalars, x and y are vectors and A is an */
/*  m by n matrix. */

/*  Parameters */
/*  ========== */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the operation to be performed as */
/*           follows: */

/*              TRANS = 'N' or 'n'   y := alpha*A*x + beta*y. */

/*              TRANS = 'T' or 't'   y := alpha*A'*x + beta*y. */

/*              TRANS = 'C' or 'c'   y := alpha*A'*x + beta*y. */

/*           Unchanged on exit. */

/*  M      - INTEGER. */
/*           On entry, M specifies the number of rows of the matrix A. */
/*           M must be at least zero. */
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the number of columns of the matrix A. 
*/
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry, the leading m by n part of the array A must */
/*           contain the matrix of coefficients. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, m ). */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of DIMENSION at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ) when TRANS = 'N' or 'n' */
/*           and at least */
/*           ( 1 + ( m - 1 )*abs( INCX ) ) otherwise. */
/*           Before entry, the incremented array X must contain the */
/*           vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry, BETA specifies the scalar beta. When BETA is */
/*           supplied as zero then Y need not be set on input. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of DIMENSION at least */
/*           ( 1 + ( m - 1 )*abs( INCY ) ) when TRANS = 'N' or 'n' */
/*           and at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ) otherwise. */
/*           Before entry with BETA non-zero, the incremented array Y */
/*           must contain the vector y. On exit, Y is overwritten by the 
*/
/*           updated vector y. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 930 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 930 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 930 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 930 "f2ctmp_dblas.f"
    a -= a_offset;
#line 930 "f2ctmp_dblas.f"
    --x;
#line 930 "f2ctmp_dblas.f"
    --y;
#line 930 "f2ctmp_dblas.f"

#line 930 "f2ctmp_dblas.f"
    /* Function Body */
#line 930 "f2ctmp_dblas.f"
    info = 0;
#line 931 "f2ctmp_dblas.f"
    if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) && ! 
	    lsame_(trans, "C", 1L, 1L)) {
#line 934 "f2ctmp_dblas.f"
	info = 1;
#line 935 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 936 "f2ctmp_dblas.f"
	info = 2;
#line 937 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 938 "f2ctmp_dblas.f"
	info = 3;
#line 939 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*m)) {
#line 940 "f2ctmp_dblas.f"
	info = 6;
#line 941 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 942 "f2ctmp_dblas.f"
	info = 8;
#line 943 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 944 "f2ctmp_dblas.f"
	info = 11;
#line 945 "f2ctmp_dblas.f"
    }
#line 946 "f2ctmp_dblas.f"
    if (info != 0) {
#line 947 "f2ctmp_dblas.f"
	xerbla_("DGEMV ", &info, 6L);
#line 948 "f2ctmp_dblas.f"
	return 0;
#line 949 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 953 "f2ctmp_dblas.f"
    if (*m == 0 || *n == 0 || *alpha == 0. && *beta == 1.) {
#line 953 "f2ctmp_dblas.f"
	return 0;
#line 953 "f2ctmp_dblas.f"
    }

/*     Set  LENX  and  LENY, the lengths of the vectors x and y, and set 
*/
/*     up the start points in  X  and  Y. */

#line 960 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {
#line 961 "f2ctmp_dblas.f"
	lenx = *n;
#line 962 "f2ctmp_dblas.f"
	leny = *m;
#line 963 "f2ctmp_dblas.f"
    } else {
#line 964 "f2ctmp_dblas.f"
	lenx = *m;
#line 965 "f2ctmp_dblas.f"
	leny = *n;
#line 966 "f2ctmp_dblas.f"
    }
#line 967 "f2ctmp_dblas.f"
    if (*incx > 0) {
#line 968 "f2ctmp_dblas.f"
	kx = 1;
#line 969 "f2ctmp_dblas.f"
    } else {
#line 970 "f2ctmp_dblas.f"
	kx = 1 - (lenx - 1) * *incx;
#line 971 "f2ctmp_dblas.f"
    }
#line 972 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 973 "f2ctmp_dblas.f"
	ky = 1;
#line 974 "f2ctmp_dblas.f"
    } else {
#line 975 "f2ctmp_dblas.f"
	ky = 1 - (leny - 1) * *incy;
#line 976 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through A. */

/*     First form  y := beta*y. */

#line 983 "f2ctmp_dblas.f"
    if (*beta != 1.) {
#line 984 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 985 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 986 "f2ctmp_dblas.f"
		i__1 = leny;
#line 986 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 987 "f2ctmp_dblas.f"
		    y[i] = 0.;
#line 988 "f2ctmp_dblas.f"
/* L10: */
#line 988 "f2ctmp_dblas.f"
		}
#line 989 "f2ctmp_dblas.f"
	    } else {
#line 990 "f2ctmp_dblas.f"
		i__1 = leny;
#line 990 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 991 "f2ctmp_dblas.f"
		    y[i] = *beta * y[i];
#line 992 "f2ctmp_dblas.f"
/* L20: */
#line 992 "f2ctmp_dblas.f"
		}
#line 993 "f2ctmp_dblas.f"
	    }
#line 994 "f2ctmp_dblas.f"
	} else {
#line 995 "f2ctmp_dblas.f"
	    iy = ky;
#line 996 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 997 "f2ctmp_dblas.f"
		i__1 = leny;
#line 997 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 998 "f2ctmp_dblas.f"
		    y[iy] = 0.;
#line 999 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1000 "f2ctmp_dblas.f"
/* L30: */
#line 1000 "f2ctmp_dblas.f"
		}
#line 1001 "f2ctmp_dblas.f"
	    } else {
#line 1002 "f2ctmp_dblas.f"
		i__1 = leny;
#line 1002 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1003 "f2ctmp_dblas.f"
		    y[iy] = *beta * y[iy];
#line 1004 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1005 "f2ctmp_dblas.f"
/* L40: */
#line 1005 "f2ctmp_dblas.f"
		}
#line 1006 "f2ctmp_dblas.f"
	    }
#line 1007 "f2ctmp_dblas.f"
	}
#line 1008 "f2ctmp_dblas.f"
    }
#line 1009 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 1009 "f2ctmp_dblas.f"
	return 0;
#line 1009 "f2ctmp_dblas.f"
    }
#line 1011 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  y := alpha*A*x + y. */

#line 1015 "f2ctmp_dblas.f"
	jx = kx;
#line 1016 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 1017 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1017 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1018 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 1019 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 1020 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 1020 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 1021 "f2ctmp_dblas.f"
			y[i] += temp * a[i + j * a_dim1];
#line 1022 "f2ctmp_dblas.f"
/* L50: */
#line 1022 "f2ctmp_dblas.f"
		    }
#line 1023 "f2ctmp_dblas.f"
		}
#line 1024 "f2ctmp_dblas.f"
		jx += *incx;
#line 1025 "f2ctmp_dblas.f"
/* L60: */
#line 1025 "f2ctmp_dblas.f"
	    }
#line 1026 "f2ctmp_dblas.f"
	} else {
#line 1027 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1027 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1028 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 1029 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 1030 "f2ctmp_dblas.f"
		    iy = ky;
#line 1031 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 1031 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 1032 "f2ctmp_dblas.f"
			y[iy] += temp * a[i + j * a_dim1];
#line 1033 "f2ctmp_dblas.f"
			iy += *incy;
#line 1034 "f2ctmp_dblas.f"
/* L70: */
#line 1034 "f2ctmp_dblas.f"
		    }
#line 1035 "f2ctmp_dblas.f"
		}
#line 1036 "f2ctmp_dblas.f"
		jx += *incx;
#line 1037 "f2ctmp_dblas.f"
/* L80: */
#line 1037 "f2ctmp_dblas.f"
	    }
#line 1038 "f2ctmp_dblas.f"
	}
#line 1039 "f2ctmp_dblas.f"
    } else {

/*        Form  y := alpha*A'*x + y. */

#line 1043 "f2ctmp_dblas.f"
	jy = ky;
#line 1044 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 1045 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1045 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1046 "f2ctmp_dblas.f"
		temp = 0.;
#line 1047 "f2ctmp_dblas.f"
		i__2 = *m;
#line 1047 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 1048 "f2ctmp_dblas.f"
		    temp += a[i + j * a_dim1] * x[i];
#line 1049 "f2ctmp_dblas.f"
/* L90: */
#line 1049 "f2ctmp_dblas.f"
		}
#line 1050 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp;
#line 1051 "f2ctmp_dblas.f"
		jy += *incy;
#line 1052 "f2ctmp_dblas.f"
/* L100: */
#line 1052 "f2ctmp_dblas.f"
	    }
#line 1053 "f2ctmp_dblas.f"
	} else {
#line 1054 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1054 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1055 "f2ctmp_dblas.f"
		temp = 0.;
#line 1056 "f2ctmp_dblas.f"
		ix = kx;
#line 1057 "f2ctmp_dblas.f"
		i__2 = *m;
#line 1057 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 1058 "f2ctmp_dblas.f"
		    temp += a[i + j * a_dim1] * x[ix];
#line 1059 "f2ctmp_dblas.f"
		    ix += *incx;
#line 1060 "f2ctmp_dblas.f"
/* L110: */
#line 1060 "f2ctmp_dblas.f"
		}
#line 1061 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp;
#line 1062 "f2ctmp_dblas.f"
		jy += *incy;
#line 1063 "f2ctmp_dblas.f"
/* L120: */
#line 1063 "f2ctmp_dblas.f"
	    }
#line 1064 "f2ctmp_dblas.f"
	}
#line 1065 "f2ctmp_dblas.f"
    }

#line 1067 "f2ctmp_dblas.f"
    return 0;

/*     End of DGEMV . */

} /* dgemv_ */

/* Subroutine */ int dger_(integer *m, integer *n, doublereal *alpha, 
	doublereal *x, integer *incx, doublereal *y, integer *incy, 
	doublereal *a, integer *lda)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, jy, kx, info;
    static doublereal temp;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DGER   performs the rank 1 operation */

/*     A := alpha*x*y' + A, */

/*  where alpha is a scalar, x is an m element vector, y is an n element 
*/
/*  vector and A is an m by n matrix. */

/*  Parameters */
/*  ========== */

/*  M      - INTEGER. */
/*           On entry, M specifies the number of rows of the matrix A. */
/*           M must be at least zero. */
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the number of columns of the matrix A. 
*/
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( m - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the m */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ). */
/*           Before entry, the incremented array Y must contain the n */
/*           element vector y. */
/*           Unchanged on exit. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry, the leading m by n part of the array A must */
/*           contain the matrix of coefficients. On exit, A is */
/*           overwritten by the updated matrix. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, m ). */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 1165 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1165 "f2ctmp_dblas.f"
    --x;
#line 1165 "f2ctmp_dblas.f"
    --y;
#line 1165 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 1165 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 1165 "f2ctmp_dblas.f"
    a -= a_offset;
#line 1165 "f2ctmp_dblas.f"

#line 1165 "f2ctmp_dblas.f"
    /* Function Body */
#line 1165 "f2ctmp_dblas.f"
    info = 0;
#line 1166 "f2ctmp_dblas.f"
    if (*m < 0) {
#line 1167 "f2ctmp_dblas.f"
	info = 1;
#line 1168 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 1169 "f2ctmp_dblas.f"
	info = 2;
#line 1170 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 1171 "f2ctmp_dblas.f"
	info = 5;
#line 1172 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 1173 "f2ctmp_dblas.f"
	info = 7;
#line 1174 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*m)) {
#line 1175 "f2ctmp_dblas.f"
	info = 9;
#line 1176 "f2ctmp_dblas.f"
    }
#line 1177 "f2ctmp_dblas.f"
    if (info != 0) {
#line 1178 "f2ctmp_dblas.f"
	xerbla_("DGER  ", &info, 6L);
#line 1179 "f2ctmp_dblas.f"
	return 0;
#line 1180 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 1184 "f2ctmp_dblas.f"
    if (*m == 0 || *n == 0 || *alpha == 0.) {
#line 1184 "f2ctmp_dblas.f"
	return 0;
#line 1184 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through A. */

#line 1190 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 1191 "f2ctmp_dblas.f"
	jy = 1;
#line 1192 "f2ctmp_dblas.f"
    } else {
#line 1193 "f2ctmp_dblas.f"
	jy = 1 - (*n - 1) * *incy;
#line 1194 "f2ctmp_dblas.f"
    }
#line 1195 "f2ctmp_dblas.f"
    if (*incx == 1) {
#line 1196 "f2ctmp_dblas.f"
	i__1 = *n;
#line 1196 "f2ctmp_dblas.f"
	for (j = 1; j <= i__1; ++j) {
#line 1197 "f2ctmp_dblas.f"
	    if (y[jy] != 0.) {
#line 1198 "f2ctmp_dblas.f"
		temp = *alpha * y[jy];
#line 1199 "f2ctmp_dblas.f"
		i__2 = *m;
#line 1199 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 1200 "f2ctmp_dblas.f"
		    a[i + j * a_dim1] += x[i] * temp;
#line 1201 "f2ctmp_dblas.f"
/* L10: */
#line 1201 "f2ctmp_dblas.f"
		}
#line 1202 "f2ctmp_dblas.f"
	    }
#line 1203 "f2ctmp_dblas.f"
	    jy += *incy;
#line 1204 "f2ctmp_dblas.f"
/* L20: */
#line 1204 "f2ctmp_dblas.f"
	}
#line 1205 "f2ctmp_dblas.f"
    } else {
#line 1206 "f2ctmp_dblas.f"
	if (*incx > 0) {
#line 1207 "f2ctmp_dblas.f"
	    kx = 1;
#line 1208 "f2ctmp_dblas.f"
	} else {
#line 1209 "f2ctmp_dblas.f"
	    kx = 1 - (*m - 1) * *incx;
#line 1210 "f2ctmp_dblas.f"
	}
#line 1211 "f2ctmp_dblas.f"
	i__1 = *n;
#line 1211 "f2ctmp_dblas.f"
	for (j = 1; j <= i__1; ++j) {
#line 1212 "f2ctmp_dblas.f"
	    if (y[jy] != 0.) {
#line 1213 "f2ctmp_dblas.f"
		temp = *alpha * y[jy];
#line 1214 "f2ctmp_dblas.f"
		ix = kx;
#line 1215 "f2ctmp_dblas.f"
		i__2 = *m;
#line 1215 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 1216 "f2ctmp_dblas.f"
		    a[i + j * a_dim1] += x[ix] * temp;
#line 1217 "f2ctmp_dblas.f"
		    ix += *incx;
#line 1218 "f2ctmp_dblas.f"
/* L30: */
#line 1218 "f2ctmp_dblas.f"
		}
#line 1219 "f2ctmp_dblas.f"
	    }
#line 1220 "f2ctmp_dblas.f"
	    jy += *incy;
#line 1221 "f2ctmp_dblas.f"
/* L40: */
#line 1221 "f2ctmp_dblas.f"
	}
#line 1222 "f2ctmp_dblas.f"
    }

#line 1224 "f2ctmp_dblas.f"
    return 0;

/*     End of DGER  . */

} /* dger_ */

doublereal dnrm2_(integer *n, doublereal *dx, integer *incx)
{
    /* Initialized data */

    static doublereal zero = 0.;
    static doublereal one = 1.;
    static doublereal cutlo = 8.232e-11;
    static doublereal cuthi = 1.304e19;

    /* Format strings */
    static char fmt_30[] = "";
    static char fmt_50[] = "";
    static char fmt_70[] = "";
    static char fmt_110[] = "";

    /* System generated locals */
    integer i__1;
    doublereal ret_val, d__1;

    /* Builtin functions */
    double sqrt(doublereal);

    /* Local variables */
    static integer i, j, ix;
    static doublereal sum, xmax;
    static integer next;
    static doublereal hitest;

    /* Assigned format variables */
    char *next_fmt;

#line 1232 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1232 "f2ctmp_dblas.f"
    --dx;
#line 1232 "f2ctmp_dblas.f"

#line 1232 "f2ctmp_dblas.f"
    /* Function Body */

/*     euclidean norm of the n-vector stored in dx() with storage */
/*     increment incx . */
/*     if    n .le. 0 return with result = 0. */
/*     if n .ge. 1 then incx must be .ge. 1 */

/*           c.l.lawson, 1978 jan 08 */
/*     modified to correct problem with negative increment, 8/21/90. */
/*     modified to correct failure to update ix, 1/25/92. */

/*     four phase method     using two built-in constants that are */
/*     hopefully applicable to all machines. */
/*         cutlo = maximum of  dsqrt(u/eps)  over all known machines. */
/*         cuthi = minimum of  dsqrt(v)      over all known machines. */
/*     where */
/*         eps = smallest no. such that eps + 1. .gt. 1. */
/*         u   = smallest positive no.   (underflow limit) */
/*         v   = largest  no.            (overflow  limit) */

/*     brief outline of algorithm.. */

/*     phase 1    scans zero components. */
/*     move to phase 2 when a component is nonzero and .le. cutlo */
/*     move to phase 3 when a component is .gt. cutlo */
/*     move to phase 4 when a component is .ge. cuthi/m */
/*     where m = n for x() real and m = 2*n for complex. */

/*     values for cutlo and cuthi.. */
/*     from the environmental parameters listed in the imsl converter */
/*     document the limiting values are as follows.. */
/*     cutlo, s.p.   u/eps = 2**(-102) for  honeywell.  close seconds are 
*/
/*                   univac and dec at 2**(-103) */
/*                   thus cutlo = 2**(-51) = 4.44089e-16 */
/*     cuthi, s.p.   v = 2**127 for univac, honeywell, and dec. */
/*                   thus cuthi = 2**(63.5) = 1.30438e19 */
/*     cutlo, d.p.   u/eps = 2**(-67) for honeywell and dec. */
/*                   thus cutlo = 2**(-33.5) = 8.23181d-11 */
/*     cuthi, d.p.   same as s.p.  cuthi = 1.30438d19 */
/*     data cutlo, cuthi / 8.232d-11,  1.304d19 / */
/*     data cutlo, cuthi / 4.441e-16,  1.304e19 / */

#line 1275 "f2ctmp_dblas.f"
    if (*n > 0) {
#line 1275 "f2ctmp_dblas.f"
	goto L10;
#line 1275 "f2ctmp_dblas.f"
    }
#line 1276 "f2ctmp_dblas.f"
    ret_val = zero;
#line 1277 "f2ctmp_dblas.f"
    goto L300;

#line 1279 "f2ctmp_dblas.f"
L10:
#line 1279 "f2ctmp_dblas.f"
    next = 0;
#line 1279 "f2ctmp_dblas.f"
    next_fmt = fmt_30;
#line 1280 "f2ctmp_dblas.f"
    sum = zero;
#line 1281 "f2ctmp_dblas.f"
    i = 1;
#line 1282 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 1282 "f2ctmp_dblas.f"
	i = (-(*n) + 1) * *incx + 1;
#line 1282 "f2ctmp_dblas.f"
    }
#line 1283 "f2ctmp_dblas.f"
    ix = 1;
/*                                                 begin main loop */
#line 1285 "f2ctmp_dblas.f"
L20:
#line 1285 "f2ctmp_dblas.f"
    switch (next) {
#line 1285 "f2ctmp_dblas.f"
	case 0: goto L30;
#line 1285 "f2ctmp_dblas.f"
	case 1: goto L50;
#line 1285 "f2ctmp_dblas.f"
	case 2: goto L70;
#line 1285 "f2ctmp_dblas.f"
	case 3: goto L110;
#line 1285 "f2ctmp_dblas.f"
    }
#line 1286 "f2ctmp_dblas.f"
L30:
#line 1286 "f2ctmp_dblas.f"
    if ((d__1 = dx[i], abs(d__1)) > cutlo) {
#line 1286 "f2ctmp_dblas.f"
	goto L85;
#line 1286 "f2ctmp_dblas.f"
    }
#line 1287 "f2ctmp_dblas.f"
    next = 1;
#line 1287 "f2ctmp_dblas.f"
    next_fmt = fmt_50;
#line 1288 "f2ctmp_dblas.f"
    xmax = zero;

/*                        phase 1.  sum is zero */

#line 1292 "f2ctmp_dblas.f"
L50:
#line 1292 "f2ctmp_dblas.f"
    if (dx[i] == zero) {
#line 1292 "f2ctmp_dblas.f"
	goto L200;
#line 1292 "f2ctmp_dblas.f"
    }
#line 1293 "f2ctmp_dblas.f"
    if ((d__1 = dx[i], abs(d__1)) > cutlo) {
#line 1293 "f2ctmp_dblas.f"
	goto L85;
#line 1293 "f2ctmp_dblas.f"
    }

/*                                prepare for phase 2. */
#line 1296 "f2ctmp_dblas.f"
    next = 2;
#line 1296 "f2ctmp_dblas.f"
    next_fmt = fmt_70;
#line 1297 "f2ctmp_dblas.f"
    goto L105;

/*                                prepare for phase 4. */

#line 1301 "f2ctmp_dblas.f"
L100:
#line 1302 "f2ctmp_dblas.f"
    ix = j;
#line 1303 "f2ctmp_dblas.f"
    next = 3;
#line 1303 "f2ctmp_dblas.f"
    next_fmt = fmt_110;
#line 1304 "f2ctmp_dblas.f"
    sum = sum / dx[i] / dx[i];
#line 1305 "f2ctmp_dblas.f"
L105:
#line 1305 "f2ctmp_dblas.f"
    xmax = (d__1 = dx[i], abs(d__1));
#line 1306 "f2ctmp_dblas.f"
    goto L115;

/*                   phase 2.  sum is small. */
/*                             scale to avoid destructive underflow. */

#line 1311 "f2ctmp_dblas.f"
L70:
#line 1311 "f2ctmp_dblas.f"
    if ((d__1 = dx[i], abs(d__1)) > cutlo) {
#line 1311 "f2ctmp_dblas.f"
	goto L75;
#line 1311 "f2ctmp_dblas.f"
    }

/*                     common code for phases 2 and 4. */
/*                     in phase 4 sum is large.  scale to avoid overflow. 
*/

#line 1316 "f2ctmp_dblas.f"
L110:
#line 1316 "f2ctmp_dblas.f"
    if ((d__1 = dx[i], abs(d__1)) <= xmax) {
#line 1316 "f2ctmp_dblas.f"
	goto L115;
#line 1316 "f2ctmp_dblas.f"
    }
/* Computing 2nd power */
#line 1317 "f2ctmp_dblas.f"
    d__1 = xmax / dx[i];
#line 1317 "f2ctmp_dblas.f"
    sum = one + sum * (d__1 * d__1);
#line 1318 "f2ctmp_dblas.f"
    xmax = (d__1 = dx[i], abs(d__1));
#line 1319 "f2ctmp_dblas.f"
    goto L200;

#line 1321 "f2ctmp_dblas.f"
L115:
/* Computing 2nd power */
#line 1321 "f2ctmp_dblas.f"
    d__1 = dx[i] / xmax;
#line 1321 "f2ctmp_dblas.f"
    sum += d__1 * d__1;
#line 1322 "f2ctmp_dblas.f"
    goto L200;


/*                  prepare for phase 3. */

#line 1327 "f2ctmp_dblas.f"
L75:
#line 1327 "f2ctmp_dblas.f"
    sum = sum * xmax * xmax;


/*     for real or d.p. set hitest = cuthi/n */
/*     for complex      set hitest = cuthi/(2*n) */

#line 1333 "f2ctmp_dblas.f"
L85:
#line 1333 "f2ctmp_dblas.f"
    hitest = cuthi / (real) (*n);

/*                   phase 3.  sum is mid-range.  no scaling. */

#line 1337 "f2ctmp_dblas.f"
    i__1 = *n;
#line 1337 "f2ctmp_dblas.f"
    for (j = ix; j <= i__1; ++j) {
#line 1338 "f2ctmp_dblas.f"
	if ((d__1 = dx[i], abs(d__1)) >= hitest) {
#line 1338 "f2ctmp_dblas.f"
	    goto L100;
#line 1338 "f2ctmp_dblas.f"
	}
/* Computing 2nd power */
#line 1339 "f2ctmp_dblas.f"
	d__1 = dx[i];
#line 1339 "f2ctmp_dblas.f"
	sum += d__1 * d__1;
#line 1340 "f2ctmp_dblas.f"
	i += *incx;
#line 1341 "f2ctmp_dblas.f"
/* L95: */
#line 1341 "f2ctmp_dblas.f"
    }
#line 1342 "f2ctmp_dblas.f"
    ret_val = sqrt(sum);
#line 1343 "f2ctmp_dblas.f"
    goto L300;

#line 1345 "f2ctmp_dblas.f"
L200:
#line 1346 "f2ctmp_dblas.f"
    ++ix;
#line 1347 "f2ctmp_dblas.f"
    i += *incx;
#line 1348 "f2ctmp_dblas.f"
    if (ix <= *n) {
#line 1348 "f2ctmp_dblas.f"
	goto L20;
#line 1348 "f2ctmp_dblas.f"
    }

/*              end of main loop. */

/*              compute square root and adjust for scaling. */

#line 1354 "f2ctmp_dblas.f"
    ret_val = xmax * sqrt(sum);
#line 1355 "f2ctmp_dblas.f"
L300:
#line 1356 "f2ctmp_dblas.f"
    return ret_val;
} /* dnrm2_ */

/* Subroutine */ int drot_(integer *n, doublereal *dx, integer *incx, 
	doublereal *dy, integer *incy, doublereal *c, doublereal *s)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static integer i, ix, iy;
    static doublereal dtemp;


/*     applies a plane rotation. */
/*     jack dongarra, linpack, 3/11/78. */


#line 1366 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1366 "f2ctmp_dblas.f"
    --dy;
#line 1366 "f2ctmp_dblas.f"
    --dx;
#line 1366 "f2ctmp_dblas.f"

#line 1366 "f2ctmp_dblas.f"
    /* Function Body */
#line 1366 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 1366 "f2ctmp_dblas.f"
	return 0;
#line 1366 "f2ctmp_dblas.f"
    }
#line 1367 "f2ctmp_dblas.f"
    if (*incx == 1 && *incy == 1) {
#line 1367 "f2ctmp_dblas.f"
	goto L20;
#line 1367 "f2ctmp_dblas.f"
    }

/*       code for unequal increments or equal increments not equal */
/*         to 1 */

#line 1372 "f2ctmp_dblas.f"
    ix = 1;
#line 1373 "f2ctmp_dblas.f"
    iy = 1;
#line 1374 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 1374 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 1374 "f2ctmp_dblas.f"
    }
#line 1375 "f2ctmp_dblas.f"
    if (*incy < 0) {
#line 1375 "f2ctmp_dblas.f"
	iy = (-(*n) + 1) * *incy + 1;
#line 1375 "f2ctmp_dblas.f"
    }
#line 1376 "f2ctmp_dblas.f"
    i__1 = *n;
#line 1376 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 1377 "f2ctmp_dblas.f"
	dtemp = *c * dx[ix] + *s * dy[iy];
#line 1378 "f2ctmp_dblas.f"
	dy[iy] = *c * dy[iy] - *s * dx[ix];
#line 1379 "f2ctmp_dblas.f"
	dx[ix] = dtemp;
#line 1380 "f2ctmp_dblas.f"
	ix += *incx;
#line 1381 "f2ctmp_dblas.f"
	iy += *incy;
#line 1382 "f2ctmp_dblas.f"
/* L10: */
#line 1382 "f2ctmp_dblas.f"
    }
#line 1383 "f2ctmp_dblas.f"
    return 0;

/*       code for both increments equal to 1 */

#line 1387 "f2ctmp_dblas.f"
L20:
#line 1387 "f2ctmp_dblas.f"
    i__1 = *n;
#line 1387 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 1388 "f2ctmp_dblas.f"
	dtemp = *c * dx[i] + *s * dy[i];
#line 1389 "f2ctmp_dblas.f"
	dy[i] = *c * dy[i] - *s * dx[i];
#line 1390 "f2ctmp_dblas.f"
	dx[i] = dtemp;
#line 1391 "f2ctmp_dblas.f"
/* L30: */
#line 1391 "f2ctmp_dblas.f"
    }
#line 1392 "f2ctmp_dblas.f"
    return 0;
} /* drot_ */

/* Subroutine */ int drotg_(doublereal *da, doublereal *db, doublereal *c, 
	doublereal *s)
{
    /* System generated locals */
    doublereal d__1, d__2;

    /* Builtin functions */
    double sqrt(doublereal), d_sign(doublereal *, doublereal *);

    /* Local variables */
    static doublereal r, z, roe, scale;


/*     construct givens plane rotation. */
/*     jack dongarra, linpack, 3/11/78. */


#line 1401 "f2ctmp_dblas.f"
    roe = *db;
#line 1402 "f2ctmp_dblas.f"
    if (abs(*da) > abs(*db)) {
#line 1402 "f2ctmp_dblas.f"
	roe = *da;
#line 1402 "f2ctmp_dblas.f"
    }
#line 1403 "f2ctmp_dblas.f"
    scale = abs(*da) + abs(*db);
#line 1404 "f2ctmp_dblas.f"
    if (scale != 0.) {
#line 1404 "f2ctmp_dblas.f"
	goto L10;
#line 1404 "f2ctmp_dblas.f"
    }
#line 1405 "f2ctmp_dblas.f"
    *c = 1.;
#line 1406 "f2ctmp_dblas.f"
    *s = 0.;
#line 1407 "f2ctmp_dblas.f"
    r = 0.;
#line 1408 "f2ctmp_dblas.f"
    z = 0.;
#line 1409 "f2ctmp_dblas.f"
    goto L20;
#line 1410 "f2ctmp_dblas.f"
L10:
/* Computing 2nd power */
#line 1410 "f2ctmp_dblas.f"
    d__1 = *da / scale;
/* Computing 2nd power */
#line 1410 "f2ctmp_dblas.f"
    d__2 = *db / scale;
#line 1410 "f2ctmp_dblas.f"
    r = scale * sqrt(d__1 * d__1 + d__2 * d__2);
#line 1411 "f2ctmp_dblas.f"
    r = d_sign(&c_b122, &roe) * r;
#line 1412 "f2ctmp_dblas.f"
    *c = *da / r;
#line 1413 "f2ctmp_dblas.f"
    *s = *db / r;
#line 1414 "f2ctmp_dblas.f"
    z = 1.;
#line 1415 "f2ctmp_dblas.f"
    if (abs(*da) > abs(*db)) {
#line 1415 "f2ctmp_dblas.f"
	z = *s;
#line 1415 "f2ctmp_dblas.f"
    }
#line 1416 "f2ctmp_dblas.f"
    if (abs(*db) >= abs(*da) && *c != 0.) {
#line 1416 "f2ctmp_dblas.f"
	z = 1. / *c;
#line 1416 "f2ctmp_dblas.f"
    }
#line 1417 "f2ctmp_dblas.f"
L20:
#line 1417 "f2ctmp_dblas.f"
    *da = r;
#line 1418 "f2ctmp_dblas.f"
    *db = z;
#line 1419 "f2ctmp_dblas.f"
    return 0;
} /* drotg_ */

/* Subroutine */ int dsbmv_(char *uplo, integer *n, integer *k, doublereal *
	alpha, doublereal *a, integer *lda, doublereal *x, integer *incx, 
	doublereal *beta, doublereal *y, integer *incy, ftnlen uplo_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2, i__3, i__4;

    /* Local variables */
    static integer i, j, l, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer kplus1;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */
/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 1569 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1569 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 1569 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 1569 "f2ctmp_dblas.f"
    a -= a_offset;
#line 1569 "f2ctmp_dblas.f"
    --x;
#line 1569 "f2ctmp_dblas.f"
    --y;
#line 1569 "f2ctmp_dblas.f"

#line 1569 "f2ctmp_dblas.f"
    /* Function Body */
#line 1569 "f2ctmp_dblas.f"
    info = 0;
#line 1570 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 1572 "f2ctmp_dblas.f"
	info = 1;
#line 1573 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 1574 "f2ctmp_dblas.f"
	info = 2;
#line 1575 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 1576 "f2ctmp_dblas.f"
	info = 3;
#line 1577 "f2ctmp_dblas.f"
    } else if (*lda < *k + 1) {
#line 1578 "f2ctmp_dblas.f"
	info = 6;
#line 1579 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 1580 "f2ctmp_dblas.f"
	info = 8;
#line 1581 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 1582 "f2ctmp_dblas.f"
	info = 11;
#line 1583 "f2ctmp_dblas.f"
    }
#line 1584 "f2ctmp_dblas.f"
    if (info != 0) {
#line 1585 "f2ctmp_dblas.f"
	xerbla_("DSBMV ", &info, 6L);
#line 1586 "f2ctmp_dblas.f"
	return 0;
#line 1587 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 1591 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0. && *beta == 1.) {
#line 1591 "f2ctmp_dblas.f"
	return 0;
#line 1591 "f2ctmp_dblas.f"
    }

/*     Set up the start points in  X  and  Y. */

#line 1596 "f2ctmp_dblas.f"
    if (*incx > 0) {
#line 1597 "f2ctmp_dblas.f"
	kx = 1;
#line 1598 "f2ctmp_dblas.f"
    } else {
#line 1599 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 1600 "f2ctmp_dblas.f"
    }
#line 1601 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 1602 "f2ctmp_dblas.f"
	ky = 1;
#line 1603 "f2ctmp_dblas.f"
    } else {
#line 1604 "f2ctmp_dblas.f"
	ky = 1 - (*n - 1) * *incy;
#line 1605 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of the array A 
*/
/*     are accessed sequentially with one pass through A. */

/*     First form  y := beta*y. */

#line 1612 "f2ctmp_dblas.f"
    if (*beta != 1.) {
#line 1613 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 1614 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 1615 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1615 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1616 "f2ctmp_dblas.f"
		    y[i] = 0.;
#line 1617 "f2ctmp_dblas.f"
/* L10: */
#line 1617 "f2ctmp_dblas.f"
		}
#line 1618 "f2ctmp_dblas.f"
	    } else {
#line 1619 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1619 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1620 "f2ctmp_dblas.f"
		    y[i] = *beta * y[i];
#line 1621 "f2ctmp_dblas.f"
/* L20: */
#line 1621 "f2ctmp_dblas.f"
		}
#line 1622 "f2ctmp_dblas.f"
	    }
#line 1623 "f2ctmp_dblas.f"
	} else {
#line 1624 "f2ctmp_dblas.f"
	    iy = ky;
#line 1625 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 1626 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1626 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1627 "f2ctmp_dblas.f"
		    y[iy] = 0.;
#line 1628 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1629 "f2ctmp_dblas.f"
/* L30: */
#line 1629 "f2ctmp_dblas.f"
		}
#line 1630 "f2ctmp_dblas.f"
	    } else {
#line 1631 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1631 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1632 "f2ctmp_dblas.f"
		    y[iy] = *beta * y[iy];
#line 1633 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1634 "f2ctmp_dblas.f"
/* L40: */
#line 1634 "f2ctmp_dblas.f"
		}
#line 1635 "f2ctmp_dblas.f"
	    }
#line 1636 "f2ctmp_dblas.f"
	}
#line 1637 "f2ctmp_dblas.f"
    }
#line 1638 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 1638 "f2ctmp_dblas.f"
	return 0;
#line 1638 "f2ctmp_dblas.f"
    }
#line 1640 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  y  when upper triangle of A is stored. */

#line 1644 "f2ctmp_dblas.f"
	kplus1 = *k + 1;
#line 1645 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 1646 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1646 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1647 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 1648 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1649 "f2ctmp_dblas.f"
		l = kplus1 - j;
/* Computing MAX */
#line 1650 "f2ctmp_dblas.f"
		i__2 = 1, i__3 = j - *k;
#line 1650 "f2ctmp_dblas.f"
		i__4 = j - 1;
#line 1650 "f2ctmp_dblas.f"
		for (i = max(i__2,i__3); i <= i__4; ++i) {
#line 1651 "f2ctmp_dblas.f"
		    y[i] += temp1 * a[l + i + j * a_dim1];
#line 1652 "f2ctmp_dblas.f"
		    temp2 += a[l + i + j * a_dim1] * x[i];
#line 1653 "f2ctmp_dblas.f"
/* L50: */
#line 1653 "f2ctmp_dblas.f"
		}
#line 1654 "f2ctmp_dblas.f"
		y[j] = y[j] + temp1 * a[kplus1 + j * a_dim1] + *alpha * temp2;
#line 1655 "f2ctmp_dblas.f"
/* L60: */
#line 1655 "f2ctmp_dblas.f"
	    }
#line 1656 "f2ctmp_dblas.f"
	} else {
#line 1657 "f2ctmp_dblas.f"
	    jx = kx;
#line 1658 "f2ctmp_dblas.f"
	    jy = ky;
#line 1659 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1659 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1660 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 1661 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1662 "f2ctmp_dblas.f"
		ix = kx;
#line 1663 "f2ctmp_dblas.f"
		iy = ky;
#line 1664 "f2ctmp_dblas.f"
		l = kplus1 - j;
/* Computing MAX */
#line 1665 "f2ctmp_dblas.f"
		i__4 = 1, i__2 = j - *k;
#line 1665 "f2ctmp_dblas.f"
		i__3 = j - 1;
#line 1665 "f2ctmp_dblas.f"
		for (i = max(i__4,i__2); i <= i__3; ++i) {
#line 1666 "f2ctmp_dblas.f"
		    y[iy] += temp1 * a[l + i + j * a_dim1];
#line 1667 "f2ctmp_dblas.f"
		    temp2 += a[l + i + j * a_dim1] * x[ix];
#line 1668 "f2ctmp_dblas.f"
		    ix += *incx;
#line 1669 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1670 "f2ctmp_dblas.f"
/* L70: */
#line 1670 "f2ctmp_dblas.f"
		}
#line 1671 "f2ctmp_dblas.f"
		y[jy] = y[jy] + temp1 * a[kplus1 + j * a_dim1] + *alpha * 
			temp2;
#line 1672 "f2ctmp_dblas.f"
		jx += *incx;
#line 1673 "f2ctmp_dblas.f"
		jy += *incy;
#line 1674 "f2ctmp_dblas.f"
		if (j > *k) {
#line 1675 "f2ctmp_dblas.f"
		    kx += *incx;
#line 1676 "f2ctmp_dblas.f"
		    ky += *incy;
#line 1677 "f2ctmp_dblas.f"
		}
#line 1678 "f2ctmp_dblas.f"
/* L80: */
#line 1678 "f2ctmp_dblas.f"
	    }
#line 1679 "f2ctmp_dblas.f"
	}
#line 1680 "f2ctmp_dblas.f"
    } else {

/*        Form  y  when lower triangle of A is stored. */

#line 1684 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 1685 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1685 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1686 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 1687 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1688 "f2ctmp_dblas.f"
		y[j] += temp1 * a[j * a_dim1 + 1];
#line 1689 "f2ctmp_dblas.f"
		l = 1 - j;
/* Computing MIN */
#line 1690 "f2ctmp_dblas.f"
		i__4 = *n, i__2 = j + *k;
#line 1690 "f2ctmp_dblas.f"
		i__3 = min(i__4,i__2);
#line 1690 "f2ctmp_dblas.f"
		for (i = j + 1; i <= i__3; ++i) {
#line 1691 "f2ctmp_dblas.f"
		    y[i] += temp1 * a[l + i + j * a_dim1];
#line 1692 "f2ctmp_dblas.f"
		    temp2 += a[l + i + j * a_dim1] * x[i];
#line 1693 "f2ctmp_dblas.f"
/* L90: */
#line 1693 "f2ctmp_dblas.f"
		}
#line 1694 "f2ctmp_dblas.f"
		y[j] += *alpha * temp2;
#line 1695 "f2ctmp_dblas.f"
/* L100: */
#line 1695 "f2ctmp_dblas.f"
	    }
#line 1696 "f2ctmp_dblas.f"
	} else {
#line 1697 "f2ctmp_dblas.f"
	    jx = kx;
#line 1698 "f2ctmp_dblas.f"
	    jy = ky;
#line 1699 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1699 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1700 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 1701 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1702 "f2ctmp_dblas.f"
		y[jy] += temp1 * a[j * a_dim1 + 1];
#line 1703 "f2ctmp_dblas.f"
		l = 1 - j;
#line 1704 "f2ctmp_dblas.f"
		ix = jx;
#line 1705 "f2ctmp_dblas.f"
		iy = jy;
/* Computing MIN */
#line 1706 "f2ctmp_dblas.f"
		i__4 = *n, i__2 = j + *k;
#line 1706 "f2ctmp_dblas.f"
		i__3 = min(i__4,i__2);
#line 1706 "f2ctmp_dblas.f"
		for (i = j + 1; i <= i__3; ++i) {
#line 1707 "f2ctmp_dblas.f"
		    ix += *incx;
#line 1708 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1709 "f2ctmp_dblas.f"
		    y[iy] += temp1 * a[l + i + j * a_dim1];
#line 1710 "f2ctmp_dblas.f"
		    temp2 += a[l + i + j * a_dim1] * x[ix];
#line 1711 "f2ctmp_dblas.f"
/* L110: */
#line 1711 "f2ctmp_dblas.f"
		}
#line 1712 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp2;
#line 1713 "f2ctmp_dblas.f"
		jx += *incx;
#line 1714 "f2ctmp_dblas.f"
		jy += *incy;
#line 1715 "f2ctmp_dblas.f"
/* L120: */
#line 1715 "f2ctmp_dblas.f"
	    }
#line 1716 "f2ctmp_dblas.f"
	}
#line 1717 "f2ctmp_dblas.f"
    }

#line 1719 "f2ctmp_dblas.f"
    return 0;

/*     End of DSBMV . */

} /* dsbmv_ */

/* Subroutine */ int dscal_(integer *n, doublereal *da, doublereal *dx, 
	integer *incx)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static integer i, m, ix, mp1;


/*     scales a vector by a constant. */
/*     uses unrolled loops for increment equal to one. */
/*     jack dongarra, linpack, 3/11/78. */
/*     modified to correct problem with negative increment, 8/21/90. */


#line 1734 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1734 "f2ctmp_dblas.f"
    --dx;
#line 1734 "f2ctmp_dblas.f"

#line 1734 "f2ctmp_dblas.f"
    /* Function Body */
#line 1734 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 1734 "f2ctmp_dblas.f"
	return 0;
#line 1734 "f2ctmp_dblas.f"
    }
#line 1735 "f2ctmp_dblas.f"
    if (*incx == 1) {
#line 1735 "f2ctmp_dblas.f"
	goto L20;
#line 1735 "f2ctmp_dblas.f"
    }

/*        code for increment not equal to 1 */

#line 1739 "f2ctmp_dblas.f"
    ix = 1;
#line 1740 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 1740 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 1740 "f2ctmp_dblas.f"
    }
#line 1741 "f2ctmp_dblas.f"
    i__1 = *n;
#line 1741 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 1742 "f2ctmp_dblas.f"
	dx[ix] = *da * dx[ix];
#line 1743 "f2ctmp_dblas.f"
	ix += *incx;
#line 1744 "f2ctmp_dblas.f"
/* L10: */
#line 1744 "f2ctmp_dblas.f"
    }
#line 1745 "f2ctmp_dblas.f"
    return 0;

/*        code for increment equal to 1 */


/*        clean-up loop */

#line 1752 "f2ctmp_dblas.f"
L20:
#line 1752 "f2ctmp_dblas.f"
    m = *n % 5;
#line 1753 "f2ctmp_dblas.f"
    if (m == 0) {
#line 1753 "f2ctmp_dblas.f"
	goto L40;
#line 1753 "f2ctmp_dblas.f"
    }
#line 1754 "f2ctmp_dblas.f"
    i__1 = m;
#line 1754 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 1755 "f2ctmp_dblas.f"
	dx[i] = *da * dx[i];
#line 1756 "f2ctmp_dblas.f"
/* L30: */
#line 1756 "f2ctmp_dblas.f"
    }
#line 1757 "f2ctmp_dblas.f"
    if (*n < 5) {
#line 1757 "f2ctmp_dblas.f"
	return 0;
#line 1757 "f2ctmp_dblas.f"
    }
#line 1758 "f2ctmp_dblas.f"
L40:
#line 1758 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 1759 "f2ctmp_dblas.f"
    i__1 = *n;
#line 1759 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 5) {
#line 1760 "f2ctmp_dblas.f"
	dx[i] = *da * dx[i];
#line 1761 "f2ctmp_dblas.f"
	dx[i + 1] = *da * dx[i + 1];
#line 1762 "f2ctmp_dblas.f"
	dx[i + 2] = *da * dx[i + 2];
#line 1763 "f2ctmp_dblas.f"
	dx[i + 3] = *da * dx[i + 3];
#line 1764 "f2ctmp_dblas.f"
	dx[i + 4] = *da * dx[i + 4];
#line 1765 "f2ctmp_dblas.f"
/* L50: */
#line 1765 "f2ctmp_dblas.f"
    }
#line 1766 "f2ctmp_dblas.f"
    return 0;
} /* dscal_ */

/* Subroutine */ int dspmv_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *ap, doublereal *x, integer *incx, doublereal *beta, 
	doublereal *y, integer *incy, ftnlen uplo_len)
{
    /* System generated locals */
    integer i__1, i__2;

    /* Local variables */
    static integer i, j, k, kk, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSPMV  performs the matrix-vector operation */

/*     y := alpha*A*x + beta*y, */

/*  where alpha and beta are scalars, x and y are n element vectors and */
/*  A is an n by n symmetric matrix, supplied in packed form. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the matrix A is supplied in the packed */
/*           array AP as follows: */

/*              UPLO = 'U' or 'u'   The upper triangular part of A is */
/*                                  supplied in AP. */

/*              UPLO = 'L' or 'l'   The lower triangular part of A is */
/*                                  supplied in AP. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  AP     - DOUBLE PRECISION array of DIMENSION at least */
/*           ( ( n*( n + 1 ) )/2 ). */
/*           Before entry with UPLO = 'U' or 'u', the array AP must */
/*           contain the upper triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 1, 2 ) */
/*           and a( 2, 2 ) respectively, and so on. */
/*           Before entry with UPLO = 'L' or 'l', the array AP must */
/*           contain the lower triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 2, 1 ) */
/*           and a( 3, 1 ) respectively, and so on. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry, BETA specifies the scalar beta. When BETA is */
/*           supplied as zero then Y need not be set on input. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ). */
/*           Before entry, the incremented array Y must contain the n */
/*           element vector y. On exit, Y is overwritten by the updated */
/*           vector y. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 1879 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 1879 "f2ctmp_dblas.f"
    --y;
#line 1879 "f2ctmp_dblas.f"
    --x;
#line 1879 "f2ctmp_dblas.f"
    --ap;
#line 1879 "f2ctmp_dblas.f"

#line 1879 "f2ctmp_dblas.f"
    /* Function Body */
#line 1879 "f2ctmp_dblas.f"
    info = 0;
#line 1880 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 1882 "f2ctmp_dblas.f"
	info = 1;
#line 1883 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 1884 "f2ctmp_dblas.f"
	info = 2;
#line 1885 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 1886 "f2ctmp_dblas.f"
	info = 6;
#line 1887 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 1888 "f2ctmp_dblas.f"
	info = 9;
#line 1889 "f2ctmp_dblas.f"
    }
#line 1890 "f2ctmp_dblas.f"
    if (info != 0) {
#line 1891 "f2ctmp_dblas.f"
	xerbla_("DSPMV ", &info, 6L);
#line 1892 "f2ctmp_dblas.f"
	return 0;
#line 1893 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 1897 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0. && *beta == 1.) {
#line 1897 "f2ctmp_dblas.f"
	return 0;
#line 1897 "f2ctmp_dblas.f"
    }

/*     Set up the start points in  X  and  Y. */

#line 1902 "f2ctmp_dblas.f"
    if (*incx > 0) {
#line 1903 "f2ctmp_dblas.f"
	kx = 1;
#line 1904 "f2ctmp_dblas.f"
    } else {
#line 1905 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 1906 "f2ctmp_dblas.f"
    }
#line 1907 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 1908 "f2ctmp_dblas.f"
	ky = 1;
#line 1909 "f2ctmp_dblas.f"
    } else {
#line 1910 "f2ctmp_dblas.f"
	ky = 1 - (*n - 1) * *incy;
#line 1911 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of the array AP 
*/
/*     are accessed sequentially with one pass through AP. */

/*     First form  y := beta*y. */

#line 1918 "f2ctmp_dblas.f"
    if (*beta != 1.) {
#line 1919 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 1920 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 1921 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1921 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1922 "f2ctmp_dblas.f"
		    y[i] = 0.;
#line 1923 "f2ctmp_dblas.f"
/* L10: */
#line 1923 "f2ctmp_dblas.f"
		}
#line 1924 "f2ctmp_dblas.f"
	    } else {
#line 1925 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1925 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1926 "f2ctmp_dblas.f"
		    y[i] = *beta * y[i];
#line 1927 "f2ctmp_dblas.f"
/* L20: */
#line 1927 "f2ctmp_dblas.f"
		}
#line 1928 "f2ctmp_dblas.f"
	    }
#line 1929 "f2ctmp_dblas.f"
	} else {
#line 1930 "f2ctmp_dblas.f"
	    iy = ky;
#line 1931 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 1932 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1932 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1933 "f2ctmp_dblas.f"
		    y[iy] = 0.;
#line 1934 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1935 "f2ctmp_dblas.f"
/* L30: */
#line 1935 "f2ctmp_dblas.f"
		}
#line 1936 "f2ctmp_dblas.f"
	    } else {
#line 1937 "f2ctmp_dblas.f"
		i__1 = *n;
#line 1937 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 1938 "f2ctmp_dblas.f"
		    y[iy] = *beta * y[iy];
#line 1939 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1940 "f2ctmp_dblas.f"
/* L40: */
#line 1940 "f2ctmp_dblas.f"
		}
#line 1941 "f2ctmp_dblas.f"
	    }
#line 1942 "f2ctmp_dblas.f"
	}
#line 1943 "f2ctmp_dblas.f"
    }
#line 1944 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 1944 "f2ctmp_dblas.f"
	return 0;
#line 1944 "f2ctmp_dblas.f"
    }
#line 1946 "f2ctmp_dblas.f"
    kk = 1;
#line 1947 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  y  when AP contains the upper triangle. */

#line 1951 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 1952 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1952 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1953 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 1954 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1955 "f2ctmp_dblas.f"
		k = kk;
#line 1956 "f2ctmp_dblas.f"
		i__2 = j - 1;
#line 1956 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 1957 "f2ctmp_dblas.f"
		    y[i] += temp1 * ap[k];
#line 1958 "f2ctmp_dblas.f"
		    temp2 += ap[k] * x[i];
#line 1959 "f2ctmp_dblas.f"
		    ++k;
#line 1960 "f2ctmp_dblas.f"
/* L50: */
#line 1960 "f2ctmp_dblas.f"
		}
#line 1961 "f2ctmp_dblas.f"
		y[j] = y[j] + temp1 * ap[kk + j - 1] + *alpha * temp2;
#line 1962 "f2ctmp_dblas.f"
		kk += j;
#line 1963 "f2ctmp_dblas.f"
/* L60: */
#line 1963 "f2ctmp_dblas.f"
	    }
#line 1964 "f2ctmp_dblas.f"
	} else {
#line 1965 "f2ctmp_dblas.f"
	    jx = kx;
#line 1966 "f2ctmp_dblas.f"
	    jy = ky;
#line 1967 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1967 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1968 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 1969 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1970 "f2ctmp_dblas.f"
		ix = kx;
#line 1971 "f2ctmp_dblas.f"
		iy = ky;
#line 1972 "f2ctmp_dblas.f"
		i__2 = kk + j - 2;
#line 1972 "f2ctmp_dblas.f"
		for (k = kk; k <= i__2; ++k) {
#line 1973 "f2ctmp_dblas.f"
		    y[iy] += temp1 * ap[k];
#line 1974 "f2ctmp_dblas.f"
		    temp2 += ap[k] * x[ix];
#line 1975 "f2ctmp_dblas.f"
		    ix += *incx;
#line 1976 "f2ctmp_dblas.f"
		    iy += *incy;
#line 1977 "f2ctmp_dblas.f"
/* L70: */
#line 1977 "f2ctmp_dblas.f"
		}
#line 1978 "f2ctmp_dblas.f"
		y[jy] = y[jy] + temp1 * ap[kk + j - 1] + *alpha * temp2;
#line 1979 "f2ctmp_dblas.f"
		jx += *incx;
#line 1980 "f2ctmp_dblas.f"
		jy += *incy;
#line 1981 "f2ctmp_dblas.f"
		kk += j;
#line 1982 "f2ctmp_dblas.f"
/* L80: */
#line 1982 "f2ctmp_dblas.f"
	    }
#line 1983 "f2ctmp_dblas.f"
	}
#line 1984 "f2ctmp_dblas.f"
    } else {

/*        Form  y  when AP contains the lower triangle. */

#line 1988 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 1989 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 1989 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 1990 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 1991 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 1992 "f2ctmp_dblas.f"
		y[j] += temp1 * ap[kk];
#line 1993 "f2ctmp_dblas.f"
		k = kk + 1;
#line 1994 "f2ctmp_dblas.f"
		i__2 = *n;
#line 1994 "f2ctmp_dblas.f"
		for (i = j + 1; i <= i__2; ++i) {
#line 1995 "f2ctmp_dblas.f"
		    y[i] += temp1 * ap[k];
#line 1996 "f2ctmp_dblas.f"
		    temp2 += ap[k] * x[i];
#line 1997 "f2ctmp_dblas.f"
		    ++k;
#line 1998 "f2ctmp_dblas.f"
/* L90: */
#line 1998 "f2ctmp_dblas.f"
		}
#line 1999 "f2ctmp_dblas.f"
		y[j] += *alpha * temp2;
#line 2000 "f2ctmp_dblas.f"
		kk += *n - j + 1;
#line 2001 "f2ctmp_dblas.f"
/* L100: */
#line 2001 "f2ctmp_dblas.f"
	    }
#line 2002 "f2ctmp_dblas.f"
	} else {
#line 2003 "f2ctmp_dblas.f"
	    jx = kx;
#line 2004 "f2ctmp_dblas.f"
	    jy = ky;
#line 2005 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2005 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2006 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 2007 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 2008 "f2ctmp_dblas.f"
		y[jy] += temp1 * ap[kk];
#line 2009 "f2ctmp_dblas.f"
		ix = jx;
#line 2010 "f2ctmp_dblas.f"
		iy = jy;
#line 2011 "f2ctmp_dblas.f"
		i__2 = kk + *n - j;
#line 2011 "f2ctmp_dblas.f"
		for (k = kk + 1; k <= i__2; ++k) {
#line 2012 "f2ctmp_dblas.f"
		    ix += *incx;
#line 2013 "f2ctmp_dblas.f"
		    iy += *incy;
#line 2014 "f2ctmp_dblas.f"
		    y[iy] += temp1 * ap[k];
#line 2015 "f2ctmp_dblas.f"
		    temp2 += ap[k] * x[ix];
#line 2016 "f2ctmp_dblas.f"
/* L110: */
#line 2016 "f2ctmp_dblas.f"
		}
#line 2017 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp2;
#line 2018 "f2ctmp_dblas.f"
		jx += *incx;
#line 2019 "f2ctmp_dblas.f"
		jy += *incy;
#line 2020 "f2ctmp_dblas.f"
		kk += *n - j + 1;
#line 2021 "f2ctmp_dblas.f"
/* L120: */
#line 2021 "f2ctmp_dblas.f"
	    }
#line 2022 "f2ctmp_dblas.f"
	}
#line 2023 "f2ctmp_dblas.f"
    }

#line 2025 "f2ctmp_dblas.f"
    return 0;

/*     End of DSPMV . */

} /* dspmv_ */

/* Subroutine */ int dspr_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *x, integer *incx, doublereal *ap, ftnlen uplo_len)
{
    /* System generated locals */
    integer i__1, i__2;

    /* Local variables */
    static integer i, j, k, kk, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSPR    performs the symmetric rank 1 operation */

/*     A := alpha*x*x' + A, */

/*  where alpha is a real scalar, x is an n element vector and A is an */
/*  n by n symmetric matrix, supplied in packed form. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the matrix A is supplied in the packed */
/*           array AP as follows: */

/*              UPLO = 'U' or 'u'   The upper triangular part of A is */
/*                                  supplied in AP. */

/*              UPLO = 'L' or 'l'   The lower triangular part of A is */
/*                                  supplied in AP. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  AP     - DOUBLE PRECISION array of DIMENSION at least */
/*           ( ( n*( n + 1 ) )/2 ). */
/*           Before entry with  UPLO = 'U' or 'u', the array AP must */
/*           contain the upper triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 1, 2 ) */
/*           and a( 2, 2 ) respectively, and so on. On exit, the array */
/*           AP is overwritten by the upper triangular part of the */
/*           updated matrix. */
/*           Before entry with UPLO = 'L' or 'l', the array AP must */
/*           contain the lower triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 2, 1 ) */
/*           and a( 3, 1 ) respectively, and so on. On exit, the array */
/*           AP is overwritten by the lower triangular part of the */
/*           updated matrix. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 2128 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 2128 "f2ctmp_dblas.f"
    --ap;
#line 2128 "f2ctmp_dblas.f"
    --x;
#line 2128 "f2ctmp_dblas.f"

#line 2128 "f2ctmp_dblas.f"
    /* Function Body */
#line 2128 "f2ctmp_dblas.f"
    info = 0;
#line 2129 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 2131 "f2ctmp_dblas.f"
	info = 1;
#line 2132 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 2133 "f2ctmp_dblas.f"
	info = 2;
#line 2134 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 2135 "f2ctmp_dblas.f"
	info = 5;
#line 2136 "f2ctmp_dblas.f"
    }
#line 2137 "f2ctmp_dblas.f"
    if (info != 0) {
#line 2138 "f2ctmp_dblas.f"
	xerbla_("DSPR  ", &info, 6L);
#line 2139 "f2ctmp_dblas.f"
	return 0;
#line 2140 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 2144 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0.) {
#line 2144 "f2ctmp_dblas.f"
	return 0;
#line 2144 "f2ctmp_dblas.f"
    }

/*     Set the start point in X if the increment is not unity. */

#line 2149 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 2150 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 2151 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 2152 "f2ctmp_dblas.f"
	kx = 1;
#line 2153 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of the array AP 
*/
/*     are accessed sequentially with one pass through AP. */

#line 2158 "f2ctmp_dblas.f"
    kk = 1;
#line 2159 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  A  when upper triangle is stored in AP. */

#line 2163 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 2164 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2164 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2165 "f2ctmp_dblas.f"
		if (x[j] != 0.) {
#line 2166 "f2ctmp_dblas.f"
		    temp = *alpha * x[j];
#line 2167 "f2ctmp_dblas.f"
		    k = kk;
#line 2168 "f2ctmp_dblas.f"
		    i__2 = j;
#line 2168 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 2169 "f2ctmp_dblas.f"
			ap[k] += x[i] * temp;
#line 2170 "f2ctmp_dblas.f"
			++k;
#line 2171 "f2ctmp_dblas.f"
/* L10: */
#line 2171 "f2ctmp_dblas.f"
		    }
#line 2172 "f2ctmp_dblas.f"
		}
#line 2173 "f2ctmp_dblas.f"
		kk += j;
#line 2174 "f2ctmp_dblas.f"
/* L20: */
#line 2174 "f2ctmp_dblas.f"
	    }
#line 2175 "f2ctmp_dblas.f"
	} else {
#line 2176 "f2ctmp_dblas.f"
	    jx = kx;
#line 2177 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2177 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2178 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 2179 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 2180 "f2ctmp_dblas.f"
		    ix = kx;
#line 2181 "f2ctmp_dblas.f"
		    i__2 = kk + j - 1;
#line 2181 "f2ctmp_dblas.f"
		    for (k = kk; k <= i__2; ++k) {
#line 2182 "f2ctmp_dblas.f"
			ap[k] += x[ix] * temp;
#line 2183 "f2ctmp_dblas.f"
			ix += *incx;
#line 2184 "f2ctmp_dblas.f"
/* L30: */
#line 2184 "f2ctmp_dblas.f"
		    }
#line 2185 "f2ctmp_dblas.f"
		}
#line 2186 "f2ctmp_dblas.f"
		jx += *incx;
#line 2187 "f2ctmp_dblas.f"
		kk += j;
#line 2188 "f2ctmp_dblas.f"
/* L40: */
#line 2188 "f2ctmp_dblas.f"
	    }
#line 2189 "f2ctmp_dblas.f"
	}
#line 2190 "f2ctmp_dblas.f"
    } else {

/*        Form  A  when lower triangle is stored in AP. */

#line 2194 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 2195 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2195 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2196 "f2ctmp_dblas.f"
		if (x[j] != 0.) {
#line 2197 "f2ctmp_dblas.f"
		    temp = *alpha * x[j];
#line 2198 "f2ctmp_dblas.f"
		    k = kk;
#line 2199 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 2199 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 2200 "f2ctmp_dblas.f"
			ap[k] += x[i] * temp;
#line 2201 "f2ctmp_dblas.f"
			++k;
#line 2202 "f2ctmp_dblas.f"
/* L50: */
#line 2202 "f2ctmp_dblas.f"
		    }
#line 2203 "f2ctmp_dblas.f"
		}
#line 2204 "f2ctmp_dblas.f"
		kk = kk + *n - j + 1;
#line 2205 "f2ctmp_dblas.f"
/* L60: */
#line 2205 "f2ctmp_dblas.f"
	    }
#line 2206 "f2ctmp_dblas.f"
	} else {
#line 2207 "f2ctmp_dblas.f"
	    jx = kx;
#line 2208 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2208 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2209 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 2210 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 2211 "f2ctmp_dblas.f"
		    ix = jx;
#line 2212 "f2ctmp_dblas.f"
		    i__2 = kk + *n - j;
#line 2212 "f2ctmp_dblas.f"
		    for (k = kk; k <= i__2; ++k) {
#line 2213 "f2ctmp_dblas.f"
			ap[k] += x[ix] * temp;
#line 2214 "f2ctmp_dblas.f"
			ix += *incx;
#line 2215 "f2ctmp_dblas.f"
/* L70: */
#line 2215 "f2ctmp_dblas.f"
		    }
#line 2216 "f2ctmp_dblas.f"
		}
#line 2217 "f2ctmp_dblas.f"
		jx += *incx;
#line 2218 "f2ctmp_dblas.f"
		kk = kk + *n - j + 1;
#line 2219 "f2ctmp_dblas.f"
/* L80: */
#line 2219 "f2ctmp_dblas.f"
	    }
#line 2220 "f2ctmp_dblas.f"
	}
#line 2221 "f2ctmp_dblas.f"
    }

#line 2223 "f2ctmp_dblas.f"
    return 0;

/*     End of DSPR  . */

} /* dspr_ */

/* Subroutine */ int dspr2_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *x, integer *incx, doublereal *y, integer *incy, 
	doublereal *ap, ftnlen uplo_len)
{
    /* System generated locals */
    integer i__1, i__2;

    /* Local variables */
    static integer i, j, k, kk, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSPR2  performs the symmetric rank 2 operation */

/*     A := alpha*x*y' + alpha*y*x' + A, */

/*  where alpha is a scalar, x and y are n element vectors and A is an */
/*  n by n symmetric matrix, supplied in packed form. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the matrix A is supplied in the packed */
/*           array AP as follows: */

/*              UPLO = 'U' or 'u'   The upper triangular part of A is */
/*                                  supplied in AP. */

/*              UPLO = 'L' or 'l'   The lower triangular part of A is */
/*                                  supplied in AP. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ). */
/*           Before entry, the incremented array Y must contain the n */
/*           element vector y. */
/*           Unchanged on exit. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */

/*  AP     - DOUBLE PRECISION array of DIMENSION at least */
/*           ( ( n*( n + 1 ) )/2 ). */
/*           Before entry with  UPLO = 'U' or 'u', the array AP must */
/*           contain the upper triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 1, 2 ) */
/*           and a( 2, 2 ) respectively, and so on. On exit, the array */
/*           AP is overwritten by the upper triangular part of the */
/*           updated matrix. */
/*           Before entry with UPLO = 'L' or 'l', the array AP must */
/*           contain the lower triangular part of the symmetric matrix */
/*           packed sequentially, column by column, so that AP( 1 ) */
/*           contains a( 1, 1 ), AP( 2 ) and AP( 3 ) contain a( 2, 1 ) */
/*           and a( 3, 1 ) respectively, and so on. On exit, the array */
/*           AP is overwritten by the lower triangular part of the */
/*           updated matrix. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 2337 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 2337 "f2ctmp_dblas.f"
    --ap;
#line 2337 "f2ctmp_dblas.f"
    --y;
#line 2337 "f2ctmp_dblas.f"
    --x;
#line 2337 "f2ctmp_dblas.f"

#line 2337 "f2ctmp_dblas.f"
    /* Function Body */
#line 2337 "f2ctmp_dblas.f"
    info = 0;
#line 2338 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 2340 "f2ctmp_dblas.f"
	info = 1;
#line 2341 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 2342 "f2ctmp_dblas.f"
	info = 2;
#line 2343 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 2344 "f2ctmp_dblas.f"
	info = 5;
#line 2345 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 2346 "f2ctmp_dblas.f"
	info = 7;
#line 2347 "f2ctmp_dblas.f"
    }
#line 2348 "f2ctmp_dblas.f"
    if (info != 0) {
#line 2349 "f2ctmp_dblas.f"
	xerbla_("DSPR2 ", &info, 6L);
#line 2350 "f2ctmp_dblas.f"
	return 0;
#line 2351 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 2355 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0.) {
#line 2355 "f2ctmp_dblas.f"
	return 0;
#line 2355 "f2ctmp_dblas.f"
    }

/*     Set up the start points in X and Y if the increments are not both 
*/
/*     unity. */

#line 2361 "f2ctmp_dblas.f"
    if (*incx != 1 || *incy != 1) {
#line 2362 "f2ctmp_dblas.f"
	if (*incx > 0) {
#line 2363 "f2ctmp_dblas.f"
	    kx = 1;
#line 2364 "f2ctmp_dblas.f"
	} else {
#line 2365 "f2ctmp_dblas.f"
	    kx = 1 - (*n - 1) * *incx;
#line 2366 "f2ctmp_dblas.f"
	}
#line 2367 "f2ctmp_dblas.f"
	if (*incy > 0) {
#line 2368 "f2ctmp_dblas.f"
	    ky = 1;
#line 2369 "f2ctmp_dblas.f"
	} else {
#line 2370 "f2ctmp_dblas.f"
	    ky = 1 - (*n - 1) * *incy;
#line 2371 "f2ctmp_dblas.f"
	}
#line 2372 "f2ctmp_dblas.f"
	jx = kx;
#line 2373 "f2ctmp_dblas.f"
	jy = ky;
#line 2374 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of the array AP 
*/
/*     are accessed sequentially with one pass through AP. */

#line 2379 "f2ctmp_dblas.f"
    kk = 1;
#line 2380 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  A  when upper triangle is stored in AP. */

#line 2384 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 2385 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2385 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2386 "f2ctmp_dblas.f"
		if (x[j] != 0. || y[j] != 0.) {
#line 2387 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[j];
#line 2388 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[j];
#line 2389 "f2ctmp_dblas.f"
		    k = kk;
#line 2390 "f2ctmp_dblas.f"
		    i__2 = j;
#line 2390 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 2391 "f2ctmp_dblas.f"
			ap[k] = ap[k] + x[i] * temp1 + y[i] * temp2;
#line 2392 "f2ctmp_dblas.f"
			++k;
#line 2393 "f2ctmp_dblas.f"
/* L10: */
#line 2393 "f2ctmp_dblas.f"
		    }
#line 2394 "f2ctmp_dblas.f"
		}
#line 2395 "f2ctmp_dblas.f"
		kk += j;
#line 2396 "f2ctmp_dblas.f"
/* L20: */
#line 2396 "f2ctmp_dblas.f"
	    }
#line 2397 "f2ctmp_dblas.f"
	} else {
#line 2398 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2398 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2399 "f2ctmp_dblas.f"
		if (x[jx] != 0. || y[jy] != 0.) {
#line 2400 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[jy];
#line 2401 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[jx];
#line 2402 "f2ctmp_dblas.f"
		    ix = kx;
#line 2403 "f2ctmp_dblas.f"
		    iy = ky;
#line 2404 "f2ctmp_dblas.f"
		    i__2 = kk + j - 1;
#line 2404 "f2ctmp_dblas.f"
		    for (k = kk; k <= i__2; ++k) {
#line 2405 "f2ctmp_dblas.f"
			ap[k] = ap[k] + x[ix] * temp1 + y[iy] * temp2;
#line 2406 "f2ctmp_dblas.f"
			ix += *incx;
#line 2407 "f2ctmp_dblas.f"
			iy += *incy;
#line 2408 "f2ctmp_dblas.f"
/* L30: */
#line 2408 "f2ctmp_dblas.f"
		    }
#line 2409 "f2ctmp_dblas.f"
		}
#line 2410 "f2ctmp_dblas.f"
		jx += *incx;
#line 2411 "f2ctmp_dblas.f"
		jy += *incy;
#line 2412 "f2ctmp_dblas.f"
		kk += j;
#line 2413 "f2ctmp_dblas.f"
/* L40: */
#line 2413 "f2ctmp_dblas.f"
	    }
#line 2414 "f2ctmp_dblas.f"
	}
#line 2415 "f2ctmp_dblas.f"
    } else {

/*        Form  A  when lower triangle is stored in AP. */

#line 2419 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 2420 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2420 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2421 "f2ctmp_dblas.f"
		if (x[j] != 0. || y[j] != 0.) {
#line 2422 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[j];
#line 2423 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[j];
#line 2424 "f2ctmp_dblas.f"
		    k = kk;
#line 2425 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 2425 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 2426 "f2ctmp_dblas.f"
			ap[k] = ap[k] + x[i] * temp1 + y[i] * temp2;
#line 2427 "f2ctmp_dblas.f"
			++k;
#line 2428 "f2ctmp_dblas.f"
/* L50: */
#line 2428 "f2ctmp_dblas.f"
		    }
#line 2429 "f2ctmp_dblas.f"
		}
#line 2430 "f2ctmp_dblas.f"
		kk = kk + *n - j + 1;
#line 2431 "f2ctmp_dblas.f"
/* L60: */
#line 2431 "f2ctmp_dblas.f"
	    }
#line 2432 "f2ctmp_dblas.f"
	} else {
#line 2433 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2433 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2434 "f2ctmp_dblas.f"
		if (x[jx] != 0. || y[jy] != 0.) {
#line 2435 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[jy];
#line 2436 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[jx];
#line 2437 "f2ctmp_dblas.f"
		    ix = jx;
#line 2438 "f2ctmp_dblas.f"
		    iy = jy;
#line 2439 "f2ctmp_dblas.f"
		    i__2 = kk + *n - j;
#line 2439 "f2ctmp_dblas.f"
		    for (k = kk; k <= i__2; ++k) {
#line 2440 "f2ctmp_dblas.f"
			ap[k] = ap[k] + x[ix] * temp1 + y[iy] * temp2;
#line 2441 "f2ctmp_dblas.f"
			ix += *incx;
#line 2442 "f2ctmp_dblas.f"
			iy += *incy;
#line 2443 "f2ctmp_dblas.f"
/* L70: */
#line 2443 "f2ctmp_dblas.f"
		    }
#line 2444 "f2ctmp_dblas.f"
		}
#line 2445 "f2ctmp_dblas.f"
		jx += *incx;
#line 2446 "f2ctmp_dblas.f"
		jy += *incy;
#line 2447 "f2ctmp_dblas.f"
		kk = kk + *n - j + 1;
#line 2448 "f2ctmp_dblas.f"
/* L80: */
#line 2448 "f2ctmp_dblas.f"
	    }
#line 2449 "f2ctmp_dblas.f"
	}
#line 2450 "f2ctmp_dblas.f"
    }

#line 2452 "f2ctmp_dblas.f"
    return 0;

/*     End of DSPR2 . */

} /* dspr2_ */

/* Subroutine */ int dswap_(integer *n, doublereal *dx, integer *incx, 
	doublereal *dy, integer *incy)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static integer i, m, ix, iy, mp1;
    static doublereal dtemp;


/*     interchanges two vectors. */
/*     uses unrolled loops for increments equal one. */
/*     jack dongarra, linpack, 3/11/78. */


#line 2466 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 2466 "f2ctmp_dblas.f"
    --dy;
#line 2466 "f2ctmp_dblas.f"
    --dx;
#line 2466 "f2ctmp_dblas.f"

#line 2466 "f2ctmp_dblas.f"
    /* Function Body */
#line 2466 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 2466 "f2ctmp_dblas.f"
	return 0;
#line 2466 "f2ctmp_dblas.f"
    }
#line 2467 "f2ctmp_dblas.f"
    if (*incx == 1 && *incy == 1) {
#line 2467 "f2ctmp_dblas.f"
	goto L20;
#line 2467 "f2ctmp_dblas.f"
    }

/*       code for unequal increments or equal increments not equal */
/*         to 1 */

#line 2472 "f2ctmp_dblas.f"
    ix = 1;
#line 2473 "f2ctmp_dblas.f"
    iy = 1;
#line 2474 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 2474 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 2474 "f2ctmp_dblas.f"
    }
#line 2475 "f2ctmp_dblas.f"
    if (*incy < 0) {
#line 2475 "f2ctmp_dblas.f"
	iy = (-(*n) + 1) * *incy + 1;
#line 2475 "f2ctmp_dblas.f"
    }
#line 2476 "f2ctmp_dblas.f"
    i__1 = *n;
#line 2476 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 2477 "f2ctmp_dblas.f"
	dtemp = dx[ix];
#line 2478 "f2ctmp_dblas.f"
	dx[ix] = dy[iy];
#line 2479 "f2ctmp_dblas.f"
	dy[iy] = dtemp;
#line 2480 "f2ctmp_dblas.f"
	ix += *incx;
#line 2481 "f2ctmp_dblas.f"
	iy += *incy;
#line 2482 "f2ctmp_dblas.f"
/* L10: */
#line 2482 "f2ctmp_dblas.f"
    }
#line 2483 "f2ctmp_dblas.f"
    return 0;

/*       code for both increments equal to 1 */


/*       clean-up loop */

#line 2490 "f2ctmp_dblas.f"
L20:
#line 2490 "f2ctmp_dblas.f"
    m = *n % 3;
#line 2491 "f2ctmp_dblas.f"
    if (m == 0) {
#line 2491 "f2ctmp_dblas.f"
	goto L40;
#line 2491 "f2ctmp_dblas.f"
    }
#line 2492 "f2ctmp_dblas.f"
    i__1 = m;
#line 2492 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 2493 "f2ctmp_dblas.f"
	dtemp = dx[i];
#line 2494 "f2ctmp_dblas.f"
	dx[i] = dy[i];
#line 2495 "f2ctmp_dblas.f"
	dy[i] = dtemp;
#line 2496 "f2ctmp_dblas.f"
/* L30: */
#line 2496 "f2ctmp_dblas.f"
    }
#line 2497 "f2ctmp_dblas.f"
    if (*n < 3) {
#line 2497 "f2ctmp_dblas.f"
	return 0;
#line 2497 "f2ctmp_dblas.f"
    }
#line 2498 "f2ctmp_dblas.f"
L40:
#line 2498 "f2ctmp_dblas.f"
    mp1 = m + 1;
#line 2499 "f2ctmp_dblas.f"
    i__1 = *n;
#line 2499 "f2ctmp_dblas.f"
    for (i = mp1; i <= i__1; i += 3) {
#line 2500 "f2ctmp_dblas.f"
	dtemp = dx[i];
#line 2501 "f2ctmp_dblas.f"
	dx[i] = dy[i];
#line 2502 "f2ctmp_dblas.f"
	dy[i] = dtemp;
#line 2503 "f2ctmp_dblas.f"
	dtemp = dx[i + 1];
#line 2504 "f2ctmp_dblas.f"
	dx[i + 1] = dy[i + 1];
#line 2505 "f2ctmp_dblas.f"
	dy[i + 1] = dtemp;
#line 2506 "f2ctmp_dblas.f"
	dtemp = dx[i + 2];
#line 2507 "f2ctmp_dblas.f"
	dx[i + 2] = dy[i + 2];
#line 2508 "f2ctmp_dblas.f"
	dy[i + 2] = dtemp;
#line 2509 "f2ctmp_dblas.f"
/* L50: */
#line 2509 "f2ctmp_dblas.f"
    }
#line 2510 "f2ctmp_dblas.f"
    return 0;
} /* dswap_ */

/* Subroutine */ int dsymm_(char *side, char *uplo, integer *m, integer *n, 
	doublereal *alpha, doublereal *a, integer *lda, doublereal *b, 
	integer *ldb, doublereal *beta, doublereal *c, integer *ldc, ftnlen 
	side_len, ftnlen uplo_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, b_dim1, b_offset, c_dim1, c_offset, i__1, i__2, 
	    i__3;

    /* Local variables */
    static integer i, j, k, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa;
    static logical upper;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */
/*           Before entry, the leading  m by n  part of the array  C must 
*/
/*           contain the matrix  C,  except when  beta  is zero, in which 
*/
/*           case C need not be set on entry. */
/*           On exit, the array  C  is overwritten by the  m by n updated 
*/
/*           matrix. */

/*  LDC    - INTEGER. */
/*           On entry, LDC specifies the first dimension of C as declared 
*/
/*           in  the  calling  (sub)  program.   LDC  must  be  at  least 
*/
/*           max( 1, m ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */

/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Set NROWA as the number of rows of A. */

#line 2665 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 2665 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 2665 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 2665 "f2ctmp_dblas.f"
    a -= a_offset;
#line 2665 "f2ctmp_dblas.f"
    b_dim1 = *ldb;
#line 2665 "f2ctmp_dblas.f"
    b_offset = b_dim1 + 1;
#line 2665 "f2ctmp_dblas.f"
    b -= b_offset;
#line 2665 "f2ctmp_dblas.f"
    c_dim1 = *ldc;
#line 2665 "f2ctmp_dblas.f"
    c_offset = c_dim1 + 1;
#line 2665 "f2ctmp_dblas.f"
    c -= c_offset;
#line 2665 "f2ctmp_dblas.f"

#line 2665 "f2ctmp_dblas.f"
    /* Function Body */
#line 2665 "f2ctmp_dblas.f"
    if (lsame_(side, "L", 1L, 1L)) {
#line 2666 "f2ctmp_dblas.f"
	nrowa = *m;
#line 2667 "f2ctmp_dblas.f"
    } else {
#line 2668 "f2ctmp_dblas.f"
	nrowa = *n;
#line 2669 "f2ctmp_dblas.f"
    }
#line 2670 "f2ctmp_dblas.f"
    upper = lsame_(uplo, "U", 1L, 1L);

/*     Test the input parameters. */

#line 2674 "f2ctmp_dblas.f"
    info = 0;
#line 2675 "f2ctmp_dblas.f"
    if (! lsame_(side, "L", 1L, 1L) && ! lsame_(side, "R", 1L, 1L)) {
#line 2677 "f2ctmp_dblas.f"
	info = 1;
#line 2678 "f2ctmp_dblas.f"
    } else if (! upper && ! lsame_(uplo, "L", 1L, 1L)) {
#line 2680 "f2ctmp_dblas.f"
	info = 2;
#line 2681 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 2682 "f2ctmp_dblas.f"
	info = 3;
#line 2683 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 2684 "f2ctmp_dblas.f"
	info = 4;
#line 2685 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 2686 "f2ctmp_dblas.f"
	info = 7;
#line 2687 "f2ctmp_dblas.f"
    } else if (*ldb < max(1,*m)) {
#line 2688 "f2ctmp_dblas.f"
	info = 9;
#line 2689 "f2ctmp_dblas.f"
    } else if (*ldc < max(1,*m)) {
#line 2690 "f2ctmp_dblas.f"
	info = 12;
#line 2691 "f2ctmp_dblas.f"
    }
#line 2692 "f2ctmp_dblas.f"
    if (info != 0) {
#line 2693 "f2ctmp_dblas.f"
	xerbla_("DSYMM ", &info, 6L);
#line 2694 "f2ctmp_dblas.f"
	return 0;
#line 2695 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 2699 "f2ctmp_dblas.f"
    if (*m == 0 || *n == 0 || *alpha == 0. && *beta == 1.) {
#line 2699 "f2ctmp_dblas.f"
	return 0;
#line 2699 "f2ctmp_dblas.f"
    }

/*     And when  alpha.eq.zero. */

#line 2705 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 2706 "f2ctmp_dblas.f"
	if (*beta == 0.) {
#line 2707 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2707 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2708 "f2ctmp_dblas.f"
		i__2 = *m;
#line 2708 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 2709 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = 0.;
#line 2710 "f2ctmp_dblas.f"
/* L10: */
#line 2710 "f2ctmp_dblas.f"
		}
#line 2711 "f2ctmp_dblas.f"
/* L20: */
#line 2711 "f2ctmp_dblas.f"
	    }
#line 2712 "f2ctmp_dblas.f"
	} else {
#line 2713 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2713 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2714 "f2ctmp_dblas.f"
		i__2 = *m;
#line 2714 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 2715 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 2716 "f2ctmp_dblas.f"
/* L30: */
#line 2716 "f2ctmp_dblas.f"
		}
#line 2717 "f2ctmp_dblas.f"
/* L40: */
#line 2717 "f2ctmp_dblas.f"
	    }
#line 2718 "f2ctmp_dblas.f"
	}
#line 2719 "f2ctmp_dblas.f"
	return 0;
#line 2720 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 2724 "f2ctmp_dblas.f"
    if (lsame_(side, "L", 1L, 1L)) {

/*        Form  C := alpha*A*B + beta*C. */

#line 2728 "f2ctmp_dblas.f"
	if (upper) {
#line 2729 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2729 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2730 "f2ctmp_dblas.f"
		i__2 = *m;
#line 2730 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 2731 "f2ctmp_dblas.f"
		    temp1 = *alpha * b[i + j * b_dim1];
#line 2732 "f2ctmp_dblas.f"
		    temp2 = 0.;
#line 2733 "f2ctmp_dblas.f"
		    i__3 = i - 1;
#line 2733 "f2ctmp_dblas.f"
		    for (k = 1; k <= i__3; ++k) {
#line 2734 "f2ctmp_dblas.f"
			c[k + j * c_dim1] += temp1 * a[k + i * a_dim1];
#line 2735 "f2ctmp_dblas.f"
			temp2 += b[k + j * b_dim1] * a[k + i * a_dim1];
#line 2736 "f2ctmp_dblas.f"
/* L50: */
#line 2736 "f2ctmp_dblas.f"
		    }
#line 2737 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 2738 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = temp1 * a[i + i * a_dim1] + *
				alpha * temp2;
#line 2739 "f2ctmp_dblas.f"
		    } else {
#line 2740 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1] + temp1 
				* a[i + i * a_dim1] + *alpha * temp2;
#line 2742 "f2ctmp_dblas.f"
		    }
#line 2743 "f2ctmp_dblas.f"
/* L60: */
#line 2743 "f2ctmp_dblas.f"
		}
#line 2744 "f2ctmp_dblas.f"
/* L70: */
#line 2744 "f2ctmp_dblas.f"
	    }
#line 2745 "f2ctmp_dblas.f"
	} else {
#line 2746 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2746 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2747 "f2ctmp_dblas.f"
		for (i = *m; i >= 1; --i) {
#line 2748 "f2ctmp_dblas.f"
		    temp1 = *alpha * b[i + j * b_dim1];
#line 2749 "f2ctmp_dblas.f"
		    temp2 = 0.;
#line 2750 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 2750 "f2ctmp_dblas.f"
		    for (k = i + 1; k <= i__2; ++k) {
#line 2751 "f2ctmp_dblas.f"
			c[k + j * c_dim1] += temp1 * a[k + i * a_dim1];
#line 2752 "f2ctmp_dblas.f"
			temp2 += b[k + j * b_dim1] * a[k + i * a_dim1];
#line 2753 "f2ctmp_dblas.f"
/* L80: */
#line 2753 "f2ctmp_dblas.f"
		    }
#line 2754 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 2755 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = temp1 * a[i + i * a_dim1] + *
				alpha * temp2;
#line 2756 "f2ctmp_dblas.f"
		    } else {
#line 2757 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1] + temp1 
				* a[i + i * a_dim1] + *alpha * temp2;
#line 2759 "f2ctmp_dblas.f"
		    }
#line 2760 "f2ctmp_dblas.f"
/* L90: */
#line 2760 "f2ctmp_dblas.f"
		}
#line 2761 "f2ctmp_dblas.f"
/* L100: */
#line 2761 "f2ctmp_dblas.f"
	    }
#line 2762 "f2ctmp_dblas.f"
	}
#line 2763 "f2ctmp_dblas.f"
    } else {

/*        Form  C := alpha*B*A + beta*C. */

#line 2767 "f2ctmp_dblas.f"
	i__1 = *n;
#line 2767 "f2ctmp_dblas.f"
	for (j = 1; j <= i__1; ++j) {
#line 2768 "f2ctmp_dblas.f"
	    temp1 = *alpha * a[j + j * a_dim1];
#line 2769 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 2770 "f2ctmp_dblas.f"
		i__2 = *m;
#line 2770 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 2771 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = temp1 * b[i + j * b_dim1];
#line 2772 "f2ctmp_dblas.f"
/* L110: */
#line 2772 "f2ctmp_dblas.f"
		}
#line 2773 "f2ctmp_dblas.f"
	    } else {
#line 2774 "f2ctmp_dblas.f"
		i__2 = *m;
#line 2774 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 2775 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] = *beta * c[i + j * c_dim1] + temp1 * b[
			    i + j * b_dim1];
#line 2776 "f2ctmp_dblas.f"
/* L120: */
#line 2776 "f2ctmp_dblas.f"
		}
#line 2777 "f2ctmp_dblas.f"
	    }
#line 2778 "f2ctmp_dblas.f"
	    i__2 = j - 1;
#line 2778 "f2ctmp_dblas.f"
	    for (k = 1; k <= i__2; ++k) {
#line 2779 "f2ctmp_dblas.f"
		if (upper) {
#line 2780 "f2ctmp_dblas.f"
		    temp1 = *alpha * a[k + j * a_dim1];
#line 2781 "f2ctmp_dblas.f"
		} else {
#line 2782 "f2ctmp_dblas.f"
		    temp1 = *alpha * a[j + k * a_dim1];
#line 2783 "f2ctmp_dblas.f"
		}
#line 2784 "f2ctmp_dblas.f"
		i__3 = *m;
#line 2784 "f2ctmp_dblas.f"
		for (i = 1; i <= i__3; ++i) {
#line 2785 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] += temp1 * b[i + k * b_dim1];
#line 2786 "f2ctmp_dblas.f"
/* L130: */
#line 2786 "f2ctmp_dblas.f"
		}
#line 2787 "f2ctmp_dblas.f"
/* L140: */
#line 2787 "f2ctmp_dblas.f"
	    }
#line 2788 "f2ctmp_dblas.f"
	    i__2 = *n;
#line 2788 "f2ctmp_dblas.f"
	    for (k = j + 1; k <= i__2; ++k) {
#line 2789 "f2ctmp_dblas.f"
		if (upper) {
#line 2790 "f2ctmp_dblas.f"
		    temp1 = *alpha * a[j + k * a_dim1];
#line 2791 "f2ctmp_dblas.f"
		} else {
#line 2792 "f2ctmp_dblas.f"
		    temp1 = *alpha * a[k + j * a_dim1];
#line 2793 "f2ctmp_dblas.f"
		}
#line 2794 "f2ctmp_dblas.f"
		i__3 = *m;
#line 2794 "f2ctmp_dblas.f"
		for (i = 1; i <= i__3; ++i) {
#line 2795 "f2ctmp_dblas.f"
		    c[i + j * c_dim1] += temp1 * b[i + k * b_dim1];
#line 2796 "f2ctmp_dblas.f"
/* L150: */
#line 2796 "f2ctmp_dblas.f"
		}
#line 2797 "f2ctmp_dblas.f"
/* L160: */
#line 2797 "f2ctmp_dblas.f"
	    }
#line 2798 "f2ctmp_dblas.f"
/* L170: */
#line 2798 "f2ctmp_dblas.f"
	}
#line 2799 "f2ctmp_dblas.f"
    }

#line 2801 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYMM . */

} /* dsymm_ */

/* Subroutine */ int dsymv_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *a, integer *lda, doublereal *x, integer *incx, doublereal 
	*beta, doublereal *y, integer *incy, ftnlen uplo_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSYMV  performs the matrix-vector  operation */

/*     y := alpha*A*x + beta*y, */

/*  where alpha and beta are scalars, x and y are n element vectors and */
/*  A is an n by n symmetric matrix. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the array A is to be referenced as */
/*           follows: */

/*              UPLO = 'U' or 'u'   Only the upper triangular part of A */
/*                                  is to be referenced. */

/*              UPLO = 'L' or 'l'   Only the lower triangular part of A */
/*                                  is to be referenced. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry with  UPLO = 'U' or 'u', the leading n by n */
/*           upper triangular part of the array A must contain the upper 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           lower triangular part of A is not referenced. */
/*           Before entry with UPLO = 'L' or 'l', the leading n by n */
/*           lower triangular part of the array A must contain the lower 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           upper triangular part of A is not referenced. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, n ). */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry, BETA specifies the scalar beta. When BETA is */
/*           supplied as zero then Y need not be set on input. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ). */
/*           Before entry, the incremented array Y must contain the n */
/*           element vector y. On exit, Y is overwritten by the updated */
/*           vector y. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 2923 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 2923 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 2923 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 2923 "f2ctmp_dblas.f"
    a -= a_offset;
#line 2923 "f2ctmp_dblas.f"
    --x;
#line 2923 "f2ctmp_dblas.f"
    --y;
#line 2923 "f2ctmp_dblas.f"

#line 2923 "f2ctmp_dblas.f"
    /* Function Body */
#line 2923 "f2ctmp_dblas.f"
    info = 0;
#line 2924 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 2926 "f2ctmp_dblas.f"
	info = 1;
#line 2927 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 2928 "f2ctmp_dblas.f"
	info = 2;
#line 2929 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*n)) {
#line 2930 "f2ctmp_dblas.f"
	info = 5;
#line 2931 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 2932 "f2ctmp_dblas.f"
	info = 7;
#line 2933 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 2934 "f2ctmp_dblas.f"
	info = 10;
#line 2935 "f2ctmp_dblas.f"
    }
#line 2936 "f2ctmp_dblas.f"
    if (info != 0) {
#line 2937 "f2ctmp_dblas.f"
	xerbla_("DSYMV ", &info, 6L);
#line 2938 "f2ctmp_dblas.f"
	return 0;
#line 2939 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 2943 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0. && *beta == 1.) {
#line 2943 "f2ctmp_dblas.f"
	return 0;
#line 2943 "f2ctmp_dblas.f"
    }

/*     Set up the start points in  X  and  Y. */

#line 2948 "f2ctmp_dblas.f"
    if (*incx > 0) {
#line 2949 "f2ctmp_dblas.f"
	kx = 1;
#line 2950 "f2ctmp_dblas.f"
    } else {
#line 2951 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 2952 "f2ctmp_dblas.f"
    }
#line 2953 "f2ctmp_dblas.f"
    if (*incy > 0) {
#line 2954 "f2ctmp_dblas.f"
	ky = 1;
#line 2955 "f2ctmp_dblas.f"
    } else {
#line 2956 "f2ctmp_dblas.f"
	ky = 1 - (*n - 1) * *incy;
#line 2957 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through the triangular part */
/*     of A. */

/*     First form  y := beta*y. */

#line 2965 "f2ctmp_dblas.f"
    if (*beta != 1.) {
#line 2966 "f2ctmp_dblas.f"
	if (*incy == 1) {
#line 2967 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 2968 "f2ctmp_dblas.f"
		i__1 = *n;
#line 2968 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 2969 "f2ctmp_dblas.f"
		    y[i] = 0.;
#line 2970 "f2ctmp_dblas.f"
/* L10: */
#line 2970 "f2ctmp_dblas.f"
		}
#line 2971 "f2ctmp_dblas.f"
	    } else {
#line 2972 "f2ctmp_dblas.f"
		i__1 = *n;
#line 2972 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 2973 "f2ctmp_dblas.f"
		    y[i] = *beta * y[i];
#line 2974 "f2ctmp_dblas.f"
/* L20: */
#line 2974 "f2ctmp_dblas.f"
		}
#line 2975 "f2ctmp_dblas.f"
	    }
#line 2976 "f2ctmp_dblas.f"
	} else {
#line 2977 "f2ctmp_dblas.f"
	    iy = ky;
#line 2978 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 2979 "f2ctmp_dblas.f"
		i__1 = *n;
#line 2979 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 2980 "f2ctmp_dblas.f"
		    y[iy] = 0.;
#line 2981 "f2ctmp_dblas.f"
		    iy += *incy;
#line 2982 "f2ctmp_dblas.f"
/* L30: */
#line 2982 "f2ctmp_dblas.f"
		}
#line 2983 "f2ctmp_dblas.f"
	    } else {
#line 2984 "f2ctmp_dblas.f"
		i__1 = *n;
#line 2984 "f2ctmp_dblas.f"
		for (i = 1; i <= i__1; ++i) {
#line 2985 "f2ctmp_dblas.f"
		    y[iy] = *beta * y[iy];
#line 2986 "f2ctmp_dblas.f"
		    iy += *incy;
#line 2987 "f2ctmp_dblas.f"
/* L40: */
#line 2987 "f2ctmp_dblas.f"
		}
#line 2988 "f2ctmp_dblas.f"
	    }
#line 2989 "f2ctmp_dblas.f"
	}
#line 2990 "f2ctmp_dblas.f"
    }
#line 2991 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 2991 "f2ctmp_dblas.f"
	return 0;
#line 2991 "f2ctmp_dblas.f"
    }
#line 2993 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  y  when A is stored in upper triangle. */

#line 2997 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 2998 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 2998 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 2999 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 3000 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 3001 "f2ctmp_dblas.f"
		i__2 = j - 1;
#line 3001 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 3002 "f2ctmp_dblas.f"
		    y[i] += temp1 * a[i + j * a_dim1];
#line 3003 "f2ctmp_dblas.f"
		    temp2 += a[i + j * a_dim1] * x[i];
#line 3004 "f2ctmp_dblas.f"
/* L50: */
#line 3004 "f2ctmp_dblas.f"
		}
#line 3005 "f2ctmp_dblas.f"
		y[j] = y[j] + temp1 * a[j + j * a_dim1] + *alpha * temp2;
#line 3006 "f2ctmp_dblas.f"
/* L60: */
#line 3006 "f2ctmp_dblas.f"
	    }
#line 3007 "f2ctmp_dblas.f"
	} else {
#line 3008 "f2ctmp_dblas.f"
	    jx = kx;
#line 3009 "f2ctmp_dblas.f"
	    jy = ky;
#line 3010 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3010 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3011 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 3012 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 3013 "f2ctmp_dblas.f"
		ix = kx;
#line 3014 "f2ctmp_dblas.f"
		iy = ky;
#line 3015 "f2ctmp_dblas.f"
		i__2 = j - 1;
#line 3015 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 3016 "f2ctmp_dblas.f"
		    y[iy] += temp1 * a[i + j * a_dim1];
#line 3017 "f2ctmp_dblas.f"
		    temp2 += a[i + j * a_dim1] * x[ix];
#line 3018 "f2ctmp_dblas.f"
		    ix += *incx;
#line 3019 "f2ctmp_dblas.f"
		    iy += *incy;
#line 3020 "f2ctmp_dblas.f"
/* L70: */
#line 3020 "f2ctmp_dblas.f"
		}
#line 3021 "f2ctmp_dblas.f"
		y[jy] = y[jy] + temp1 * a[j + j * a_dim1] + *alpha * temp2;
#line 3022 "f2ctmp_dblas.f"
		jx += *incx;
#line 3023 "f2ctmp_dblas.f"
		jy += *incy;
#line 3024 "f2ctmp_dblas.f"
/* L80: */
#line 3024 "f2ctmp_dblas.f"
	    }
#line 3025 "f2ctmp_dblas.f"
	}
#line 3026 "f2ctmp_dblas.f"
    } else {

/*        Form  y  when A is stored in lower triangle. */

#line 3030 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 3031 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3031 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3032 "f2ctmp_dblas.f"
		temp1 = *alpha * x[j];
#line 3033 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 3034 "f2ctmp_dblas.f"
		y[j] += temp1 * a[j + j * a_dim1];
#line 3035 "f2ctmp_dblas.f"
		i__2 = *n;
#line 3035 "f2ctmp_dblas.f"
		for (i = j + 1; i <= i__2; ++i) {
#line 3036 "f2ctmp_dblas.f"
		    y[i] += temp1 * a[i + j * a_dim1];
#line 3037 "f2ctmp_dblas.f"
		    temp2 += a[i + j * a_dim1] * x[i];
#line 3038 "f2ctmp_dblas.f"
/* L90: */
#line 3038 "f2ctmp_dblas.f"
		}
#line 3039 "f2ctmp_dblas.f"
		y[j] += *alpha * temp2;
#line 3040 "f2ctmp_dblas.f"
/* L100: */
#line 3040 "f2ctmp_dblas.f"
	    }
#line 3041 "f2ctmp_dblas.f"
	} else {
#line 3042 "f2ctmp_dblas.f"
	    jx = kx;
#line 3043 "f2ctmp_dblas.f"
	    jy = ky;
#line 3044 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3044 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3045 "f2ctmp_dblas.f"
		temp1 = *alpha * x[jx];
#line 3046 "f2ctmp_dblas.f"
		temp2 = 0.;
#line 3047 "f2ctmp_dblas.f"
		y[jy] += temp1 * a[j + j * a_dim1];
#line 3048 "f2ctmp_dblas.f"
		ix = jx;
#line 3049 "f2ctmp_dblas.f"
		iy = jy;
#line 3050 "f2ctmp_dblas.f"
		i__2 = *n;
#line 3050 "f2ctmp_dblas.f"
		for (i = j + 1; i <= i__2; ++i) {
#line 3051 "f2ctmp_dblas.f"
		    ix += *incx;
#line 3052 "f2ctmp_dblas.f"
		    iy += *incy;
#line 3053 "f2ctmp_dblas.f"
		    y[iy] += temp1 * a[i + j * a_dim1];
#line 3054 "f2ctmp_dblas.f"
		    temp2 += a[i + j * a_dim1] * x[ix];
#line 3055 "f2ctmp_dblas.f"
/* L110: */
#line 3055 "f2ctmp_dblas.f"
		}
#line 3056 "f2ctmp_dblas.f"
		y[jy] += *alpha * temp2;
#line 3057 "f2ctmp_dblas.f"
		jx += *incx;
#line 3058 "f2ctmp_dblas.f"
		jy += *incy;
#line 3059 "f2ctmp_dblas.f"
/* L120: */
#line 3059 "f2ctmp_dblas.f"
	    }
#line 3060 "f2ctmp_dblas.f"
	}
#line 3061 "f2ctmp_dblas.f"
    }

#line 3063 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYMV . */

} /* dsymv_ */

/* Subroutine */ int dsyr_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *x, integer *incx, doublereal *a, integer *lda, ftnlen 
	uplo_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSYR   performs the symmetric rank 1 operation */

/*     A := alpha*x*x' + A, */

/*  where alpha is a real scalar, x is an n element vector and A is an */
/*  n by n symmetric matrix. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the array A is to be referenced as */
/*           follows: */

/*              UPLO = 'U' or 'u'   Only the upper triangular part of A */
/*                                  is to be referenced. */

/*              UPLO = 'L' or 'l'   Only the lower triangular part of A */
/*                                  is to be referenced. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry with  UPLO = 'U' or 'u', the leading n by n */
/*           upper triangular part of the array A must contain the upper 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           lower triangular part of A is not referenced. On exit, the */
/*           upper triangular part of the array A is overwritten by the */
/*           upper triangular part of the updated matrix. */
/*           Before entry with UPLO = 'L' or 'l', the leading n by n */
/*           lower triangular part of the array A must contain the lower 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           upper triangular part of A is not referenced. On exit, the */
/*           lower triangular part of the array A is overwritten by the */
/*           lower triangular part of the updated matrix. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, n ). */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 3171 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 3171 "f2ctmp_dblas.f"
    --x;
#line 3171 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 3171 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 3171 "f2ctmp_dblas.f"
    a -= a_offset;
#line 3171 "f2ctmp_dblas.f"

#line 3171 "f2ctmp_dblas.f"
    /* Function Body */
#line 3171 "f2ctmp_dblas.f"
    info = 0;
#line 3172 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 3174 "f2ctmp_dblas.f"
	info = 1;
#line 3175 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 3176 "f2ctmp_dblas.f"
	info = 2;
#line 3177 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 3178 "f2ctmp_dblas.f"
	info = 5;
#line 3179 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*n)) {
#line 3180 "f2ctmp_dblas.f"
	info = 7;
#line 3181 "f2ctmp_dblas.f"
    }
#line 3182 "f2ctmp_dblas.f"
    if (info != 0) {
#line 3183 "f2ctmp_dblas.f"
	xerbla_("DSYR  ", &info, 6L);
#line 3184 "f2ctmp_dblas.f"
	return 0;
#line 3185 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 3189 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0.) {
#line 3189 "f2ctmp_dblas.f"
	return 0;
#line 3189 "f2ctmp_dblas.f"
    }

/*     Set the start point in X if the increment is not unity. */

#line 3194 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 3195 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 3196 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 3197 "f2ctmp_dblas.f"
	kx = 1;
#line 3198 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through the triangular part */
/*     of A. */

#line 3204 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  A  when A is stored in upper triangle. */

#line 3208 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 3209 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3209 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3210 "f2ctmp_dblas.f"
		if (x[j] != 0.) {
#line 3211 "f2ctmp_dblas.f"
		    temp = *alpha * x[j];
#line 3212 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3212 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3213 "f2ctmp_dblas.f"
			a[i + j * a_dim1] += x[i] * temp;
#line 3214 "f2ctmp_dblas.f"
/* L10: */
#line 3214 "f2ctmp_dblas.f"
		    }
#line 3215 "f2ctmp_dblas.f"
		}
#line 3216 "f2ctmp_dblas.f"
/* L20: */
#line 3216 "f2ctmp_dblas.f"
	    }
#line 3217 "f2ctmp_dblas.f"
	} else {
#line 3218 "f2ctmp_dblas.f"
	    jx = kx;
#line 3219 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3219 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3220 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 3221 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 3222 "f2ctmp_dblas.f"
		    ix = kx;
#line 3223 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3223 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3224 "f2ctmp_dblas.f"
			a[i + j * a_dim1] += x[ix] * temp;
#line 3225 "f2ctmp_dblas.f"
			ix += *incx;
#line 3226 "f2ctmp_dblas.f"
/* L30: */
#line 3226 "f2ctmp_dblas.f"
		    }
#line 3227 "f2ctmp_dblas.f"
		}
#line 3228 "f2ctmp_dblas.f"
		jx += *incx;
#line 3229 "f2ctmp_dblas.f"
/* L40: */
#line 3229 "f2ctmp_dblas.f"
	    }
#line 3230 "f2ctmp_dblas.f"
	}
#line 3231 "f2ctmp_dblas.f"
    } else {

/*        Form  A  when A is stored in lower triangle. */

#line 3235 "f2ctmp_dblas.f"
	if (*incx == 1) {
#line 3236 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3236 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3237 "f2ctmp_dblas.f"
		if (x[j] != 0.) {
#line 3238 "f2ctmp_dblas.f"
		    temp = *alpha * x[j];
#line 3239 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3239 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3240 "f2ctmp_dblas.f"
			a[i + j * a_dim1] += x[i] * temp;
#line 3241 "f2ctmp_dblas.f"
/* L50: */
#line 3241 "f2ctmp_dblas.f"
		    }
#line 3242 "f2ctmp_dblas.f"
		}
#line 3243 "f2ctmp_dblas.f"
/* L60: */
#line 3243 "f2ctmp_dblas.f"
	    }
#line 3244 "f2ctmp_dblas.f"
	} else {
#line 3245 "f2ctmp_dblas.f"
	    jx = kx;
#line 3246 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3246 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3247 "f2ctmp_dblas.f"
		if (x[jx] != 0.) {
#line 3248 "f2ctmp_dblas.f"
		    temp = *alpha * x[jx];
#line 3249 "f2ctmp_dblas.f"
		    ix = jx;
#line 3250 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3250 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3251 "f2ctmp_dblas.f"
			a[i + j * a_dim1] += x[ix] * temp;
#line 3252 "f2ctmp_dblas.f"
			ix += *incx;
#line 3253 "f2ctmp_dblas.f"
/* L70: */
#line 3253 "f2ctmp_dblas.f"
		    }
#line 3254 "f2ctmp_dblas.f"
		}
#line 3255 "f2ctmp_dblas.f"
		jx += *incx;
#line 3256 "f2ctmp_dblas.f"
/* L80: */
#line 3256 "f2ctmp_dblas.f"
	    }
#line 3257 "f2ctmp_dblas.f"
	}
#line 3258 "f2ctmp_dblas.f"
    }

#line 3260 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYR  . */

} /* dsyr_ */

/* Subroutine */ int dsyr2_(char *uplo, integer *n, doublereal *alpha, 
	doublereal *x, integer *incx, doublereal *y, integer *incy, 
	doublereal *a, integer *lda, ftnlen uplo_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, iy, jx, jy, kx, ky, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSYR2  performs the symmetric rank 2 operation */

/*     A := alpha*x*y' + alpha*y*x' + A, */

/*  where alpha is a scalar, x and y are n element vectors and A is an n 
*/
/*  by n symmetric matrix. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the upper or lower */
/*           triangular part of the array A is to be referenced as */
/*           follows: */

/*              UPLO = 'U' or 'u'   Only the upper triangular part of A */
/*                                  is to be referenced. */

/*              UPLO = 'L' or 'l'   Only the lower triangular part of A */
/*                                  is to be referenced. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. */
/*           Unchanged on exit. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */

/*  Y      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCY ) ). */
/*           Before entry, the incremented array Y must contain the n */
/*           element vector y. */
/*           Unchanged on exit. */

/*  INCY   - INTEGER. */
/*           On entry, INCY specifies the increment for the elements of */
/*           Y. INCY must not be zero. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry with  UPLO = 'U' or 'u', the leading n by n */
/*           upper triangular part of the array A must contain the upper 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           lower triangular part of A is not referenced. On exit, the */
/*           upper triangular part of the array A is overwritten by the */
/*           upper triangular part of the updated matrix. */
/*           Before entry with UPLO = 'L' or 'l', the leading n by n */
/*           lower triangular part of the array A must contain the lower 
*/
/*           triangular part of the symmetric matrix and the strictly */
/*           upper triangular part of A is not referenced. On exit, the */
/*           lower triangular part of the array A is overwritten by the */
/*           lower triangular part of the updated matrix. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, n ). */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 3379 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 3379 "f2ctmp_dblas.f"
    --x;
#line 3379 "f2ctmp_dblas.f"
    --y;
#line 3379 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 3379 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 3379 "f2ctmp_dblas.f"
    a -= a_offset;
#line 3379 "f2ctmp_dblas.f"

#line 3379 "f2ctmp_dblas.f"
    /* Function Body */
#line 3379 "f2ctmp_dblas.f"
    info = 0;
#line 3380 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 3382 "f2ctmp_dblas.f"
	info = 1;
#line 3383 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 3384 "f2ctmp_dblas.f"
	info = 2;
#line 3385 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 3386 "f2ctmp_dblas.f"
	info = 5;
#line 3387 "f2ctmp_dblas.f"
    } else if (*incy == 0) {
#line 3388 "f2ctmp_dblas.f"
	info = 7;
#line 3389 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*n)) {
#line 3390 "f2ctmp_dblas.f"
	info = 9;
#line 3391 "f2ctmp_dblas.f"
    }
#line 3392 "f2ctmp_dblas.f"
    if (info != 0) {
#line 3393 "f2ctmp_dblas.f"
	xerbla_("DSYR2 ", &info, 6L);
#line 3394 "f2ctmp_dblas.f"
	return 0;
#line 3395 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 3399 "f2ctmp_dblas.f"
    if (*n == 0 || *alpha == 0.) {
#line 3399 "f2ctmp_dblas.f"
	return 0;
#line 3399 "f2ctmp_dblas.f"
    }

/*     Set up the start points in X and Y if the increments are not both 
*/
/*     unity. */

#line 3405 "f2ctmp_dblas.f"
    if (*incx != 1 || *incy != 1) {
#line 3406 "f2ctmp_dblas.f"
	if (*incx > 0) {
#line 3407 "f2ctmp_dblas.f"
	    kx = 1;
#line 3408 "f2ctmp_dblas.f"
	} else {
#line 3409 "f2ctmp_dblas.f"
	    kx = 1 - (*n - 1) * *incx;
#line 3410 "f2ctmp_dblas.f"
	}
#line 3411 "f2ctmp_dblas.f"
	if (*incy > 0) {
#line 3412 "f2ctmp_dblas.f"
	    ky = 1;
#line 3413 "f2ctmp_dblas.f"
	} else {
#line 3414 "f2ctmp_dblas.f"
	    ky = 1 - (*n - 1) * *incy;
#line 3415 "f2ctmp_dblas.f"
	}
#line 3416 "f2ctmp_dblas.f"
	jx = kx;
#line 3417 "f2ctmp_dblas.f"
	jy = ky;
#line 3418 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through the triangular part */
/*     of A. */

#line 3424 "f2ctmp_dblas.f"
    if (lsame_(uplo, "U", 1L, 1L)) {

/*        Form  A  when A is stored in the upper triangle. */

#line 3428 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 3429 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3429 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3430 "f2ctmp_dblas.f"
		if (x[j] != 0. || y[j] != 0.) {
#line 3431 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[j];
#line 3432 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[j];
#line 3433 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3433 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3434 "f2ctmp_dblas.f"
			a[i + j * a_dim1] = a[i + j * a_dim1] + x[i] * temp1 
				+ y[i] * temp2;
#line 3435 "f2ctmp_dblas.f"
/* L10: */
#line 3435 "f2ctmp_dblas.f"
		    }
#line 3436 "f2ctmp_dblas.f"
		}
#line 3437 "f2ctmp_dblas.f"
/* L20: */
#line 3437 "f2ctmp_dblas.f"
	    }
#line 3438 "f2ctmp_dblas.f"
	} else {
#line 3439 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3439 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3440 "f2ctmp_dblas.f"
		if (x[jx] != 0. || y[jy] != 0.) {
#line 3441 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[jy];
#line 3442 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[jx];
#line 3443 "f2ctmp_dblas.f"
		    ix = kx;
#line 3444 "f2ctmp_dblas.f"
		    iy = ky;
#line 3445 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3445 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3446 "f2ctmp_dblas.f"
			a[i + j * a_dim1] = a[i + j * a_dim1] + x[ix] * temp1 
				+ y[iy] * temp2;
#line 3448 "f2ctmp_dblas.f"
			ix += *incx;
#line 3449 "f2ctmp_dblas.f"
			iy += *incy;
#line 3450 "f2ctmp_dblas.f"
/* L30: */
#line 3450 "f2ctmp_dblas.f"
		    }
#line 3451 "f2ctmp_dblas.f"
		}
#line 3452 "f2ctmp_dblas.f"
		jx += *incx;
#line 3453 "f2ctmp_dblas.f"
		jy += *incy;
#line 3454 "f2ctmp_dblas.f"
/* L40: */
#line 3454 "f2ctmp_dblas.f"
	    }
#line 3455 "f2ctmp_dblas.f"
	}
#line 3456 "f2ctmp_dblas.f"
    } else {

/*        Form  A  when A is stored in the lower triangle. */

#line 3460 "f2ctmp_dblas.f"
	if (*incx == 1 && *incy == 1) {
#line 3461 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3461 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3462 "f2ctmp_dblas.f"
		if (x[j] != 0. || y[j] != 0.) {
#line 3463 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[j];
#line 3464 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[j];
#line 3465 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3465 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3466 "f2ctmp_dblas.f"
			a[i + j * a_dim1] = a[i + j * a_dim1] + x[i] * temp1 
				+ y[i] * temp2;
#line 3467 "f2ctmp_dblas.f"
/* L50: */
#line 3467 "f2ctmp_dblas.f"
		    }
#line 3468 "f2ctmp_dblas.f"
		}
#line 3469 "f2ctmp_dblas.f"
/* L60: */
#line 3469 "f2ctmp_dblas.f"
	    }
#line 3470 "f2ctmp_dblas.f"
	} else {
#line 3471 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3471 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3472 "f2ctmp_dblas.f"
		if (x[jx] != 0. || y[jy] != 0.) {
#line 3473 "f2ctmp_dblas.f"
		    temp1 = *alpha * y[jy];
#line 3474 "f2ctmp_dblas.f"
		    temp2 = *alpha * x[jx];
#line 3475 "f2ctmp_dblas.f"
		    ix = jx;
#line 3476 "f2ctmp_dblas.f"
		    iy = jy;
#line 3477 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3477 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3478 "f2ctmp_dblas.f"
			a[i + j * a_dim1] = a[i + j * a_dim1] + x[ix] * temp1 
				+ y[iy] * temp2;
#line 3480 "f2ctmp_dblas.f"
			ix += *incx;
#line 3481 "f2ctmp_dblas.f"
			iy += *incy;
#line 3482 "f2ctmp_dblas.f"
/* L70: */
#line 3482 "f2ctmp_dblas.f"
		    }
#line 3483 "f2ctmp_dblas.f"
		}
#line 3484 "f2ctmp_dblas.f"
		jx += *incx;
#line 3485 "f2ctmp_dblas.f"
		jy += *incy;
#line 3486 "f2ctmp_dblas.f"
/* L80: */
#line 3486 "f2ctmp_dblas.f"
	    }
#line 3487 "f2ctmp_dblas.f"
	}
#line 3488 "f2ctmp_dblas.f"
    }

#line 3490 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYR2 . */

} /* dsyr2_ */

/* Subroutine */ int dsyr2k_(char *uplo, char *trans, integer *n, integer *k, 
	doublereal *alpha, doublereal *a, integer *lda, doublereal *b, 
	integer *ldb, doublereal *beta, doublereal *c, integer *ldc, ftnlen 
	uplo_len, ftnlen trans_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, b_dim1, b_offset, c_dim1, c_offset, i__1, i__2, 
	    i__3;

    /* Local variables */
    static integer i, j, l, info;
    static doublereal temp1, temp2;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa;
    static logical upper;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */
/*           lower triangular part of the array C must contain the lower 
*/
/*           triangular part  of the  symmetric matrix  and the strictly 
*/
/*           upper triangular part of C is not referenced.  On exit, the 
*/
/*           lower triangular part of the array  C is overwritten by the 
*/
/*           lower triangular part of the updated matrix. */

/*  LDC    - INTEGER. */
/*           On entry, LDC specifies the first dimension of C as declared 
*/
/*           in  the  calling  (sub)  program.   LDC  must  be  at  least 
*/
/*           max( 1, n ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */


/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 3651 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 3651 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 3651 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 3651 "f2ctmp_dblas.f"
    a -= a_offset;
#line 3651 "f2ctmp_dblas.f"
    b_dim1 = *ldb;
#line 3651 "f2ctmp_dblas.f"
    b_offset = b_dim1 + 1;
#line 3651 "f2ctmp_dblas.f"
    b -= b_offset;
#line 3651 "f2ctmp_dblas.f"
    c_dim1 = *ldc;
#line 3651 "f2ctmp_dblas.f"
    c_offset = c_dim1 + 1;
#line 3651 "f2ctmp_dblas.f"
    c -= c_offset;
#line 3651 "f2ctmp_dblas.f"

#line 3651 "f2ctmp_dblas.f"
    /* Function Body */
#line 3651 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {
#line 3652 "f2ctmp_dblas.f"
	nrowa = *n;
#line 3653 "f2ctmp_dblas.f"
    } else {
#line 3654 "f2ctmp_dblas.f"
	nrowa = *k;
#line 3655 "f2ctmp_dblas.f"
    }
#line 3656 "f2ctmp_dblas.f"
    upper = lsame_(uplo, "U", 1L, 1L);

#line 3658 "f2ctmp_dblas.f"
    info = 0;
#line 3659 "f2ctmp_dblas.f"
    if (! upper && ! lsame_(uplo, "L", 1L, 1L)) {
#line 3661 "f2ctmp_dblas.f"
	info = 1;
#line 3662 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 3665 "f2ctmp_dblas.f"
	info = 2;
#line 3666 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 3667 "f2ctmp_dblas.f"
	info = 3;
#line 3668 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 3669 "f2ctmp_dblas.f"
	info = 4;
#line 3670 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 3671 "f2ctmp_dblas.f"
	info = 7;
#line 3672 "f2ctmp_dblas.f"
    } else if (*ldb < max(1,nrowa)) {
#line 3673 "f2ctmp_dblas.f"
	info = 9;
#line 3674 "f2ctmp_dblas.f"
    } else if (*ldc < max(1,*n)) {
#line 3675 "f2ctmp_dblas.f"
	info = 12;
#line 3676 "f2ctmp_dblas.f"
    }
#line 3677 "f2ctmp_dblas.f"
    if (info != 0) {
#line 3678 "f2ctmp_dblas.f"
	xerbla_("DSYR2K", &info, 6L);
#line 3679 "f2ctmp_dblas.f"
	return 0;
#line 3680 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 3684 "f2ctmp_dblas.f"
    if (*n == 0 || (*alpha == 0. || *k == 0) && *beta == 1.) {
#line 3684 "f2ctmp_dblas.f"
	return 0;
#line 3684 "f2ctmp_dblas.f"
    }

/*     And when  alpha.eq.zero. */

#line 3690 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 3691 "f2ctmp_dblas.f"
	if (upper) {
#line 3692 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 3693 "f2ctmp_dblas.f"
		i__1 = *n;
#line 3693 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 3694 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3694 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3695 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 3696 "f2ctmp_dblas.f"
/* L10: */
#line 3696 "f2ctmp_dblas.f"
		    }
#line 3697 "f2ctmp_dblas.f"
/* L20: */
#line 3697 "f2ctmp_dblas.f"
		}
#line 3698 "f2ctmp_dblas.f"
	    } else {
#line 3699 "f2ctmp_dblas.f"
		i__1 = *n;
#line 3699 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 3700 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3700 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3701 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 3702 "f2ctmp_dblas.f"
/* L30: */
#line 3702 "f2ctmp_dblas.f"
		    }
#line 3703 "f2ctmp_dblas.f"
/* L40: */
#line 3703 "f2ctmp_dblas.f"
		}
#line 3704 "f2ctmp_dblas.f"
	    }
#line 3705 "f2ctmp_dblas.f"
	} else {
#line 3706 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 3707 "f2ctmp_dblas.f"
		i__1 = *n;
#line 3707 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 3708 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3708 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3709 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 3710 "f2ctmp_dblas.f"
/* L50: */
#line 3710 "f2ctmp_dblas.f"
		    }
#line 3711 "f2ctmp_dblas.f"
/* L60: */
#line 3711 "f2ctmp_dblas.f"
		}
#line 3712 "f2ctmp_dblas.f"
	    } else {
#line 3713 "f2ctmp_dblas.f"
		i__1 = *n;
#line 3713 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 3714 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3714 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3715 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 3716 "f2ctmp_dblas.f"
/* L70: */
#line 3716 "f2ctmp_dblas.f"
		    }
#line 3717 "f2ctmp_dblas.f"
/* L80: */
#line 3717 "f2ctmp_dblas.f"
		}
#line 3718 "f2ctmp_dblas.f"
	    }
#line 3719 "f2ctmp_dblas.f"
	}
#line 3720 "f2ctmp_dblas.f"
	return 0;
#line 3721 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 3725 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  C := alpha*A*B' + alpha*B*A' + C. */

#line 3729 "f2ctmp_dblas.f"
	if (upper) {
#line 3730 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3730 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3731 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 3732 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3732 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3733 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 3734 "f2ctmp_dblas.f"
/* L90: */
#line 3734 "f2ctmp_dblas.f"
		    }
#line 3735 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 3736 "f2ctmp_dblas.f"
		    i__2 = j;
#line 3736 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 3737 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 3738 "f2ctmp_dblas.f"
/* L100: */
#line 3738 "f2ctmp_dblas.f"
		    }
#line 3739 "f2ctmp_dblas.f"
		}
#line 3740 "f2ctmp_dblas.f"
		i__2 = *k;
#line 3740 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 3741 "f2ctmp_dblas.f"
		    if (a[j + l * a_dim1] != 0. || b[j + l * b_dim1] != 0.) {
#line 3743 "f2ctmp_dblas.f"
			temp1 = *alpha * b[j + l * b_dim1];
#line 3744 "f2ctmp_dblas.f"
			temp2 = *alpha * a[j + l * a_dim1];
#line 3745 "f2ctmp_dblas.f"
			i__3 = j;
#line 3745 "f2ctmp_dblas.f"
			for (i = 1; i <= i__3; ++i) {
#line 3746 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] = c[i + j * c_dim1] + a[i + l * 
				    a_dim1] * temp1 + b[i + l * b_dim1] * 
				    temp2;
#line 3748 "f2ctmp_dblas.f"
/* L110: */
#line 3748 "f2ctmp_dblas.f"
			}
#line 3749 "f2ctmp_dblas.f"
		    }
#line 3750 "f2ctmp_dblas.f"
/* L120: */
#line 3750 "f2ctmp_dblas.f"
		}
#line 3751 "f2ctmp_dblas.f"
/* L130: */
#line 3751 "f2ctmp_dblas.f"
	    }
#line 3752 "f2ctmp_dblas.f"
	} else {
#line 3753 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3753 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3754 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 3755 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3755 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3756 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 3757 "f2ctmp_dblas.f"
/* L140: */
#line 3757 "f2ctmp_dblas.f"
		    }
#line 3758 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 3759 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 3759 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 3760 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 3761 "f2ctmp_dblas.f"
/* L150: */
#line 3761 "f2ctmp_dblas.f"
		    }
#line 3762 "f2ctmp_dblas.f"
		}
#line 3763 "f2ctmp_dblas.f"
		i__2 = *k;
#line 3763 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 3764 "f2ctmp_dblas.f"
		    if (a[j + l * a_dim1] != 0. || b[j + l * b_dim1] != 0.) {
#line 3766 "f2ctmp_dblas.f"
			temp1 = *alpha * b[j + l * b_dim1];
#line 3767 "f2ctmp_dblas.f"
			temp2 = *alpha * a[j + l * a_dim1];
#line 3768 "f2ctmp_dblas.f"
			i__3 = *n;
#line 3768 "f2ctmp_dblas.f"
			for (i = j; i <= i__3; ++i) {
#line 3769 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] = c[i + j * c_dim1] + a[i + l * 
				    a_dim1] * temp1 + b[i + l * b_dim1] * 
				    temp2;
#line 3771 "f2ctmp_dblas.f"
/* L160: */
#line 3771 "f2ctmp_dblas.f"
			}
#line 3772 "f2ctmp_dblas.f"
		    }
#line 3773 "f2ctmp_dblas.f"
/* L170: */
#line 3773 "f2ctmp_dblas.f"
		}
#line 3774 "f2ctmp_dblas.f"
/* L180: */
#line 3774 "f2ctmp_dblas.f"
	    }
#line 3775 "f2ctmp_dblas.f"
	}
#line 3776 "f2ctmp_dblas.f"
    } else {

/*        Form  C := alpha*A'*B + alpha*B'*A + C. */

#line 3780 "f2ctmp_dblas.f"
	if (upper) {
#line 3781 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3781 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3782 "f2ctmp_dblas.f"
		i__2 = j;
#line 3782 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 3783 "f2ctmp_dblas.f"
		    temp1 = 0.;
#line 3784 "f2ctmp_dblas.f"
		    temp2 = 0.;
#line 3785 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 3785 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 3786 "f2ctmp_dblas.f"
			temp1 += a[l + i * a_dim1] * b[l + j * b_dim1];
#line 3787 "f2ctmp_dblas.f"
			temp2 += b[l + i * b_dim1] * a[l + j * a_dim1];
#line 3788 "f2ctmp_dblas.f"
/* L190: */
#line 3788 "f2ctmp_dblas.f"
		    }
#line 3789 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 3790 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp1 + *alpha * temp2;
#line 3791 "f2ctmp_dblas.f"
		    } else {
#line 3792 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1] + *
				alpha * temp1 + *alpha * temp2;
#line 3794 "f2ctmp_dblas.f"
		    }
#line 3795 "f2ctmp_dblas.f"
/* L200: */
#line 3795 "f2ctmp_dblas.f"
		}
#line 3796 "f2ctmp_dblas.f"
/* L210: */
#line 3796 "f2ctmp_dblas.f"
	    }
#line 3797 "f2ctmp_dblas.f"
	} else {
#line 3798 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 3798 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 3799 "f2ctmp_dblas.f"
		i__2 = *n;
#line 3799 "f2ctmp_dblas.f"
		for (i = j; i <= i__2; ++i) {
#line 3800 "f2ctmp_dblas.f"
		    temp1 = 0.;
#line 3801 "f2ctmp_dblas.f"
		    temp2 = 0.;
#line 3802 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 3802 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 3803 "f2ctmp_dblas.f"
			temp1 += a[l + i * a_dim1] * b[l + j * b_dim1];
#line 3804 "f2ctmp_dblas.f"
			temp2 += b[l + i * b_dim1] * a[l + j * a_dim1];
#line 3805 "f2ctmp_dblas.f"
/* L220: */
#line 3805 "f2ctmp_dblas.f"
		    }
#line 3806 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 3807 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp1 + *alpha * temp2;
#line 3808 "f2ctmp_dblas.f"
		    } else {
#line 3809 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1] + *
				alpha * temp1 + *alpha * temp2;
#line 3811 "f2ctmp_dblas.f"
		    }
#line 3812 "f2ctmp_dblas.f"
/* L230: */
#line 3812 "f2ctmp_dblas.f"
		}
#line 3813 "f2ctmp_dblas.f"
/* L240: */
#line 3813 "f2ctmp_dblas.f"
	    }
#line 3814 "f2ctmp_dblas.f"
	}
#line 3815 "f2ctmp_dblas.f"
    }

#line 3817 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYR2K. */

} /* dsyr2k_ */

/* Subroutine */ int dsyrk_(char *uplo, char *trans, integer *n, integer *k, 
	doublereal *alpha, doublereal *a, integer *lda, doublereal *beta, 
	doublereal *c, integer *ldc, ftnlen uplo_len, ftnlen trans_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, c_dim1, c_offset, i__1, i__2, i__3;

    /* Local variables */
    static integer i, j, l, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa;
    static logical upper;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DSYRK  performs one of the symmetric rank k operations */

/*     C := alpha*A*A' + beta*C, */

/*  or */

/*     C := alpha*A'*A + beta*C, */

/*  where  alpha and beta  are scalars, C is an  n by n  symmetric matrix 
*/
/*  and  A  is an  n by k  matrix in the first case and a  k by n  matrix 
*/
/*  in the second case. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On  entry,   UPLO  specifies  whether  the  upper  or  lower 
*/
/*           triangular  part  of the  array  C  is to be  referenced  as 
*/
/*           follows: */

/*              UPLO = 'U' or 'u'   Only the  upper triangular part of  C 
*/
/*                                  is to be referenced. */

/*              UPLO = 'L' or 'l'   Only the  lower triangular part of  C 
*/
/*                                  is to be referenced. */

/*           Unchanged on exit. */

/*  TRANS  - CHARACTER*1. */
/*           On entry,  TRANS  specifies the operation to be performed as 
*/
/*           follows: */

/*              TRANS = 'N' or 'n'   C := alpha*A*A' + beta*C. */

/*              TRANS = 'T' or 't'   C := alpha*A'*A + beta*C. */

/*              TRANS = 'C' or 'c'   C := alpha*A'*A + beta*C. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry,  N specifies the order of the matrix C.  N must be 
*/
/*           at least zero. */
/*           Unchanged on exit. */

/*  K      - INTEGER. */
/*           On entry with  TRANS = 'N' or 'n',  K  specifies  the number 
*/
/*           of  columns   of  the   matrix   A,   and  on   entry   with 
*/
/*           TRANS = 'T' or 't' or 'C' or 'c',  K  specifies  the  number 
*/
/*           of rows of the matrix  A.  K must be at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry, ALPHA specifies the scalar alpha. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, ka ), where ka is 
*/
/*           k  when  TRANS = 'N' or 'n',  and is  n  otherwise. */
/*           Before entry with  TRANS = 'N' or 'n',  the  leading  n by k 
*/
/*           part of the array  A  must contain the matrix  A,  otherwise 
*/
/*           the leading  k by n  part of the array  A  must contain  the 
*/
/*           matrix A. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in  the  calling  (sub)  program.   When  TRANS = 'N' or 'n' 
*/
/*           then  LDA must be at least  max( 1, n ), otherwise  LDA must 
*/
/*           be at least  max( 1, k ). */
/*           Unchanged on exit. */

/*  BETA   - DOUBLE PRECISION. */
/*           On entry, BETA specifies the scalar beta. */
/*           Unchanged on exit. */

/*  C      - DOUBLE PRECISION array of DIMENSION ( LDC, n ). */
/*           Before entry  with  UPLO = 'U' or 'u',  the leading  n by n 
*/
/*           upper triangular part of the array C must contain the upper 
*/
/*           triangular part  of the  symmetric matrix  and the strictly 
*/
/*           lower triangular part of C is not referenced.  On exit, the 
*/
/*           upper triangular part of the array  C is overwritten by the 
*/
/*           upper triangular part of the updated matrix. */
/*           Before entry  with  UPLO = 'L' or 'l',  the leading  n by n 
*/
/*           lower triangular part of the array C must contain the lower 
*/
/*           triangular part  of the  symmetric matrix  and the strictly 
*/
/*           upper triangular part of C is not referenced.  On exit, the 
*/
/*           lower triangular part of the array  C is overwritten by the 
*/
/*           lower triangular part of the updated matrix. */

/*  LDC    - INTEGER. */
/*           On entry, LDC specifies the first dimension of C as declared 
*/
/*           in  the  calling  (sub)  program.   LDC  must  be  at  least 
*/
/*           max( 1, n ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */

/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 3959 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 3959 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 3959 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 3959 "f2ctmp_dblas.f"
    a -= a_offset;
#line 3959 "f2ctmp_dblas.f"
    c_dim1 = *ldc;
#line 3959 "f2ctmp_dblas.f"
    c_offset = c_dim1 + 1;
#line 3959 "f2ctmp_dblas.f"
    c -= c_offset;
#line 3959 "f2ctmp_dblas.f"

#line 3959 "f2ctmp_dblas.f"
    /* Function Body */
#line 3959 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {
#line 3960 "f2ctmp_dblas.f"
	nrowa = *n;
#line 3961 "f2ctmp_dblas.f"
    } else {
#line 3962 "f2ctmp_dblas.f"
	nrowa = *k;
#line 3963 "f2ctmp_dblas.f"
    }
#line 3964 "f2ctmp_dblas.f"
    upper = lsame_(uplo, "U", 1L, 1L);

#line 3966 "f2ctmp_dblas.f"
    info = 0;
#line 3967 "f2ctmp_dblas.f"
    if (! upper && ! lsame_(uplo, "L", 1L, 1L)) {
#line 3969 "f2ctmp_dblas.f"
	info = 1;
#line 3970 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 3973 "f2ctmp_dblas.f"
	info = 2;
#line 3974 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 3975 "f2ctmp_dblas.f"
	info = 3;
#line 3976 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 3977 "f2ctmp_dblas.f"
	info = 4;
#line 3978 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 3979 "f2ctmp_dblas.f"
	info = 7;
#line 3980 "f2ctmp_dblas.f"
    } else if (*ldc < max(1,*n)) {
#line 3981 "f2ctmp_dblas.f"
	info = 10;
#line 3982 "f2ctmp_dblas.f"
    }
#line 3983 "f2ctmp_dblas.f"
    if (info != 0) {
#line 3984 "f2ctmp_dblas.f"
	xerbla_("DSYRK ", &info, 6L);
#line 3985 "f2ctmp_dblas.f"
	return 0;
#line 3986 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 3990 "f2ctmp_dblas.f"
    if (*n == 0 || (*alpha == 0. || *k == 0) && *beta == 1.) {
#line 3990 "f2ctmp_dblas.f"
	return 0;
#line 3990 "f2ctmp_dblas.f"
    }

/*     And when  alpha.eq.zero. */

#line 3996 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 3997 "f2ctmp_dblas.f"
	if (upper) {
#line 3998 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 3999 "f2ctmp_dblas.f"
		i__1 = *n;
#line 3999 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4000 "f2ctmp_dblas.f"
		    i__2 = j;
#line 4000 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 4001 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 4002 "f2ctmp_dblas.f"
/* L10: */
#line 4002 "f2ctmp_dblas.f"
		    }
#line 4003 "f2ctmp_dblas.f"
/* L20: */
#line 4003 "f2ctmp_dblas.f"
		}
#line 4004 "f2ctmp_dblas.f"
	    } else {
#line 4005 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4005 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4006 "f2ctmp_dblas.f"
		    i__2 = j;
#line 4006 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 4007 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 4008 "f2ctmp_dblas.f"
/* L30: */
#line 4008 "f2ctmp_dblas.f"
		    }
#line 4009 "f2ctmp_dblas.f"
/* L40: */
#line 4009 "f2ctmp_dblas.f"
		}
#line 4010 "f2ctmp_dblas.f"
	    }
#line 4011 "f2ctmp_dblas.f"
	} else {
#line 4012 "f2ctmp_dblas.f"
	    if (*beta == 0.) {
#line 4013 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4013 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4014 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 4014 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 4015 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 4016 "f2ctmp_dblas.f"
/* L50: */
#line 4016 "f2ctmp_dblas.f"
		    }
#line 4017 "f2ctmp_dblas.f"
/* L60: */
#line 4017 "f2ctmp_dblas.f"
		}
#line 4018 "f2ctmp_dblas.f"
	    } else {
#line 4019 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4019 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4020 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 4020 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 4021 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 4022 "f2ctmp_dblas.f"
/* L70: */
#line 4022 "f2ctmp_dblas.f"
		    }
#line 4023 "f2ctmp_dblas.f"
/* L80: */
#line 4023 "f2ctmp_dblas.f"
		}
#line 4024 "f2ctmp_dblas.f"
	    }
#line 4025 "f2ctmp_dblas.f"
	}
#line 4026 "f2ctmp_dblas.f"
	return 0;
#line 4027 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 4031 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  C := alpha*A*A' + beta*C. */

#line 4035 "f2ctmp_dblas.f"
	if (upper) {
#line 4036 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 4036 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 4037 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 4038 "f2ctmp_dblas.f"
		    i__2 = j;
#line 4038 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 4039 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 4040 "f2ctmp_dblas.f"
/* L90: */
#line 4040 "f2ctmp_dblas.f"
		    }
#line 4041 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 4042 "f2ctmp_dblas.f"
		    i__2 = j;
#line 4042 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 4043 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 4044 "f2ctmp_dblas.f"
/* L100: */
#line 4044 "f2ctmp_dblas.f"
		    }
#line 4045 "f2ctmp_dblas.f"
		}
#line 4046 "f2ctmp_dblas.f"
		i__2 = *k;
#line 4046 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 4047 "f2ctmp_dblas.f"
		    if (a[j + l * a_dim1] != 0.) {
#line 4048 "f2ctmp_dblas.f"
			temp = *alpha * a[j + l * a_dim1];
#line 4049 "f2ctmp_dblas.f"
			i__3 = j;
#line 4049 "f2ctmp_dblas.f"
			for (i = 1; i <= i__3; ++i) {
#line 4050 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] += temp * a[i + l * a_dim1];
#line 4051 "f2ctmp_dblas.f"
/* L110: */
#line 4051 "f2ctmp_dblas.f"
			}
#line 4052 "f2ctmp_dblas.f"
		    }
#line 4053 "f2ctmp_dblas.f"
/* L120: */
#line 4053 "f2ctmp_dblas.f"
		}
#line 4054 "f2ctmp_dblas.f"
/* L130: */
#line 4054 "f2ctmp_dblas.f"
	    }
#line 4055 "f2ctmp_dblas.f"
	} else {
#line 4056 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 4056 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 4057 "f2ctmp_dblas.f"
		if (*beta == 0.) {
#line 4058 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 4058 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 4059 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = 0.;
#line 4060 "f2ctmp_dblas.f"
/* L140: */
#line 4060 "f2ctmp_dblas.f"
		    }
#line 4061 "f2ctmp_dblas.f"
		} else if (*beta != 1.) {
#line 4062 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 4062 "f2ctmp_dblas.f"
		    for (i = j; i <= i__2; ++i) {
#line 4063 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *beta * c[i + j * c_dim1];
#line 4064 "f2ctmp_dblas.f"
/* L150: */
#line 4064 "f2ctmp_dblas.f"
		    }
#line 4065 "f2ctmp_dblas.f"
		}
#line 4066 "f2ctmp_dblas.f"
		i__2 = *k;
#line 4066 "f2ctmp_dblas.f"
		for (l = 1; l <= i__2; ++l) {
#line 4067 "f2ctmp_dblas.f"
		    if (a[j + l * a_dim1] != 0.) {
#line 4068 "f2ctmp_dblas.f"
			temp = *alpha * a[j + l * a_dim1];
#line 4069 "f2ctmp_dblas.f"
			i__3 = *n;
#line 4069 "f2ctmp_dblas.f"
			for (i = j; i <= i__3; ++i) {
#line 4070 "f2ctmp_dblas.f"
			    c[i + j * c_dim1] += temp * a[i + l * a_dim1];
#line 4071 "f2ctmp_dblas.f"
/* L160: */
#line 4071 "f2ctmp_dblas.f"
			}
#line 4072 "f2ctmp_dblas.f"
		    }
#line 4073 "f2ctmp_dblas.f"
/* L170: */
#line 4073 "f2ctmp_dblas.f"
		}
#line 4074 "f2ctmp_dblas.f"
/* L180: */
#line 4074 "f2ctmp_dblas.f"
	    }
#line 4075 "f2ctmp_dblas.f"
	}
#line 4076 "f2ctmp_dblas.f"
    } else {

/*        Form  C := alpha*A'*A + beta*C. */

#line 4080 "f2ctmp_dblas.f"
	if (upper) {
#line 4081 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 4081 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 4082 "f2ctmp_dblas.f"
		i__2 = j;
#line 4082 "f2ctmp_dblas.f"
		for (i = 1; i <= i__2; ++i) {
#line 4083 "f2ctmp_dblas.f"
		    temp = 0.;
#line 4084 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 4084 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 4085 "f2ctmp_dblas.f"
			temp += a[l + i * a_dim1] * a[l + j * a_dim1];
#line 4086 "f2ctmp_dblas.f"
/* L190: */
#line 4086 "f2ctmp_dblas.f"
		    }
#line 4087 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 4088 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp;
#line 4089 "f2ctmp_dblas.f"
		    } else {
#line 4090 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp + *beta * c[i + j * 
				c_dim1];
#line 4091 "f2ctmp_dblas.f"
		    }
#line 4092 "f2ctmp_dblas.f"
/* L200: */
#line 4092 "f2ctmp_dblas.f"
		}
#line 4093 "f2ctmp_dblas.f"
/* L210: */
#line 4093 "f2ctmp_dblas.f"
	    }
#line 4094 "f2ctmp_dblas.f"
	} else {
#line 4095 "f2ctmp_dblas.f"
	    i__1 = *n;
#line 4095 "f2ctmp_dblas.f"
	    for (j = 1; j <= i__1; ++j) {
#line 4096 "f2ctmp_dblas.f"
		i__2 = *n;
#line 4096 "f2ctmp_dblas.f"
		for (i = j; i <= i__2; ++i) {
#line 4097 "f2ctmp_dblas.f"
		    temp = 0.;
#line 4098 "f2ctmp_dblas.f"
		    i__3 = *k;
#line 4098 "f2ctmp_dblas.f"
		    for (l = 1; l <= i__3; ++l) {
#line 4099 "f2ctmp_dblas.f"
			temp += a[l + i * a_dim1] * a[l + j * a_dim1];
#line 4100 "f2ctmp_dblas.f"
/* L220: */
#line 4100 "f2ctmp_dblas.f"
		    }
#line 4101 "f2ctmp_dblas.f"
		    if (*beta == 0.) {
#line 4102 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp;
#line 4103 "f2ctmp_dblas.f"
		    } else {
#line 4104 "f2ctmp_dblas.f"
			c[i + j * c_dim1] = *alpha * temp + *beta * c[i + j * 
				c_dim1];
#line 4105 "f2ctmp_dblas.f"
		    }
#line 4106 "f2ctmp_dblas.f"
/* L230: */
#line 4106 "f2ctmp_dblas.f"
		}
#line 4107 "f2ctmp_dblas.f"
/* L240: */
#line 4107 "f2ctmp_dblas.f"
	    }
#line 4108 "f2ctmp_dblas.f"
	}
#line 4109 "f2ctmp_dblas.f"
    }

#line 4111 "f2ctmp_dblas.f"
    return 0;

/*     End of DSYRK . */

} /* dsyrk_ */

/* Subroutine */ int dtbmv_(char *uplo, char *trans, char *diag, integer *n, 
	integer *k, doublereal *a, integer *lda, doublereal *x, integer *incx,
	 ftnlen uplo_len, ftnlen trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2, i__3, i__4;

    /* Local variables */
    static integer i, j, l, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer kplus1;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */
/*           element vector x. On exit, X is overwritten with the */
/*           tranformed vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 4271 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 4271 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 4271 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 4271 "f2ctmp_dblas.f"
    a -= a_offset;
#line 4271 "f2ctmp_dblas.f"
    --x;
#line 4271 "f2ctmp_dblas.f"

#line 4271 "f2ctmp_dblas.f"
    /* Function Body */
#line 4271 "f2ctmp_dblas.f"
    info = 0;
#line 4272 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 4274 "f2ctmp_dblas.f"
	info = 1;
#line 4275 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 4278 "f2ctmp_dblas.f"
	info = 2;
#line 4279 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 4281 "f2ctmp_dblas.f"
	info = 3;
#line 4282 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 4283 "f2ctmp_dblas.f"
	info = 4;
#line 4284 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 4285 "f2ctmp_dblas.f"
	info = 5;
#line 4286 "f2ctmp_dblas.f"
    } else if (*lda < *k + 1) {
#line 4287 "f2ctmp_dblas.f"
	info = 7;
#line 4288 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 4289 "f2ctmp_dblas.f"
	info = 9;
#line 4290 "f2ctmp_dblas.f"
    }
#line 4291 "f2ctmp_dblas.f"
    if (info != 0) {
#line 4292 "f2ctmp_dblas.f"
	xerbla_("DTBMV ", &info, 6L);
#line 4293 "f2ctmp_dblas.f"
	return 0;
#line 4294 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 4298 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 4298 "f2ctmp_dblas.f"
	return 0;
#line 4298 "f2ctmp_dblas.f"
    }

#line 4301 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX   too small for descending loops. */

#line 4306 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 4307 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 4308 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 4309 "f2ctmp_dblas.f"
	kx = 1;
#line 4310 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through A. */

#line 4315 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*         Form  x := A*x. */

#line 4319 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 4320 "f2ctmp_dblas.f"
	    kplus1 = *k + 1;
#line 4321 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4322 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4322 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4323 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4324 "f2ctmp_dblas.f"
			temp = x[j];
#line 4325 "f2ctmp_dblas.f"
			l = kplus1 - j;
/* Computing MAX */
#line 4326 "f2ctmp_dblas.f"
			i__2 = 1, i__3 = j - *k;
#line 4326 "f2ctmp_dblas.f"
			i__4 = j - 1;
#line 4326 "f2ctmp_dblas.f"
			for (i = max(i__2,i__3); i <= i__4; ++i) {
#line 4327 "f2ctmp_dblas.f"
			    x[i] += temp * a[l + i + j * a_dim1];
#line 4328 "f2ctmp_dblas.f"
/* L10: */
#line 4328 "f2ctmp_dblas.f"
			}
#line 4329 "f2ctmp_dblas.f"
			if (nounit) {
#line 4329 "f2ctmp_dblas.f"
			    x[j] *= a[kplus1 + j * a_dim1];
#line 4329 "f2ctmp_dblas.f"
			}
#line 4331 "f2ctmp_dblas.f"
		    }
#line 4332 "f2ctmp_dblas.f"
/* L20: */
#line 4332 "f2ctmp_dblas.f"
		}
#line 4333 "f2ctmp_dblas.f"
	    } else {
#line 4334 "f2ctmp_dblas.f"
		jx = kx;
#line 4335 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4335 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4336 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 4337 "f2ctmp_dblas.f"
			temp = x[jx];
#line 4338 "f2ctmp_dblas.f"
			ix = kx;
#line 4339 "f2ctmp_dblas.f"
			l = kplus1 - j;
/* Computing MAX */
#line 4340 "f2ctmp_dblas.f"
			i__4 = 1, i__2 = j - *k;
#line 4340 "f2ctmp_dblas.f"
			i__3 = j - 1;
#line 4340 "f2ctmp_dblas.f"
			for (i = max(i__4,i__2); i <= i__3; ++i) {
#line 4341 "f2ctmp_dblas.f"
			    x[ix] += temp * a[l + i + j * a_dim1];
#line 4342 "f2ctmp_dblas.f"
			    ix += *incx;
#line 4343 "f2ctmp_dblas.f"
/* L30: */
#line 4343 "f2ctmp_dblas.f"
			}
#line 4344 "f2ctmp_dblas.f"
			if (nounit) {
#line 4344 "f2ctmp_dblas.f"
			    x[jx] *= a[kplus1 + j * a_dim1];
#line 4344 "f2ctmp_dblas.f"
			}
#line 4346 "f2ctmp_dblas.f"
		    }
#line 4347 "f2ctmp_dblas.f"
		    jx += *incx;
#line 4348 "f2ctmp_dblas.f"
		    if (j > *k) {
#line 4348 "f2ctmp_dblas.f"
			kx += *incx;
#line 4348 "f2ctmp_dblas.f"
		    }
#line 4350 "f2ctmp_dblas.f"
/* L40: */
#line 4350 "f2ctmp_dblas.f"
		}
#line 4351 "f2ctmp_dblas.f"
	    }
#line 4352 "f2ctmp_dblas.f"
	} else {
#line 4353 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4354 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4355 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4356 "f2ctmp_dblas.f"
			temp = x[j];
#line 4357 "f2ctmp_dblas.f"
			l = 1 - j;
/* Computing MIN */
#line 4358 "f2ctmp_dblas.f"
			i__1 = *n, i__3 = j + *k;
#line 4358 "f2ctmp_dblas.f"
			i__4 = j + 1;
#line 4358 "f2ctmp_dblas.f"
			for (i = min(i__1,i__3); i >= i__4; --i) {
#line 4359 "f2ctmp_dblas.f"
			    x[i] += temp * a[l + i + j * a_dim1];
#line 4360 "f2ctmp_dblas.f"
/* L50: */
#line 4360 "f2ctmp_dblas.f"
			}
#line 4361 "f2ctmp_dblas.f"
			if (nounit) {
#line 4361 "f2ctmp_dblas.f"
			    x[j] *= a[j * a_dim1 + 1];
#line 4361 "f2ctmp_dblas.f"
			}
#line 4363 "f2ctmp_dblas.f"
		    }
#line 4364 "f2ctmp_dblas.f"
/* L60: */
#line 4364 "f2ctmp_dblas.f"
		}
#line 4365 "f2ctmp_dblas.f"
	    } else {
#line 4366 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 4367 "f2ctmp_dblas.f"
		jx = kx;
#line 4368 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4369 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 4370 "f2ctmp_dblas.f"
			temp = x[jx];
#line 4371 "f2ctmp_dblas.f"
			ix = kx;
#line 4372 "f2ctmp_dblas.f"
			l = 1 - j;
/* Computing MIN */
#line 4373 "f2ctmp_dblas.f"
			i__4 = *n, i__1 = j + *k;
#line 4373 "f2ctmp_dblas.f"
			i__3 = j + 1;
#line 4373 "f2ctmp_dblas.f"
			for (i = min(i__4,i__1); i >= i__3; --i) {
#line 4374 "f2ctmp_dblas.f"
			    x[ix] += temp * a[l + i + j * a_dim1];
#line 4375 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 4376 "f2ctmp_dblas.f"
/* L70: */
#line 4376 "f2ctmp_dblas.f"
			}
#line 4377 "f2ctmp_dblas.f"
			if (nounit) {
#line 4377 "f2ctmp_dblas.f"
			    x[jx] *= a[j * a_dim1 + 1];
#line 4377 "f2ctmp_dblas.f"
			}
#line 4379 "f2ctmp_dblas.f"
		    }
#line 4380 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 4381 "f2ctmp_dblas.f"
		    if (*n - j >= *k) {
#line 4381 "f2ctmp_dblas.f"
			kx -= *incx;
#line 4381 "f2ctmp_dblas.f"
		    }
#line 4383 "f2ctmp_dblas.f"
/* L80: */
#line 4383 "f2ctmp_dblas.f"
		}
#line 4384 "f2ctmp_dblas.f"
	    }
#line 4385 "f2ctmp_dblas.f"
	}
#line 4386 "f2ctmp_dblas.f"
    } else {

/*        Form  x := A'*x. */

#line 4390 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 4391 "f2ctmp_dblas.f"
	    kplus1 = *k + 1;
#line 4392 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4393 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4394 "f2ctmp_dblas.f"
		    temp = x[j];
#line 4395 "f2ctmp_dblas.f"
		    l = kplus1 - j;
#line 4396 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4396 "f2ctmp_dblas.f"
			temp *= a[kplus1 + j * a_dim1];
#line 4396 "f2ctmp_dblas.f"
		    }
/* Computing MAX */
#line 4398 "f2ctmp_dblas.f"
		    i__4 = 1, i__1 = j - *k;
#line 4398 "f2ctmp_dblas.f"
		    i__3 = max(i__4,i__1);
#line 4398 "f2ctmp_dblas.f"
		    for (i = j - 1; i >= i__3; --i) {
#line 4399 "f2ctmp_dblas.f"
			temp += a[l + i + j * a_dim1] * x[i];
#line 4400 "f2ctmp_dblas.f"
/* L90: */
#line 4400 "f2ctmp_dblas.f"
		    }
#line 4401 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 4402 "f2ctmp_dblas.f"
/* L100: */
#line 4402 "f2ctmp_dblas.f"
		}
#line 4403 "f2ctmp_dblas.f"
	    } else {
#line 4404 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 4405 "f2ctmp_dblas.f"
		jx = kx;
#line 4406 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4407 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 4408 "f2ctmp_dblas.f"
		    kx -= *incx;
#line 4409 "f2ctmp_dblas.f"
		    ix = kx;
#line 4410 "f2ctmp_dblas.f"
		    l = kplus1 - j;
#line 4411 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4411 "f2ctmp_dblas.f"
			temp *= a[kplus1 + j * a_dim1];
#line 4411 "f2ctmp_dblas.f"
		    }
/* Computing MAX */
#line 4413 "f2ctmp_dblas.f"
		    i__4 = 1, i__1 = j - *k;
#line 4413 "f2ctmp_dblas.f"
		    i__3 = max(i__4,i__1);
#line 4413 "f2ctmp_dblas.f"
		    for (i = j - 1; i >= i__3; --i) {
#line 4414 "f2ctmp_dblas.f"
			temp += a[l + i + j * a_dim1] * x[ix];
#line 4415 "f2ctmp_dblas.f"
			ix -= *incx;
#line 4416 "f2ctmp_dblas.f"
/* L110: */
#line 4416 "f2ctmp_dblas.f"
		    }
#line 4417 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 4418 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 4419 "f2ctmp_dblas.f"
/* L120: */
#line 4419 "f2ctmp_dblas.f"
		}
#line 4420 "f2ctmp_dblas.f"
	    }
#line 4421 "f2ctmp_dblas.f"
	} else {
#line 4422 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4423 "f2ctmp_dblas.f"
		i__3 = *n;
#line 4423 "f2ctmp_dblas.f"
		for (j = 1; j <= i__3; ++j) {
#line 4424 "f2ctmp_dblas.f"
		    temp = x[j];
#line 4425 "f2ctmp_dblas.f"
		    l = 1 - j;
#line 4426 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4426 "f2ctmp_dblas.f"
			temp *= a[j * a_dim1 + 1];
#line 4426 "f2ctmp_dblas.f"
		    }
/* Computing MIN */
#line 4428 "f2ctmp_dblas.f"
		    i__1 = *n, i__2 = j + *k;
#line 4428 "f2ctmp_dblas.f"
		    i__4 = min(i__1,i__2);
#line 4428 "f2ctmp_dblas.f"
		    for (i = j + 1; i <= i__4; ++i) {
#line 4429 "f2ctmp_dblas.f"
			temp += a[l + i + j * a_dim1] * x[i];
#line 4430 "f2ctmp_dblas.f"
/* L130: */
#line 4430 "f2ctmp_dblas.f"
		    }
#line 4431 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 4432 "f2ctmp_dblas.f"
/* L140: */
#line 4432 "f2ctmp_dblas.f"
		}
#line 4433 "f2ctmp_dblas.f"
	    } else {
#line 4434 "f2ctmp_dblas.f"
		jx = kx;
#line 4435 "f2ctmp_dblas.f"
		i__3 = *n;
#line 4435 "f2ctmp_dblas.f"
		for (j = 1; j <= i__3; ++j) {
#line 4436 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 4437 "f2ctmp_dblas.f"
		    kx += *incx;
#line 4438 "f2ctmp_dblas.f"
		    ix = kx;
#line 4439 "f2ctmp_dblas.f"
		    l = 1 - j;
#line 4440 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4440 "f2ctmp_dblas.f"
			temp *= a[j * a_dim1 + 1];
#line 4440 "f2ctmp_dblas.f"
		    }
/* Computing MIN */
#line 4442 "f2ctmp_dblas.f"
		    i__1 = *n, i__2 = j + *k;
#line 4442 "f2ctmp_dblas.f"
		    i__4 = min(i__1,i__2);
#line 4442 "f2ctmp_dblas.f"
		    for (i = j + 1; i <= i__4; ++i) {
#line 4443 "f2ctmp_dblas.f"
			temp += a[l + i + j * a_dim1] * x[ix];
#line 4444 "f2ctmp_dblas.f"
			ix += *incx;
#line 4445 "f2ctmp_dblas.f"
/* L150: */
#line 4445 "f2ctmp_dblas.f"
		    }
#line 4446 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 4447 "f2ctmp_dblas.f"
		    jx += *incx;
#line 4448 "f2ctmp_dblas.f"
/* L160: */
#line 4448 "f2ctmp_dblas.f"
		}
#line 4449 "f2ctmp_dblas.f"
	    }
#line 4450 "f2ctmp_dblas.f"
	}
#line 4451 "f2ctmp_dblas.f"
    }

#line 4453 "f2ctmp_dblas.f"
    return 0;

/*     End of DTBMV . */

} /* dtbmv_ */

/* Subroutine */ int dtbsv_(char *uplo, char *trans, char *diag, integer *n, 
	integer *k, doublereal *a, integer *lda, doublereal *x, integer *incx,
	 ftnlen uplo_len, ftnlen trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2, i__3, i__4;

    /* Local variables */
    static integer i, j, l, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer kplus1;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element right-hand side vector b. On exit, X is overwritten 
*/
/*           with the solution vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 4617 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 4617 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 4617 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 4617 "f2ctmp_dblas.f"
    a -= a_offset;
#line 4617 "f2ctmp_dblas.f"
    --x;
#line 4617 "f2ctmp_dblas.f"

#line 4617 "f2ctmp_dblas.f"
    /* Function Body */
#line 4617 "f2ctmp_dblas.f"
    info = 0;
#line 4618 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 4620 "f2ctmp_dblas.f"
	info = 1;
#line 4621 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 4624 "f2ctmp_dblas.f"
	info = 2;
#line 4625 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 4627 "f2ctmp_dblas.f"
	info = 3;
#line 4628 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 4629 "f2ctmp_dblas.f"
	info = 4;
#line 4630 "f2ctmp_dblas.f"
    } else if (*k < 0) {
#line 4631 "f2ctmp_dblas.f"
	info = 5;
#line 4632 "f2ctmp_dblas.f"
    } else if (*lda < *k + 1) {
#line 4633 "f2ctmp_dblas.f"
	info = 7;
#line 4634 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 4635 "f2ctmp_dblas.f"
	info = 9;
#line 4636 "f2ctmp_dblas.f"
    }
#line 4637 "f2ctmp_dblas.f"
    if (info != 0) {
#line 4638 "f2ctmp_dblas.f"
	xerbla_("DTBSV ", &info, 6L);
#line 4639 "f2ctmp_dblas.f"
	return 0;
#line 4640 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 4644 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 4644 "f2ctmp_dblas.f"
	return 0;
#line 4644 "f2ctmp_dblas.f"
    }

#line 4647 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX  too small for descending loops. */

#line 4652 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 4653 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 4654 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 4655 "f2ctmp_dblas.f"
	kx = 1;
#line 4656 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed by sequentially with one pass through A. */

#line 4661 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  x := inv( A )*x. */

#line 4665 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 4666 "f2ctmp_dblas.f"
	    kplus1 = *k + 1;
#line 4667 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4668 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4669 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4670 "f2ctmp_dblas.f"
			l = kplus1 - j;
#line 4671 "f2ctmp_dblas.f"
			if (nounit) {
#line 4671 "f2ctmp_dblas.f"
			    x[j] /= a[kplus1 + j * a_dim1];
#line 4671 "f2ctmp_dblas.f"
			}
#line 4673 "f2ctmp_dblas.f"
			temp = x[j];
/* Computing MAX */
#line 4674 "f2ctmp_dblas.f"
			i__2 = 1, i__3 = j - *k;
#line 4674 "f2ctmp_dblas.f"
			i__1 = max(i__2,i__3);
#line 4674 "f2ctmp_dblas.f"
			for (i = j - 1; i >= i__1; --i) {
#line 4675 "f2ctmp_dblas.f"
			    x[i] -= temp * a[l + i + j * a_dim1];
#line 4676 "f2ctmp_dblas.f"
/* L10: */
#line 4676 "f2ctmp_dblas.f"
			}
#line 4677 "f2ctmp_dblas.f"
		    }
#line 4678 "f2ctmp_dblas.f"
/* L20: */
#line 4678 "f2ctmp_dblas.f"
		}
#line 4679 "f2ctmp_dblas.f"
	    } else {
#line 4680 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 4681 "f2ctmp_dblas.f"
		jx = kx;
#line 4682 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4683 "f2ctmp_dblas.f"
		    kx -= *incx;
#line 4684 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 4685 "f2ctmp_dblas.f"
			ix = kx;
#line 4686 "f2ctmp_dblas.f"
			l = kplus1 - j;
#line 4687 "f2ctmp_dblas.f"
			if (nounit) {
#line 4687 "f2ctmp_dblas.f"
			    x[jx] /= a[kplus1 + j * a_dim1];
#line 4687 "f2ctmp_dblas.f"
			}
#line 4689 "f2ctmp_dblas.f"
			temp = x[jx];
/* Computing MAX */
#line 4690 "f2ctmp_dblas.f"
			i__2 = 1, i__3 = j - *k;
#line 4690 "f2ctmp_dblas.f"
			i__1 = max(i__2,i__3);
#line 4690 "f2ctmp_dblas.f"
			for (i = j - 1; i >= i__1; --i) {
#line 4691 "f2ctmp_dblas.f"
			    x[ix] -= temp * a[l + i + j * a_dim1];
#line 4692 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 4693 "f2ctmp_dblas.f"
/* L30: */
#line 4693 "f2ctmp_dblas.f"
			}
#line 4694 "f2ctmp_dblas.f"
		    }
#line 4695 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 4696 "f2ctmp_dblas.f"
/* L40: */
#line 4696 "f2ctmp_dblas.f"
		}
#line 4697 "f2ctmp_dblas.f"
	    }
#line 4698 "f2ctmp_dblas.f"
	} else {
#line 4699 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4700 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4700 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4701 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4702 "f2ctmp_dblas.f"
			l = 1 - j;
#line 4703 "f2ctmp_dblas.f"
			if (nounit) {
#line 4703 "f2ctmp_dblas.f"
			    x[j] /= a[j * a_dim1 + 1];
#line 4703 "f2ctmp_dblas.f"
			}
#line 4705 "f2ctmp_dblas.f"
			temp = x[j];
/* Computing MIN */
#line 4706 "f2ctmp_dblas.f"
			i__3 = *n, i__4 = j + *k;
#line 4706 "f2ctmp_dblas.f"
			i__2 = min(i__3,i__4);
#line 4706 "f2ctmp_dblas.f"
			for (i = j + 1; i <= i__2; ++i) {
#line 4707 "f2ctmp_dblas.f"
			    x[i] -= temp * a[l + i + j * a_dim1];
#line 4708 "f2ctmp_dblas.f"
/* L50: */
#line 4708 "f2ctmp_dblas.f"
			}
#line 4709 "f2ctmp_dblas.f"
		    }
#line 4710 "f2ctmp_dblas.f"
/* L60: */
#line 4710 "f2ctmp_dblas.f"
		}
#line 4711 "f2ctmp_dblas.f"
	    } else {
#line 4712 "f2ctmp_dblas.f"
		jx = kx;
#line 4713 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4713 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4714 "f2ctmp_dblas.f"
		    kx += *incx;
#line 4715 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 4716 "f2ctmp_dblas.f"
			ix = kx;
#line 4717 "f2ctmp_dblas.f"
			l = 1 - j;
#line 4718 "f2ctmp_dblas.f"
			if (nounit) {
#line 4718 "f2ctmp_dblas.f"
			    x[jx] /= a[j * a_dim1 + 1];
#line 4718 "f2ctmp_dblas.f"
			}
#line 4720 "f2ctmp_dblas.f"
			temp = x[jx];
/* Computing MIN */
#line 4721 "f2ctmp_dblas.f"
			i__3 = *n, i__4 = j + *k;
#line 4721 "f2ctmp_dblas.f"
			i__2 = min(i__3,i__4);
#line 4721 "f2ctmp_dblas.f"
			for (i = j + 1; i <= i__2; ++i) {
#line 4722 "f2ctmp_dblas.f"
			    x[ix] -= temp * a[l + i + j * a_dim1];
#line 4723 "f2ctmp_dblas.f"
			    ix += *incx;
#line 4724 "f2ctmp_dblas.f"
/* L70: */
#line 4724 "f2ctmp_dblas.f"
			}
#line 4725 "f2ctmp_dblas.f"
		    }
#line 4726 "f2ctmp_dblas.f"
		    jx += *incx;
#line 4727 "f2ctmp_dblas.f"
/* L80: */
#line 4727 "f2ctmp_dblas.f"
		}
#line 4728 "f2ctmp_dblas.f"
	    }
#line 4729 "f2ctmp_dblas.f"
	}
#line 4730 "f2ctmp_dblas.f"
    } else {

/*        Form  x := inv( A')*x. */

#line 4734 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 4735 "f2ctmp_dblas.f"
	    kplus1 = *k + 1;
#line 4736 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4737 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4737 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4738 "f2ctmp_dblas.f"
		    temp = x[j];
#line 4739 "f2ctmp_dblas.f"
		    l = kplus1 - j;
/* Computing MAX */
#line 4740 "f2ctmp_dblas.f"
		    i__2 = 1, i__3 = j - *k;
#line 4740 "f2ctmp_dblas.f"
		    i__4 = j - 1;
#line 4740 "f2ctmp_dblas.f"
		    for (i = max(i__2,i__3); i <= i__4; ++i) {
#line 4741 "f2ctmp_dblas.f"
			temp -= a[l + i + j * a_dim1] * x[i];
#line 4742 "f2ctmp_dblas.f"
/* L90: */
#line 4742 "f2ctmp_dblas.f"
		    }
#line 4743 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4743 "f2ctmp_dblas.f"
			temp /= a[kplus1 + j * a_dim1];
#line 4743 "f2ctmp_dblas.f"
		    }
#line 4745 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 4746 "f2ctmp_dblas.f"
/* L100: */
#line 4746 "f2ctmp_dblas.f"
		}
#line 4747 "f2ctmp_dblas.f"
	    } else {
#line 4748 "f2ctmp_dblas.f"
		jx = kx;
#line 4749 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4749 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4750 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 4751 "f2ctmp_dblas.f"
		    ix = kx;
#line 4752 "f2ctmp_dblas.f"
		    l = kplus1 - j;
/* Computing MAX */
#line 4753 "f2ctmp_dblas.f"
		    i__4 = 1, i__2 = j - *k;
#line 4753 "f2ctmp_dblas.f"
		    i__3 = j - 1;
#line 4753 "f2ctmp_dblas.f"
		    for (i = max(i__4,i__2); i <= i__3; ++i) {
#line 4754 "f2ctmp_dblas.f"
			temp -= a[l + i + j * a_dim1] * x[ix];
#line 4755 "f2ctmp_dblas.f"
			ix += *incx;
#line 4756 "f2ctmp_dblas.f"
/* L110: */
#line 4756 "f2ctmp_dblas.f"
		    }
#line 4757 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4757 "f2ctmp_dblas.f"
			temp /= a[kplus1 + j * a_dim1];
#line 4757 "f2ctmp_dblas.f"
		    }
#line 4759 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 4760 "f2ctmp_dblas.f"
		    jx += *incx;
#line 4761 "f2ctmp_dblas.f"
		    if (j > *k) {
#line 4761 "f2ctmp_dblas.f"
			kx += *incx;
#line 4761 "f2ctmp_dblas.f"
		    }
#line 4763 "f2ctmp_dblas.f"
/* L120: */
#line 4763 "f2ctmp_dblas.f"
		}
#line 4764 "f2ctmp_dblas.f"
	    }
#line 4765 "f2ctmp_dblas.f"
	} else {
#line 4766 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4767 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4768 "f2ctmp_dblas.f"
		    temp = x[j];
#line 4769 "f2ctmp_dblas.f"
		    l = 1 - j;
/* Computing MIN */
#line 4770 "f2ctmp_dblas.f"
		    i__1 = *n, i__3 = j + *k;
#line 4770 "f2ctmp_dblas.f"
		    i__4 = j + 1;
#line 4770 "f2ctmp_dblas.f"
		    for (i = min(i__1,i__3); i >= i__4; --i) {
#line 4771 "f2ctmp_dblas.f"
			temp -= a[l + i + j * a_dim1] * x[i];
#line 4772 "f2ctmp_dblas.f"
/* L130: */
#line 4772 "f2ctmp_dblas.f"
		    }
#line 4773 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4773 "f2ctmp_dblas.f"
			temp /= a[j * a_dim1 + 1];
#line 4773 "f2ctmp_dblas.f"
		    }
#line 4775 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 4776 "f2ctmp_dblas.f"
/* L140: */
#line 4776 "f2ctmp_dblas.f"
		}
#line 4777 "f2ctmp_dblas.f"
	    } else {
#line 4778 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 4779 "f2ctmp_dblas.f"
		jx = kx;
#line 4780 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4781 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 4782 "f2ctmp_dblas.f"
		    ix = kx;
#line 4783 "f2ctmp_dblas.f"
		    l = 1 - j;
/* Computing MIN */
#line 4784 "f2ctmp_dblas.f"
		    i__4 = *n, i__1 = j + *k;
#line 4784 "f2ctmp_dblas.f"
		    i__3 = j + 1;
#line 4784 "f2ctmp_dblas.f"
		    for (i = min(i__4,i__1); i >= i__3; --i) {
#line 4785 "f2ctmp_dblas.f"
			temp -= a[l + i + j * a_dim1] * x[ix];
#line 4786 "f2ctmp_dblas.f"
			ix -= *incx;
#line 4787 "f2ctmp_dblas.f"
/* L150: */
#line 4787 "f2ctmp_dblas.f"
		    }
#line 4788 "f2ctmp_dblas.f"
		    if (nounit) {
#line 4788 "f2ctmp_dblas.f"
			temp /= a[j * a_dim1 + 1];
#line 4788 "f2ctmp_dblas.f"
		    }
#line 4790 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 4791 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 4792 "f2ctmp_dblas.f"
		    if (*n - j >= *k) {
#line 4792 "f2ctmp_dblas.f"
			kx -= *incx;
#line 4792 "f2ctmp_dblas.f"
		    }
#line 4794 "f2ctmp_dblas.f"
/* L160: */
#line 4794 "f2ctmp_dblas.f"
		}
#line 4795 "f2ctmp_dblas.f"
	    }
#line 4796 "f2ctmp_dblas.f"
	}
#line 4797 "f2ctmp_dblas.f"
    }

#line 4799 "f2ctmp_dblas.f"
    return 0;

/*     End of DTBSV . */

} /* dtbsv_ */

/* Subroutine */ int dtpmv_(char *uplo, char *trans, char *diag, integer *n, 
	doublereal *ap, doublereal *x, integer *incx, ftnlen uplo_len, ftnlen 
	trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer i__1, i__2;

    /* Local variables */
    static integer i, j, k, kk, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTPMV  performs one of the matrix-vector operations */

/*     x := A*x,   or   x := A'*x, */

/*  where x is an n element vector and  A is an n by n unit, or non-unit, 
*/
/*  upper or lower triangular matrix, supplied in packed form. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix is an upper or */
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the operation to be performed as */
/*           follows: */

/*              TRANS = 'N' or 'n'   x := A*x. */

/*              TRANS = 'T' or 't'   x := A'*x. */

/*              TRANS = 'C' or 'c'   x := A'*x. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit */
/*           triangular as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  AP     - DOUBLE PRECISION array of DIMENSION at least */
/*           ( ( n*( n + 1 ) )/2 ). */
/*           Before entry with  UPLO = 'U' or 'u', the array AP must */
/*           contain the upper triangular matrix packed sequentially, */
/*           column by column, so that AP( 1 ) contains a( 1, 1 ), */
/*           AP( 2 ) and AP( 3 ) contain a( 1, 2 ) and a( 2, 2 ) */
/*           respectively, and so on. */
/*           Before entry with UPLO = 'L' or 'l', the array AP must */
/*           contain the lower triangular matrix packed sequentially, */
/*           column by column, so that AP( 1 ) contains a( 1, 1 ), */
/*           AP( 2 ) and AP( 3 ) contain a( 2, 1 ) and a( 3, 1 ) */
/*           respectively, and so on. */
/*           Note that when  DIAG = 'U' or 'u', the diagonal elements of 
*/
/*           A are not referenced, but are assumed to be unity. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. On exit, X is overwritten with the */
/*           tranformed vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 4917 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 4917 "f2ctmp_dblas.f"
    --x;
#line 4917 "f2ctmp_dblas.f"
    --ap;
#line 4917 "f2ctmp_dblas.f"

#line 4917 "f2ctmp_dblas.f"
    /* Function Body */
#line 4917 "f2ctmp_dblas.f"
    info = 0;
#line 4918 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 4920 "f2ctmp_dblas.f"
	info = 1;
#line 4921 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 4924 "f2ctmp_dblas.f"
	info = 2;
#line 4925 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 4927 "f2ctmp_dblas.f"
	info = 3;
#line 4928 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 4929 "f2ctmp_dblas.f"
	info = 4;
#line 4930 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 4931 "f2ctmp_dblas.f"
	info = 7;
#line 4932 "f2ctmp_dblas.f"
    }
#line 4933 "f2ctmp_dblas.f"
    if (info != 0) {
#line 4934 "f2ctmp_dblas.f"
	xerbla_("DTPMV ", &info, 6L);
#line 4935 "f2ctmp_dblas.f"
	return 0;
#line 4936 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 4940 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 4940 "f2ctmp_dblas.f"
	return 0;
#line 4940 "f2ctmp_dblas.f"
    }

#line 4943 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX  too small for descending loops. */

#line 4948 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 4949 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 4950 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 4951 "f2ctmp_dblas.f"
	kx = 1;
#line 4952 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of AP are */
/*     accessed sequentially with one pass through AP. */

#line 4957 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  x:= A*x. */

#line 4961 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 4962 "f2ctmp_dblas.f"
	    kk = 1;
#line 4963 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4964 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4964 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4965 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4966 "f2ctmp_dblas.f"
			temp = x[j];
#line 4967 "f2ctmp_dblas.f"
			k = kk;
#line 4968 "f2ctmp_dblas.f"
			i__2 = j - 1;
#line 4968 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 4969 "f2ctmp_dblas.f"
			    x[i] += temp * ap[k];
#line 4970 "f2ctmp_dblas.f"
			    ++k;
#line 4971 "f2ctmp_dblas.f"
/* L10: */
#line 4971 "f2ctmp_dblas.f"
			}
#line 4972 "f2ctmp_dblas.f"
			if (nounit) {
#line 4972 "f2ctmp_dblas.f"
			    x[j] *= ap[kk + j - 1];
#line 4972 "f2ctmp_dblas.f"
			}
#line 4974 "f2ctmp_dblas.f"
		    }
#line 4975 "f2ctmp_dblas.f"
		    kk += j;
#line 4976 "f2ctmp_dblas.f"
/* L20: */
#line 4976 "f2ctmp_dblas.f"
		}
#line 4977 "f2ctmp_dblas.f"
	    } else {
#line 4978 "f2ctmp_dblas.f"
		jx = kx;
#line 4979 "f2ctmp_dblas.f"
		i__1 = *n;
#line 4979 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 4980 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 4981 "f2ctmp_dblas.f"
			temp = x[jx];
#line 4982 "f2ctmp_dblas.f"
			ix = kx;
#line 4983 "f2ctmp_dblas.f"
			i__2 = kk + j - 2;
#line 4983 "f2ctmp_dblas.f"
			for (k = kk; k <= i__2; ++k) {
#line 4984 "f2ctmp_dblas.f"
			    x[ix] += temp * ap[k];
#line 4985 "f2ctmp_dblas.f"
			    ix += *incx;
#line 4986 "f2ctmp_dblas.f"
/* L30: */
#line 4986 "f2ctmp_dblas.f"
			}
#line 4987 "f2ctmp_dblas.f"
			if (nounit) {
#line 4987 "f2ctmp_dblas.f"
			    x[jx] *= ap[kk + j - 1];
#line 4987 "f2ctmp_dblas.f"
			}
#line 4989 "f2ctmp_dblas.f"
		    }
#line 4990 "f2ctmp_dblas.f"
		    jx += *incx;
#line 4991 "f2ctmp_dblas.f"
		    kk += j;
#line 4992 "f2ctmp_dblas.f"
/* L40: */
#line 4992 "f2ctmp_dblas.f"
		}
#line 4993 "f2ctmp_dblas.f"
	    }
#line 4994 "f2ctmp_dblas.f"
	} else {
#line 4995 "f2ctmp_dblas.f"
	    kk = *n * (*n + 1) / 2;
#line 4996 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 4997 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 4998 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 4999 "f2ctmp_dblas.f"
			temp = x[j];
#line 5000 "f2ctmp_dblas.f"
			k = kk;
#line 5001 "f2ctmp_dblas.f"
			i__1 = j + 1;
#line 5001 "f2ctmp_dblas.f"
			for (i = *n; i >= i__1; --i) {
#line 5002 "f2ctmp_dblas.f"
			    x[i] += temp * ap[k];
#line 5003 "f2ctmp_dblas.f"
			    --k;
#line 5004 "f2ctmp_dblas.f"
/* L50: */
#line 5004 "f2ctmp_dblas.f"
			}
#line 5005 "f2ctmp_dblas.f"
			if (nounit) {
#line 5005 "f2ctmp_dblas.f"
			    x[j] *= ap[kk - *n + j];
#line 5005 "f2ctmp_dblas.f"
			}
#line 5007 "f2ctmp_dblas.f"
		    }
#line 5008 "f2ctmp_dblas.f"
		    kk -= *n - j + 1;
#line 5009 "f2ctmp_dblas.f"
/* L60: */
#line 5009 "f2ctmp_dblas.f"
		}
#line 5010 "f2ctmp_dblas.f"
	    } else {
#line 5011 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 5012 "f2ctmp_dblas.f"
		jx = kx;
#line 5013 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5014 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 5015 "f2ctmp_dblas.f"
			temp = x[jx];
#line 5016 "f2ctmp_dblas.f"
			ix = kx;
#line 5017 "f2ctmp_dblas.f"
			i__1 = kk - (*n - (j + 1));
#line 5017 "f2ctmp_dblas.f"
			for (k = kk; k >= i__1; --k) {
#line 5018 "f2ctmp_dblas.f"
			    x[ix] += temp * ap[k];
#line 5019 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 5020 "f2ctmp_dblas.f"
/* L70: */
#line 5020 "f2ctmp_dblas.f"
			}
#line 5021 "f2ctmp_dblas.f"
			if (nounit) {
#line 5021 "f2ctmp_dblas.f"
			    x[jx] *= ap[kk - *n + j];
#line 5021 "f2ctmp_dblas.f"
			}
#line 5023 "f2ctmp_dblas.f"
		    }
#line 5024 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 5025 "f2ctmp_dblas.f"
		    kk -= *n - j + 1;
#line 5026 "f2ctmp_dblas.f"
/* L80: */
#line 5026 "f2ctmp_dblas.f"
		}
#line 5027 "f2ctmp_dblas.f"
	    }
#line 5028 "f2ctmp_dblas.f"
	}
#line 5029 "f2ctmp_dblas.f"
    } else {

/*        Form  x := A'*x. */

#line 5033 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 5034 "f2ctmp_dblas.f"
	    kk = *n * (*n + 1) / 2;
#line 5035 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5036 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5037 "f2ctmp_dblas.f"
		    temp = x[j];
#line 5038 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5038 "f2ctmp_dblas.f"
			temp *= ap[kk];
#line 5038 "f2ctmp_dblas.f"
		    }
#line 5040 "f2ctmp_dblas.f"
		    k = kk - 1;
#line 5041 "f2ctmp_dblas.f"
		    for (i = j - 1; i >= 1; --i) {
#line 5042 "f2ctmp_dblas.f"
			temp += ap[k] * x[i];
#line 5043 "f2ctmp_dblas.f"
			--k;
#line 5044 "f2ctmp_dblas.f"
/* L90: */
#line 5044 "f2ctmp_dblas.f"
		    }
#line 5045 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 5046 "f2ctmp_dblas.f"
		    kk -= j;
#line 5047 "f2ctmp_dblas.f"
/* L100: */
#line 5047 "f2ctmp_dblas.f"
		}
#line 5048 "f2ctmp_dblas.f"
	    } else {
#line 5049 "f2ctmp_dblas.f"
		jx = kx + (*n - 1) * *incx;
#line 5050 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5051 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 5052 "f2ctmp_dblas.f"
		    ix = jx;
#line 5053 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5053 "f2ctmp_dblas.f"
			temp *= ap[kk];
#line 5053 "f2ctmp_dblas.f"
		    }
#line 5055 "f2ctmp_dblas.f"
		    i__1 = kk - j + 1;
#line 5055 "f2ctmp_dblas.f"
		    for (k = kk - 1; k >= i__1; --k) {
#line 5056 "f2ctmp_dblas.f"
			ix -= *incx;
#line 5057 "f2ctmp_dblas.f"
			temp += ap[k] * x[ix];
#line 5058 "f2ctmp_dblas.f"
/* L110: */
#line 5058 "f2ctmp_dblas.f"
		    }
#line 5059 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 5060 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 5061 "f2ctmp_dblas.f"
		    kk -= j;
#line 5062 "f2ctmp_dblas.f"
/* L120: */
#line 5062 "f2ctmp_dblas.f"
		}
#line 5063 "f2ctmp_dblas.f"
	    }
#line 5064 "f2ctmp_dblas.f"
	} else {
#line 5065 "f2ctmp_dblas.f"
	    kk = 1;
#line 5066 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5067 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5067 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5068 "f2ctmp_dblas.f"
		    temp = x[j];
#line 5069 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5069 "f2ctmp_dblas.f"
			temp *= ap[kk];
#line 5069 "f2ctmp_dblas.f"
		    }
#line 5071 "f2ctmp_dblas.f"
		    k = kk + 1;
#line 5072 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 5072 "f2ctmp_dblas.f"
		    for (i = j + 1; i <= i__2; ++i) {
#line 5073 "f2ctmp_dblas.f"
			temp += ap[k] * x[i];
#line 5074 "f2ctmp_dblas.f"
			++k;
#line 5075 "f2ctmp_dblas.f"
/* L130: */
#line 5075 "f2ctmp_dblas.f"
		    }
#line 5076 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 5077 "f2ctmp_dblas.f"
		    kk += *n - j + 1;
#line 5078 "f2ctmp_dblas.f"
/* L140: */
#line 5078 "f2ctmp_dblas.f"
		}
#line 5079 "f2ctmp_dblas.f"
	    } else {
#line 5080 "f2ctmp_dblas.f"
		jx = kx;
#line 5081 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5081 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5082 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 5083 "f2ctmp_dblas.f"
		    ix = jx;
#line 5084 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5084 "f2ctmp_dblas.f"
			temp *= ap[kk];
#line 5084 "f2ctmp_dblas.f"
		    }
#line 5086 "f2ctmp_dblas.f"
		    i__2 = kk + *n - j;
#line 5086 "f2ctmp_dblas.f"
		    for (k = kk + 1; k <= i__2; ++k) {
#line 5087 "f2ctmp_dblas.f"
			ix += *incx;
#line 5088 "f2ctmp_dblas.f"
			temp += ap[k] * x[ix];
#line 5089 "f2ctmp_dblas.f"
/* L150: */
#line 5089 "f2ctmp_dblas.f"
		    }
#line 5090 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 5091 "f2ctmp_dblas.f"
		    jx += *incx;
#line 5092 "f2ctmp_dblas.f"
		    kk += *n - j + 1;
#line 5093 "f2ctmp_dblas.f"
/* L160: */
#line 5093 "f2ctmp_dblas.f"
		}
#line 5094 "f2ctmp_dblas.f"
	    }
#line 5095 "f2ctmp_dblas.f"
	}
#line 5096 "f2ctmp_dblas.f"
    }

#line 5098 "f2ctmp_dblas.f"
    return 0;

/*     End of DTPMV . */

} /* dtpmv_ */

/* Subroutine */ int dtpsv_(char *uplo, char *trans, char *diag, integer *n, 
	doublereal *ap, doublereal *x, integer *incx, ftnlen uplo_len, ftnlen 
	trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer i__1, i__2;

    /* Local variables */
    static integer i, j, k, kk, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTPSV  solves one of the systems of equations */

/*     A*x = b,   or   A'*x = b, */

/*  where b and x are n element vectors and A is an n by n unit, or */
/*  non-unit, upper or lower triangular matrix, supplied in packed form. 
*/

/*  No test for singularity or near-singularity is included in this */
/*  routine. Such tests must be performed before calling this routine. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix is an upper or */
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the equations to be solved as */
/*           follows: */

/*              TRANS = 'N' or 'n'   A*x = b. */

/*              TRANS = 'T' or 't'   A'*x = b. */

/*              TRANS = 'C' or 'c'   A'*x = b. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit */
/*           triangular as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  AP     - DOUBLE PRECISION array of DIMENSION at least */
/*           ( ( n*( n + 1 ) )/2 ). */
/*           Before entry with  UPLO = 'U' or 'u', the array AP must */
/*           contain the upper triangular matrix packed sequentially, */
/*           column by column, so that AP( 1 ) contains a( 1, 1 ), */
/*           AP( 2 ) and AP( 3 ) contain a( 1, 2 ) and a( 2, 2 ) */
/*           respectively, and so on. */
/*           Before entry with UPLO = 'L' or 'l', the array AP must */
/*           contain the lower triangular matrix packed sequentially, */
/*           column by column, so that AP( 1 ) contains a( 1, 1 ), */
/*           AP( 2 ) and AP( 3 ) contain a( 2, 1 ) and a( 3, 1 ) */
/*           respectively, and so on. */
/*           Note that when  DIAG = 'U' or 'u', the diagonal elements of 
*/
/*           A are not referenced, but are assumed to be unity. */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element right-hand side vector b. On exit, X is overwritten 
*/
/*           with the solution vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 5219 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 5219 "f2ctmp_dblas.f"
    --x;
#line 5219 "f2ctmp_dblas.f"
    --ap;
#line 5219 "f2ctmp_dblas.f"

#line 5219 "f2ctmp_dblas.f"
    /* Function Body */
#line 5219 "f2ctmp_dblas.f"
    info = 0;
#line 5220 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 5222 "f2ctmp_dblas.f"
	info = 1;
#line 5223 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 5226 "f2ctmp_dblas.f"
	info = 2;
#line 5227 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 5229 "f2ctmp_dblas.f"
	info = 3;
#line 5230 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 5231 "f2ctmp_dblas.f"
	info = 4;
#line 5232 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 5233 "f2ctmp_dblas.f"
	info = 7;
#line 5234 "f2ctmp_dblas.f"
    }
#line 5235 "f2ctmp_dblas.f"
    if (info != 0) {
#line 5236 "f2ctmp_dblas.f"
	xerbla_("DTPSV ", &info, 6L);
#line 5237 "f2ctmp_dblas.f"
	return 0;
#line 5238 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 5242 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 5242 "f2ctmp_dblas.f"
	return 0;
#line 5242 "f2ctmp_dblas.f"
    }

#line 5245 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX  too small for descending loops. */

#line 5250 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 5251 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 5252 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 5253 "f2ctmp_dblas.f"
	kx = 1;
#line 5254 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of AP are */
/*     accessed sequentially with one pass through AP. */

#line 5259 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  x := inv( A )*x. */

#line 5263 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 5264 "f2ctmp_dblas.f"
	    kk = *n * (*n + 1) / 2;
#line 5265 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5266 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5267 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 5268 "f2ctmp_dblas.f"
			if (nounit) {
#line 5268 "f2ctmp_dblas.f"
			    x[j] /= ap[kk];
#line 5268 "f2ctmp_dblas.f"
			}
#line 5270 "f2ctmp_dblas.f"
			temp = x[j];
#line 5271 "f2ctmp_dblas.f"
			k = kk - 1;
#line 5272 "f2ctmp_dblas.f"
			for (i = j - 1; i >= 1; --i) {
#line 5273 "f2ctmp_dblas.f"
			    x[i] -= temp * ap[k];
#line 5274 "f2ctmp_dblas.f"
			    --k;
#line 5275 "f2ctmp_dblas.f"
/* L10: */
#line 5275 "f2ctmp_dblas.f"
			}
#line 5276 "f2ctmp_dblas.f"
		    }
#line 5277 "f2ctmp_dblas.f"
		    kk -= j;
#line 5278 "f2ctmp_dblas.f"
/* L20: */
#line 5278 "f2ctmp_dblas.f"
		}
#line 5279 "f2ctmp_dblas.f"
	    } else {
#line 5280 "f2ctmp_dblas.f"
		jx = kx + (*n - 1) * *incx;
#line 5281 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5282 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 5283 "f2ctmp_dblas.f"
			if (nounit) {
#line 5283 "f2ctmp_dblas.f"
			    x[jx] /= ap[kk];
#line 5283 "f2ctmp_dblas.f"
			}
#line 5285 "f2ctmp_dblas.f"
			temp = x[jx];
#line 5286 "f2ctmp_dblas.f"
			ix = jx;
#line 5287 "f2ctmp_dblas.f"
			i__1 = kk - j + 1;
#line 5287 "f2ctmp_dblas.f"
			for (k = kk - 1; k >= i__1; --k) {
#line 5288 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 5289 "f2ctmp_dblas.f"
			    x[ix] -= temp * ap[k];
#line 5290 "f2ctmp_dblas.f"
/* L30: */
#line 5290 "f2ctmp_dblas.f"
			}
#line 5291 "f2ctmp_dblas.f"
		    }
#line 5292 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 5293 "f2ctmp_dblas.f"
		    kk -= j;
#line 5294 "f2ctmp_dblas.f"
/* L40: */
#line 5294 "f2ctmp_dblas.f"
		}
#line 5295 "f2ctmp_dblas.f"
	    }
#line 5296 "f2ctmp_dblas.f"
	} else {
#line 5297 "f2ctmp_dblas.f"
	    kk = 1;
#line 5298 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5299 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5299 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5300 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 5301 "f2ctmp_dblas.f"
			if (nounit) {
#line 5301 "f2ctmp_dblas.f"
			    x[j] /= ap[kk];
#line 5301 "f2ctmp_dblas.f"
			}
#line 5303 "f2ctmp_dblas.f"
			temp = x[j];
#line 5304 "f2ctmp_dblas.f"
			k = kk + 1;
#line 5305 "f2ctmp_dblas.f"
			i__2 = *n;
#line 5305 "f2ctmp_dblas.f"
			for (i = j + 1; i <= i__2; ++i) {
#line 5306 "f2ctmp_dblas.f"
			    x[i] -= temp * ap[k];
#line 5307 "f2ctmp_dblas.f"
			    ++k;
#line 5308 "f2ctmp_dblas.f"
/* L50: */
#line 5308 "f2ctmp_dblas.f"
			}
#line 5309 "f2ctmp_dblas.f"
		    }
#line 5310 "f2ctmp_dblas.f"
		    kk += *n - j + 1;
#line 5311 "f2ctmp_dblas.f"
/* L60: */
#line 5311 "f2ctmp_dblas.f"
		}
#line 5312 "f2ctmp_dblas.f"
	    } else {
#line 5313 "f2ctmp_dblas.f"
		jx = kx;
#line 5314 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5314 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5315 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 5316 "f2ctmp_dblas.f"
			if (nounit) {
#line 5316 "f2ctmp_dblas.f"
			    x[jx] /= ap[kk];
#line 5316 "f2ctmp_dblas.f"
			}
#line 5318 "f2ctmp_dblas.f"
			temp = x[jx];
#line 5319 "f2ctmp_dblas.f"
			ix = jx;
#line 5320 "f2ctmp_dblas.f"
			i__2 = kk + *n - j;
#line 5320 "f2ctmp_dblas.f"
			for (k = kk + 1; k <= i__2; ++k) {
#line 5321 "f2ctmp_dblas.f"
			    ix += *incx;
#line 5322 "f2ctmp_dblas.f"
			    x[ix] -= temp * ap[k];
#line 5323 "f2ctmp_dblas.f"
/* L70: */
#line 5323 "f2ctmp_dblas.f"
			}
#line 5324 "f2ctmp_dblas.f"
		    }
#line 5325 "f2ctmp_dblas.f"
		    jx += *incx;
#line 5326 "f2ctmp_dblas.f"
		    kk += *n - j + 1;
#line 5327 "f2ctmp_dblas.f"
/* L80: */
#line 5327 "f2ctmp_dblas.f"
		}
#line 5328 "f2ctmp_dblas.f"
	    }
#line 5329 "f2ctmp_dblas.f"
	}
#line 5330 "f2ctmp_dblas.f"
    } else {

/*        Form  x := inv( A' )*x. */

#line 5334 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 5335 "f2ctmp_dblas.f"
	    kk = 1;
#line 5336 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5337 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5337 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5338 "f2ctmp_dblas.f"
		    temp = x[j];
#line 5339 "f2ctmp_dblas.f"
		    k = kk;
#line 5340 "f2ctmp_dblas.f"
		    i__2 = j - 1;
#line 5340 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 5341 "f2ctmp_dblas.f"
			temp -= ap[k] * x[i];
#line 5342 "f2ctmp_dblas.f"
			++k;
#line 5343 "f2ctmp_dblas.f"
/* L90: */
#line 5343 "f2ctmp_dblas.f"
		    }
#line 5344 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5344 "f2ctmp_dblas.f"
			temp /= ap[kk + j - 1];
#line 5344 "f2ctmp_dblas.f"
		    }
#line 5346 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 5347 "f2ctmp_dblas.f"
		    kk += j;
#line 5348 "f2ctmp_dblas.f"
/* L100: */
#line 5348 "f2ctmp_dblas.f"
		}
#line 5349 "f2ctmp_dblas.f"
	    } else {
#line 5350 "f2ctmp_dblas.f"
		jx = kx;
#line 5351 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5351 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5352 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 5353 "f2ctmp_dblas.f"
		    ix = kx;
#line 5354 "f2ctmp_dblas.f"
		    i__2 = kk + j - 2;
#line 5354 "f2ctmp_dblas.f"
		    for (k = kk; k <= i__2; ++k) {
#line 5355 "f2ctmp_dblas.f"
			temp -= ap[k] * x[ix];
#line 5356 "f2ctmp_dblas.f"
			ix += *incx;
#line 5357 "f2ctmp_dblas.f"
/* L110: */
#line 5357 "f2ctmp_dblas.f"
		    }
#line 5358 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5358 "f2ctmp_dblas.f"
			temp /= ap[kk + j - 1];
#line 5358 "f2ctmp_dblas.f"
		    }
#line 5360 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 5361 "f2ctmp_dblas.f"
		    jx += *incx;
#line 5362 "f2ctmp_dblas.f"
		    kk += j;
#line 5363 "f2ctmp_dblas.f"
/* L120: */
#line 5363 "f2ctmp_dblas.f"
		}
#line 5364 "f2ctmp_dblas.f"
	    }
#line 5365 "f2ctmp_dblas.f"
	} else {
#line 5366 "f2ctmp_dblas.f"
	    kk = *n * (*n + 1) / 2;
#line 5367 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5368 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5369 "f2ctmp_dblas.f"
		    temp = x[j];
#line 5370 "f2ctmp_dblas.f"
		    k = kk;
#line 5371 "f2ctmp_dblas.f"
		    i__1 = j + 1;
#line 5371 "f2ctmp_dblas.f"
		    for (i = *n; i >= i__1; --i) {
#line 5372 "f2ctmp_dblas.f"
			temp -= ap[k] * x[i];
#line 5373 "f2ctmp_dblas.f"
			--k;
#line 5374 "f2ctmp_dblas.f"
/* L130: */
#line 5374 "f2ctmp_dblas.f"
		    }
#line 5375 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5375 "f2ctmp_dblas.f"
			temp /= ap[kk - *n + j];
#line 5375 "f2ctmp_dblas.f"
		    }
#line 5377 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 5378 "f2ctmp_dblas.f"
		    kk -= *n - j + 1;
#line 5379 "f2ctmp_dblas.f"
/* L140: */
#line 5379 "f2ctmp_dblas.f"
		}
#line 5380 "f2ctmp_dblas.f"
	    } else {
#line 5381 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 5382 "f2ctmp_dblas.f"
		jx = kx;
#line 5383 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5384 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 5385 "f2ctmp_dblas.f"
		    ix = kx;
#line 5386 "f2ctmp_dblas.f"
		    i__1 = kk - (*n - (j + 1));
#line 5386 "f2ctmp_dblas.f"
		    for (k = kk; k >= i__1; --k) {
#line 5387 "f2ctmp_dblas.f"
			temp -= ap[k] * x[ix];
#line 5388 "f2ctmp_dblas.f"
			ix -= *incx;
#line 5389 "f2ctmp_dblas.f"
/* L150: */
#line 5389 "f2ctmp_dblas.f"
		    }
#line 5390 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5390 "f2ctmp_dblas.f"
			temp /= ap[kk - *n + j];
#line 5390 "f2ctmp_dblas.f"
		    }
#line 5392 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 5393 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 5394 "f2ctmp_dblas.f"
		    kk -= *n - j + 1;
#line 5395 "f2ctmp_dblas.f"
/* L160: */
#line 5395 "f2ctmp_dblas.f"
		}
#line 5396 "f2ctmp_dblas.f"
	    }
#line 5397 "f2ctmp_dblas.f"
	}
#line 5398 "f2ctmp_dblas.f"
    }

#line 5400 "f2ctmp_dblas.f"
    return 0;

/*     End of DTPSV . */

} /* dtpsv_ */

/* Subroutine */ int dtrmm_(char *side, char *uplo, char *transa, char *diag, 
	integer *m, integer *n, doublereal *alpha, doublereal *a, integer *
	lda, doublereal *b, integer *ldb, ftnlen side_len, ftnlen uplo_len, 
	ftnlen transa_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, b_dim1, b_offset, i__1, i__2, i__3;

    /* Local variables */
    static integer i, j, k, info;
    static doublereal temp;
    static logical lside;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa;
    static logical upper;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTRMM  performs one of the matrix-matrix operations */

/*     B := alpha*op( A )*B,   or   B := alpha*B*op( A ), */

/*  where  alpha  is a scalar,  B  is an m by n matrix,  A  is a unit, or 
*/
/*  non-unit,  upper or lower triangular matrix  and  op( A )  is one  of 
*/

/*     op( A ) = A   or   op( A ) = A'. */

/*  Parameters */
/*  ========== */

/*  SIDE   - CHARACTER*1. */
/*           On entry,  SIDE specifies whether  op( A ) multiplies B from 
*/
/*           the left or right as follows: */

/*              SIDE = 'L' or 'l'   B := alpha*op( A )*B. */

/*              SIDE = 'R' or 'r'   B := alpha*B*op( A ). */

/*           Unchanged on exit. */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix A is an upper or 
*/
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANSA - CHARACTER*1. */
/*           On entry, TRANSA specifies the form of op( A ) to be used in 
*/
/*           the matrix multiplication as follows: */

/*              TRANSA = 'N' or 'n'   op( A ) = A. */

/*              TRANSA = 'T' or 't'   op( A ) = A'. */

/*              TRANSA = 'C' or 'c'   op( A ) = A'. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit triangular 
*/
/*           as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  M      - INTEGER. */
/*           On entry, M specifies the number of rows of B. M must be at 
*/
/*           least zero. */
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the number of columns of B.  N must be 
*/
/*           at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry,  ALPHA specifies the scalar  alpha. When  alpha is 
*/
/*           zero then  A is not referenced and  B need not be set before 
*/
/*           entry. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, k ), where k is m 
*/
/*           when  SIDE = 'L' or 'l'  and is  n  when  SIDE = 'R' or 'r'. 
*/
/*           Before entry  with  UPLO = 'U' or 'u',  the  leading  k by k 
*/
/*           upper triangular part of the array  A must contain the upper 
*/
/*           triangular matrix  and the strictly lower triangular part of 
*/
/*           A is not referenced. */
/*           Before entry  with  UPLO = 'L' or 'l',  the  leading  k by k 
*/
/*           lower triangular part of the array  A must contain the lower 
*/
/*           triangular matrix  and the strictly upper triangular part of 
*/
/*           A is not referenced. */
/*           Note that when  DIAG = 'U' or 'u',  the diagonal elements of 
*/
/*           A  are not referenced either,  but are assumed to be  unity. 
*/
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program.  When  SIDE = 'L' or 'l'  then 
*/
/*           LDA  must be at least  max( 1, m ),  when  SIDE = 'R' or 'r' 
*/
/*           then LDA must be at least max( 1, n ). */
/*           Unchanged on exit. */

/*  B      - DOUBLE PRECISION array of DIMENSION ( LDB, n ). */
/*           Before entry,  the leading  m by n part of the array  B must 
*/
/*           contain the matrix  B,  and  on exit  is overwritten  by the 
*/
/*           transformed matrix. */

/*  LDB    - INTEGER. */
/*           On entry, LDB specifies the first dimension of B as declared 
*/
/*           in  the  calling  (sub)  program.   LDB  must  be  at  least 
*/
/*           max( 1, m ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */

/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 5550 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 5550 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 5550 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 5550 "f2ctmp_dblas.f"
    a -= a_offset;
#line 5550 "f2ctmp_dblas.f"
    b_dim1 = *ldb;
#line 5550 "f2ctmp_dblas.f"
    b_offset = b_dim1 + 1;
#line 5550 "f2ctmp_dblas.f"
    b -= b_offset;
#line 5550 "f2ctmp_dblas.f"

#line 5550 "f2ctmp_dblas.f"
    /* Function Body */
#line 5550 "f2ctmp_dblas.f"
    lside = lsame_(side, "L", 1L, 1L);
#line 5551 "f2ctmp_dblas.f"
    if (lside) {
#line 5552 "f2ctmp_dblas.f"
	nrowa = *m;
#line 5553 "f2ctmp_dblas.f"
    } else {
#line 5554 "f2ctmp_dblas.f"
	nrowa = *n;
#line 5555 "f2ctmp_dblas.f"
    }
#line 5556 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);
#line 5557 "f2ctmp_dblas.f"
    upper = lsame_(uplo, "U", 1L, 1L);

#line 5559 "f2ctmp_dblas.f"
    info = 0;
#line 5560 "f2ctmp_dblas.f"
    if (! lside && ! lsame_(side, "R", 1L, 1L)) {
#line 5562 "f2ctmp_dblas.f"
	info = 1;
#line 5563 "f2ctmp_dblas.f"
    } else if (! upper && ! lsame_(uplo, "L", 1L, 1L)) {
#line 5565 "f2ctmp_dblas.f"
	info = 2;
#line 5566 "f2ctmp_dblas.f"
    } else if (! lsame_(transa, "N", 1L, 1L) && ! lsame_(transa, "T", 1L, 1L) 
	    && ! lsame_(transa, "C", 1L, 1L)) {
#line 5569 "f2ctmp_dblas.f"
	info = 3;
#line 5570 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 5572 "f2ctmp_dblas.f"
	info = 4;
#line 5573 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 5574 "f2ctmp_dblas.f"
	info = 5;
#line 5575 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 5576 "f2ctmp_dblas.f"
	info = 6;
#line 5577 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 5578 "f2ctmp_dblas.f"
	info = 9;
#line 5579 "f2ctmp_dblas.f"
    } else if (*ldb < max(1,*m)) {
#line 5580 "f2ctmp_dblas.f"
	info = 11;
#line 5581 "f2ctmp_dblas.f"
    }
#line 5582 "f2ctmp_dblas.f"
    if (info != 0) {
#line 5583 "f2ctmp_dblas.f"
	xerbla_("DTRMM ", &info, 6L);
#line 5584 "f2ctmp_dblas.f"
	return 0;
#line 5585 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 5589 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 5589 "f2ctmp_dblas.f"
	return 0;
#line 5589 "f2ctmp_dblas.f"
    }

/*     And when  alpha.eq.zero. */

#line 5594 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 5595 "f2ctmp_dblas.f"
	i__1 = *n;
#line 5595 "f2ctmp_dblas.f"
	for (j = 1; j <= i__1; ++j) {
#line 5596 "f2ctmp_dblas.f"
	    i__2 = *m;
#line 5596 "f2ctmp_dblas.f"
	    for (i = 1; i <= i__2; ++i) {
#line 5597 "f2ctmp_dblas.f"
		b[i + j * b_dim1] = 0.;
#line 5598 "f2ctmp_dblas.f"
/* L10: */
#line 5598 "f2ctmp_dblas.f"
	    }
#line 5599 "f2ctmp_dblas.f"
/* L20: */
#line 5599 "f2ctmp_dblas.f"
	}
#line 5600 "f2ctmp_dblas.f"
	return 0;
#line 5601 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 5605 "f2ctmp_dblas.f"
    if (lside) {
#line 5606 "f2ctmp_dblas.f"
	if (lsame_(transa, "N", 1L, 1L)) {

/*           Form  B := alpha*A*B. */

#line 5610 "f2ctmp_dblas.f"
	    if (upper) {
#line 5611 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5611 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5612 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 5612 "f2ctmp_dblas.f"
		    for (k = 1; k <= i__2; ++k) {
#line 5613 "f2ctmp_dblas.f"
			if (b[k + j * b_dim1] != 0.) {
#line 5614 "f2ctmp_dblas.f"
			    temp = *alpha * b[k + j * b_dim1];
#line 5615 "f2ctmp_dblas.f"
			    i__3 = k - 1;
#line 5615 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__3; ++i) {
#line 5616 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * a[i + k * a_dim1];
#line 5617 "f2ctmp_dblas.f"
/* L30: */
#line 5617 "f2ctmp_dblas.f"
			    }
#line 5618 "f2ctmp_dblas.f"
			    if (nounit) {
#line 5618 "f2ctmp_dblas.f"
				temp *= a[k + k * a_dim1];
#line 5618 "f2ctmp_dblas.f"
			    }
#line 5620 "f2ctmp_dblas.f"
			    b[k + j * b_dim1] = temp;
#line 5621 "f2ctmp_dblas.f"
			}
#line 5622 "f2ctmp_dblas.f"
/* L40: */
#line 5622 "f2ctmp_dblas.f"
		    }
#line 5623 "f2ctmp_dblas.f"
/* L50: */
#line 5623 "f2ctmp_dblas.f"
		}
#line 5624 "f2ctmp_dblas.f"
	    } else {
#line 5625 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5625 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5626 "f2ctmp_dblas.f"
		    for (k = *m; k >= 1; --k) {
#line 5627 "f2ctmp_dblas.f"
			if (b[k + j * b_dim1] != 0.) {
#line 5628 "f2ctmp_dblas.f"
			    temp = *alpha * b[k + j * b_dim1];
#line 5629 "f2ctmp_dblas.f"
			    b[k + j * b_dim1] = temp;
#line 5630 "f2ctmp_dblas.f"
			    if (nounit) {
#line 5630 "f2ctmp_dblas.f"
				b[k + j * b_dim1] *= a[k + k * a_dim1];
#line 5630 "f2ctmp_dblas.f"
			    }
#line 5632 "f2ctmp_dblas.f"
			    i__2 = *m;
#line 5632 "f2ctmp_dblas.f"
			    for (i = k + 1; i <= i__2; ++i) {
#line 5633 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * a[i + k * a_dim1];
#line 5634 "f2ctmp_dblas.f"
/* L60: */
#line 5634 "f2ctmp_dblas.f"
			    }
#line 5635 "f2ctmp_dblas.f"
			}
#line 5636 "f2ctmp_dblas.f"
/* L70: */
#line 5636 "f2ctmp_dblas.f"
		    }
#line 5637 "f2ctmp_dblas.f"
/* L80: */
#line 5637 "f2ctmp_dblas.f"
		}
#line 5638 "f2ctmp_dblas.f"
	    }
#line 5639 "f2ctmp_dblas.f"
	} else {

/*           Form  B := alpha*B*A'. */

#line 5643 "f2ctmp_dblas.f"
	    if (upper) {
#line 5644 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5644 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5645 "f2ctmp_dblas.f"
		    for (i = *m; i >= 1; --i) {
#line 5646 "f2ctmp_dblas.f"
			temp = b[i + j * b_dim1];
#line 5647 "f2ctmp_dblas.f"
			if (nounit) {
#line 5647 "f2ctmp_dblas.f"
			    temp *= a[i + i * a_dim1];
#line 5647 "f2ctmp_dblas.f"
			}
#line 5649 "f2ctmp_dblas.f"
			i__2 = i - 1;
#line 5649 "f2ctmp_dblas.f"
			for (k = 1; k <= i__2; ++k) {
#line 5650 "f2ctmp_dblas.f"
			    temp += a[k + i * a_dim1] * b[k + j * b_dim1];
#line 5651 "f2ctmp_dblas.f"
/* L90: */
#line 5651 "f2ctmp_dblas.f"
			}
#line 5652 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = *alpha * temp;
#line 5653 "f2ctmp_dblas.f"
/* L100: */
#line 5653 "f2ctmp_dblas.f"
		    }
#line 5654 "f2ctmp_dblas.f"
/* L110: */
#line 5654 "f2ctmp_dblas.f"
		}
#line 5655 "f2ctmp_dblas.f"
	    } else {
#line 5656 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5656 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5657 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 5657 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 5658 "f2ctmp_dblas.f"
			temp = b[i + j * b_dim1];
#line 5659 "f2ctmp_dblas.f"
			if (nounit) {
#line 5659 "f2ctmp_dblas.f"
			    temp *= a[i + i * a_dim1];
#line 5659 "f2ctmp_dblas.f"
			}
#line 5661 "f2ctmp_dblas.f"
			i__3 = *m;
#line 5661 "f2ctmp_dblas.f"
			for (k = i + 1; k <= i__3; ++k) {
#line 5662 "f2ctmp_dblas.f"
			    temp += a[k + i * a_dim1] * b[k + j * b_dim1];
#line 5663 "f2ctmp_dblas.f"
/* L120: */
#line 5663 "f2ctmp_dblas.f"
			}
#line 5664 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = *alpha * temp;
#line 5665 "f2ctmp_dblas.f"
/* L130: */
#line 5665 "f2ctmp_dblas.f"
		    }
#line 5666 "f2ctmp_dblas.f"
/* L140: */
#line 5666 "f2ctmp_dblas.f"
		}
#line 5667 "f2ctmp_dblas.f"
	    }
#line 5668 "f2ctmp_dblas.f"
	}
#line 5669 "f2ctmp_dblas.f"
    } else {
#line 5670 "f2ctmp_dblas.f"
	if (lsame_(transa, "N", 1L, 1L)) {

/*           Form  B := alpha*B*A. */

#line 5674 "f2ctmp_dblas.f"
	    if (upper) {
#line 5675 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5676 "f2ctmp_dblas.f"
		    temp = *alpha;
#line 5677 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5677 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 5677 "f2ctmp_dblas.f"
		    }
#line 5679 "f2ctmp_dblas.f"
		    i__1 = *m;
#line 5679 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__1; ++i) {
#line 5680 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = temp * b[i + j * b_dim1];
#line 5681 "f2ctmp_dblas.f"
/* L150: */
#line 5681 "f2ctmp_dblas.f"
		    }
#line 5682 "f2ctmp_dblas.f"
		    i__1 = j - 1;
#line 5682 "f2ctmp_dblas.f"
		    for (k = 1; k <= i__1; ++k) {
#line 5683 "f2ctmp_dblas.f"
			if (a[k + j * a_dim1] != 0.) {
#line 5684 "f2ctmp_dblas.f"
			    temp = *alpha * a[k + j * a_dim1];
#line 5685 "f2ctmp_dblas.f"
			    i__2 = *m;
#line 5685 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__2; ++i) {
#line 5686 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * b[i + k * b_dim1];
#line 5687 "f2ctmp_dblas.f"
/* L160: */
#line 5687 "f2ctmp_dblas.f"
			    }
#line 5688 "f2ctmp_dblas.f"
			}
#line 5689 "f2ctmp_dblas.f"
/* L170: */
#line 5689 "f2ctmp_dblas.f"
		    }
#line 5690 "f2ctmp_dblas.f"
/* L180: */
#line 5690 "f2ctmp_dblas.f"
		}
#line 5691 "f2ctmp_dblas.f"
	    } else {
#line 5692 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5692 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5693 "f2ctmp_dblas.f"
		    temp = *alpha;
#line 5694 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5694 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 5694 "f2ctmp_dblas.f"
		    }
#line 5696 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 5696 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 5697 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = temp * b[i + j * b_dim1];
#line 5698 "f2ctmp_dblas.f"
/* L190: */
#line 5698 "f2ctmp_dblas.f"
		    }
#line 5699 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 5699 "f2ctmp_dblas.f"
		    for (k = j + 1; k <= i__2; ++k) {
#line 5700 "f2ctmp_dblas.f"
			if (a[k + j * a_dim1] != 0.) {
#line 5701 "f2ctmp_dblas.f"
			    temp = *alpha * a[k + j * a_dim1];
#line 5702 "f2ctmp_dblas.f"
			    i__3 = *m;
#line 5702 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__3; ++i) {
#line 5703 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * b[i + k * b_dim1];
#line 5704 "f2ctmp_dblas.f"
/* L200: */
#line 5704 "f2ctmp_dblas.f"
			    }
#line 5705 "f2ctmp_dblas.f"
			}
#line 5706 "f2ctmp_dblas.f"
/* L210: */
#line 5706 "f2ctmp_dblas.f"
		    }
#line 5707 "f2ctmp_dblas.f"
/* L220: */
#line 5707 "f2ctmp_dblas.f"
		}
#line 5708 "f2ctmp_dblas.f"
	    }
#line 5709 "f2ctmp_dblas.f"
	} else {

/*           Form  B := alpha*B*A'. */

#line 5713 "f2ctmp_dblas.f"
	    if (upper) {
#line 5714 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5714 "f2ctmp_dblas.f"
		for (k = 1; k <= i__1; ++k) {
#line 5715 "f2ctmp_dblas.f"
		    i__2 = k - 1;
#line 5715 "f2ctmp_dblas.f"
		    for (j = 1; j <= i__2; ++j) {
#line 5716 "f2ctmp_dblas.f"
			if (a[j + k * a_dim1] != 0.) {
#line 5717 "f2ctmp_dblas.f"
			    temp = *alpha * a[j + k * a_dim1];
#line 5718 "f2ctmp_dblas.f"
			    i__3 = *m;
#line 5718 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__3; ++i) {
#line 5719 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * b[i + k * b_dim1];
#line 5720 "f2ctmp_dblas.f"
/* L230: */
#line 5720 "f2ctmp_dblas.f"
			    }
#line 5721 "f2ctmp_dblas.f"
			}
#line 5722 "f2ctmp_dblas.f"
/* L240: */
#line 5722 "f2ctmp_dblas.f"
		    }
#line 5723 "f2ctmp_dblas.f"
		    temp = *alpha;
#line 5724 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5724 "f2ctmp_dblas.f"
			temp *= a[k + k * a_dim1];
#line 5724 "f2ctmp_dblas.f"
		    }
#line 5726 "f2ctmp_dblas.f"
		    if (temp != 1.) {
#line 5727 "f2ctmp_dblas.f"
			i__2 = *m;
#line 5727 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 5728 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = temp * b[i + k * b_dim1];
#line 5729 "f2ctmp_dblas.f"
/* L250: */
#line 5729 "f2ctmp_dblas.f"
			}
#line 5730 "f2ctmp_dblas.f"
		    }
#line 5731 "f2ctmp_dblas.f"
/* L260: */
#line 5731 "f2ctmp_dblas.f"
		}
#line 5732 "f2ctmp_dblas.f"
	    } else {
#line 5733 "f2ctmp_dblas.f"
		for (k = *n; k >= 1; --k) {
#line 5734 "f2ctmp_dblas.f"
		    i__1 = *n;
#line 5734 "f2ctmp_dblas.f"
		    for (j = k + 1; j <= i__1; ++j) {
#line 5735 "f2ctmp_dblas.f"
			if (a[j + k * a_dim1] != 0.) {
#line 5736 "f2ctmp_dblas.f"
			    temp = *alpha * a[j + k * a_dim1];
#line 5737 "f2ctmp_dblas.f"
			    i__2 = *m;
#line 5737 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__2; ++i) {
#line 5738 "f2ctmp_dblas.f"
				b[i + j * b_dim1] += temp * b[i + k * b_dim1];
#line 5739 "f2ctmp_dblas.f"
/* L270: */
#line 5739 "f2ctmp_dblas.f"
			    }
#line 5740 "f2ctmp_dblas.f"
			}
#line 5741 "f2ctmp_dblas.f"
/* L280: */
#line 5741 "f2ctmp_dblas.f"
		    }
#line 5742 "f2ctmp_dblas.f"
		    temp = *alpha;
#line 5743 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5743 "f2ctmp_dblas.f"
			temp *= a[k + k * a_dim1];
#line 5743 "f2ctmp_dblas.f"
		    }
#line 5745 "f2ctmp_dblas.f"
		    if (temp != 1.) {
#line 5746 "f2ctmp_dblas.f"
			i__1 = *m;
#line 5746 "f2ctmp_dblas.f"
			for (i = 1; i <= i__1; ++i) {
#line 5747 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = temp * b[i + k * b_dim1];
#line 5748 "f2ctmp_dblas.f"
/* L290: */
#line 5748 "f2ctmp_dblas.f"
			}
#line 5749 "f2ctmp_dblas.f"
		    }
#line 5750 "f2ctmp_dblas.f"
/* L300: */
#line 5750 "f2ctmp_dblas.f"
		}
#line 5751 "f2ctmp_dblas.f"
	    }
#line 5752 "f2ctmp_dblas.f"
	}
#line 5753 "f2ctmp_dblas.f"
    }

#line 5755 "f2ctmp_dblas.f"
    return 0;

/*     End of DTRMM . */

} /* dtrmm_ */

/* Subroutine */ int dtrmv_(char *uplo, char *trans, char *diag, integer *n, 
	doublereal *a, integer *lda, doublereal *x, integer *incx, ftnlen 
	uplo_len, ftnlen trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTRMV  performs one of the matrix-vector operations */

/*     x := A*x,   or   x := A'*x, */

/*  where x is an n element vector and  A is an n by n unit, or non-unit, 
*/
/*  upper or lower triangular matrix. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix is an upper or */
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the operation to be performed as */
/*           follows: */

/*              TRANS = 'N' or 'n'   x := A*x. */

/*              TRANS = 'T' or 't'   x := A'*x. */

/*              TRANS = 'C' or 'c'   x := A'*x. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit */
/*           triangular as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry with  UPLO = 'U' or 'u', the leading n by n */
/*           upper triangular part of the array A must contain the upper 
*/
/*           triangular matrix and the strictly lower triangular part of 
*/
/*           A is not referenced. */
/*           Before entry with UPLO = 'L' or 'l', the leading n by n */
/*           lower triangular part of the array A must contain the lower 
*/
/*           triangular matrix and the strictly upper triangular part of 
*/
/*           A is not referenced. */
/*           Note that when  DIAG = 'U' or 'u', the diagonal elements of 
*/
/*           A are not referenced either, but are assumed to be unity. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, n ). */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element vector x. On exit, X is overwritten with the */
/*           tranformed vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 5878 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 5878 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 5878 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 5878 "f2ctmp_dblas.f"
    a -= a_offset;
#line 5878 "f2ctmp_dblas.f"
    --x;
#line 5878 "f2ctmp_dblas.f"

#line 5878 "f2ctmp_dblas.f"
    /* Function Body */
#line 5878 "f2ctmp_dblas.f"
    info = 0;
#line 5879 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 5881 "f2ctmp_dblas.f"
	info = 1;
#line 5882 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 5885 "f2ctmp_dblas.f"
	info = 2;
#line 5886 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 5888 "f2ctmp_dblas.f"
	info = 3;
#line 5889 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 5890 "f2ctmp_dblas.f"
	info = 4;
#line 5891 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*n)) {
#line 5892 "f2ctmp_dblas.f"
	info = 6;
#line 5893 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 5894 "f2ctmp_dblas.f"
	info = 8;
#line 5895 "f2ctmp_dblas.f"
    }
#line 5896 "f2ctmp_dblas.f"
    if (info != 0) {
#line 5897 "f2ctmp_dblas.f"
	xerbla_("DTRMV ", &info, 6L);
#line 5898 "f2ctmp_dblas.f"
	return 0;
#line 5899 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 5903 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 5903 "f2ctmp_dblas.f"
	return 0;
#line 5903 "f2ctmp_dblas.f"
    }

#line 5906 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX  too small for descending loops. */

#line 5911 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 5912 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 5913 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 5914 "f2ctmp_dblas.f"
	kx = 1;
#line 5915 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through A. */

#line 5920 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  x := A*x. */

#line 5924 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 5925 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5926 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5926 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5927 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 5928 "f2ctmp_dblas.f"
			temp = x[j];
#line 5929 "f2ctmp_dblas.f"
			i__2 = j - 1;
#line 5929 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 5930 "f2ctmp_dblas.f"
			    x[i] += temp * a[i + j * a_dim1];
#line 5931 "f2ctmp_dblas.f"
/* L10: */
#line 5931 "f2ctmp_dblas.f"
			}
#line 5932 "f2ctmp_dblas.f"
			if (nounit) {
#line 5932 "f2ctmp_dblas.f"
			    x[j] *= a[j + j * a_dim1];
#line 5932 "f2ctmp_dblas.f"
			}
#line 5934 "f2ctmp_dblas.f"
		    }
#line 5935 "f2ctmp_dblas.f"
/* L20: */
#line 5935 "f2ctmp_dblas.f"
		}
#line 5936 "f2ctmp_dblas.f"
	    } else {
#line 5937 "f2ctmp_dblas.f"
		jx = kx;
#line 5938 "f2ctmp_dblas.f"
		i__1 = *n;
#line 5938 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 5939 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 5940 "f2ctmp_dblas.f"
			temp = x[jx];
#line 5941 "f2ctmp_dblas.f"
			ix = kx;
#line 5942 "f2ctmp_dblas.f"
			i__2 = j - 1;
#line 5942 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 5943 "f2ctmp_dblas.f"
			    x[ix] += temp * a[i + j * a_dim1];
#line 5944 "f2ctmp_dblas.f"
			    ix += *incx;
#line 5945 "f2ctmp_dblas.f"
/* L30: */
#line 5945 "f2ctmp_dblas.f"
			}
#line 5946 "f2ctmp_dblas.f"
			if (nounit) {
#line 5946 "f2ctmp_dblas.f"
			    x[jx] *= a[j + j * a_dim1];
#line 5946 "f2ctmp_dblas.f"
			}
#line 5948 "f2ctmp_dblas.f"
		    }
#line 5949 "f2ctmp_dblas.f"
		    jx += *incx;
#line 5950 "f2ctmp_dblas.f"
/* L40: */
#line 5950 "f2ctmp_dblas.f"
		}
#line 5951 "f2ctmp_dblas.f"
	    }
#line 5952 "f2ctmp_dblas.f"
	} else {
#line 5953 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5954 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5955 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 5956 "f2ctmp_dblas.f"
			temp = x[j];
#line 5957 "f2ctmp_dblas.f"
			i__1 = j + 1;
#line 5957 "f2ctmp_dblas.f"
			for (i = *n; i >= i__1; --i) {
#line 5958 "f2ctmp_dblas.f"
			    x[i] += temp * a[i + j * a_dim1];
#line 5959 "f2ctmp_dblas.f"
/* L50: */
#line 5959 "f2ctmp_dblas.f"
			}
#line 5960 "f2ctmp_dblas.f"
			if (nounit) {
#line 5960 "f2ctmp_dblas.f"
			    x[j] *= a[j + j * a_dim1];
#line 5960 "f2ctmp_dblas.f"
			}
#line 5962 "f2ctmp_dblas.f"
		    }
#line 5963 "f2ctmp_dblas.f"
/* L60: */
#line 5963 "f2ctmp_dblas.f"
		}
#line 5964 "f2ctmp_dblas.f"
	    } else {
#line 5965 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 5966 "f2ctmp_dblas.f"
		jx = kx;
#line 5967 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5968 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 5969 "f2ctmp_dblas.f"
			temp = x[jx];
#line 5970 "f2ctmp_dblas.f"
			ix = kx;
#line 5971 "f2ctmp_dblas.f"
			i__1 = j + 1;
#line 5971 "f2ctmp_dblas.f"
			for (i = *n; i >= i__1; --i) {
#line 5972 "f2ctmp_dblas.f"
			    x[ix] += temp * a[i + j * a_dim1];
#line 5973 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 5974 "f2ctmp_dblas.f"
/* L70: */
#line 5974 "f2ctmp_dblas.f"
			}
#line 5975 "f2ctmp_dblas.f"
			if (nounit) {
#line 5975 "f2ctmp_dblas.f"
			    x[jx] *= a[j + j * a_dim1];
#line 5975 "f2ctmp_dblas.f"
			}
#line 5977 "f2ctmp_dblas.f"
		    }
#line 5978 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 5979 "f2ctmp_dblas.f"
/* L80: */
#line 5979 "f2ctmp_dblas.f"
		}
#line 5980 "f2ctmp_dblas.f"
	    }
#line 5981 "f2ctmp_dblas.f"
	}
#line 5982 "f2ctmp_dblas.f"
    } else {

/*        Form  x := A'*x. */

#line 5986 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 5987 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 5988 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 5989 "f2ctmp_dblas.f"
		    temp = x[j];
#line 5990 "f2ctmp_dblas.f"
		    if (nounit) {
#line 5990 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 5990 "f2ctmp_dblas.f"
		    }
#line 5992 "f2ctmp_dblas.f"
		    for (i = j - 1; i >= 1; --i) {
#line 5993 "f2ctmp_dblas.f"
			temp += a[i + j * a_dim1] * x[i];
#line 5994 "f2ctmp_dblas.f"
/* L90: */
#line 5994 "f2ctmp_dblas.f"
		    }
#line 5995 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 5996 "f2ctmp_dblas.f"
/* L100: */
#line 5996 "f2ctmp_dblas.f"
		}
#line 5997 "f2ctmp_dblas.f"
	    } else {
#line 5998 "f2ctmp_dblas.f"
		jx = kx + (*n - 1) * *incx;
#line 5999 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6000 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 6001 "f2ctmp_dblas.f"
		    ix = jx;
#line 6002 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6002 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 6002 "f2ctmp_dblas.f"
		    }
#line 6004 "f2ctmp_dblas.f"
		    for (i = j - 1; i >= 1; --i) {
#line 6005 "f2ctmp_dblas.f"
			ix -= *incx;
#line 6006 "f2ctmp_dblas.f"
			temp += a[i + j * a_dim1] * x[ix];
#line 6007 "f2ctmp_dblas.f"
/* L110: */
#line 6007 "f2ctmp_dblas.f"
		    }
#line 6008 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 6009 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 6010 "f2ctmp_dblas.f"
/* L120: */
#line 6010 "f2ctmp_dblas.f"
		}
#line 6011 "f2ctmp_dblas.f"
	    }
#line 6012 "f2ctmp_dblas.f"
	} else {
#line 6013 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 6014 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6014 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6015 "f2ctmp_dblas.f"
		    temp = x[j];
#line 6016 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6016 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 6016 "f2ctmp_dblas.f"
		    }
#line 6018 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 6018 "f2ctmp_dblas.f"
		    for (i = j + 1; i <= i__2; ++i) {
#line 6019 "f2ctmp_dblas.f"
			temp += a[i + j * a_dim1] * x[i];
#line 6020 "f2ctmp_dblas.f"
/* L130: */
#line 6020 "f2ctmp_dblas.f"
		    }
#line 6021 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 6022 "f2ctmp_dblas.f"
/* L140: */
#line 6022 "f2ctmp_dblas.f"
		}
#line 6023 "f2ctmp_dblas.f"
	    } else {
#line 6024 "f2ctmp_dblas.f"
		jx = kx;
#line 6025 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6025 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6026 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 6027 "f2ctmp_dblas.f"
		    ix = jx;
#line 6028 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6028 "f2ctmp_dblas.f"
			temp *= a[j + j * a_dim1];
#line 6028 "f2ctmp_dblas.f"
		    }
#line 6030 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 6030 "f2ctmp_dblas.f"
		    for (i = j + 1; i <= i__2; ++i) {
#line 6031 "f2ctmp_dblas.f"
			ix += *incx;
#line 6032 "f2ctmp_dblas.f"
			temp += a[i + j * a_dim1] * x[ix];
#line 6033 "f2ctmp_dblas.f"
/* L150: */
#line 6033 "f2ctmp_dblas.f"
		    }
#line 6034 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 6035 "f2ctmp_dblas.f"
		    jx += *incx;
#line 6036 "f2ctmp_dblas.f"
/* L160: */
#line 6036 "f2ctmp_dblas.f"
		}
#line 6037 "f2ctmp_dblas.f"
	    }
#line 6038 "f2ctmp_dblas.f"
	}
#line 6039 "f2ctmp_dblas.f"
    }

#line 6041 "f2ctmp_dblas.f"
    return 0;

/*     End of DTRMV . */

} /* dtrmv_ */

/* Subroutine */ int dtrsm_(char *side, char *uplo, char *transa, char *diag, 
	integer *m, integer *n, doublereal *alpha, doublereal *a, integer *
	lda, doublereal *b, integer *ldb, ftnlen side_len, ftnlen uplo_len, 
	ftnlen transa_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, b_dim1, b_offset, i__1, i__2, i__3;

    /* Local variables */
    static integer i, j, k, info;
    static doublereal temp;
    static logical lside;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    static integer nrowa;
    static logical upper;
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTRSM  solves one of the matrix equations */

/*     op( A )*X = alpha*B,   or   X*op( A ) = alpha*B, */

/*  where alpha is a scalar, X and B are m by n matrices, A is a unit, or 
*/
/*  non-unit,  upper or lower triangular matrix  and  op( A )  is one  of 
*/

/*     op( A ) = A   or   op( A ) = A'. */

/*  The matrix X is overwritten on B. */

/*  Parameters */
/*  ========== */

/*  SIDE   - CHARACTER*1. */
/*           On entry, SIDE specifies whether op( A ) appears on the left 
*/
/*           or right of X as follows: */

/*              SIDE = 'L' or 'l'   op( A )*X = alpha*B. */

/*              SIDE = 'R' or 'r'   X*op( A ) = alpha*B. */

/*           Unchanged on exit. */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix A is an upper or 
*/
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANSA - CHARACTER*1. */
/*           On entry, TRANSA specifies the form of op( A ) to be used in 
*/
/*           the matrix multiplication as follows: */

/*              TRANSA = 'N' or 'n'   op( A ) = A. */

/*              TRANSA = 'T' or 't'   op( A ) = A'. */

/*              TRANSA = 'C' or 'c'   op( A ) = A'. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit triangular 
*/
/*           as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  M      - INTEGER. */
/*           On entry, M specifies the number of rows of B. M must be at 
*/
/*           least zero. */
/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the number of columns of B.  N must be 
*/
/*           at least zero. */
/*           Unchanged on exit. */

/*  ALPHA  - DOUBLE PRECISION. */
/*           On entry,  ALPHA specifies the scalar  alpha. When  alpha is 
*/
/*           zero then  A is not referenced and  B need not be set before 
*/
/*           entry. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, k ), where k is m 
*/
/*           when  SIDE = 'L' or 'l'  and is  n  when  SIDE = 'R' or 'r'. 
*/
/*           Before entry  with  UPLO = 'U' or 'u',  the  leading  k by k 
*/
/*           upper triangular part of the array  A must contain the upper 
*/
/*           triangular matrix  and the strictly lower triangular part of 
*/
/*           A is not referenced. */
/*           Before entry  with  UPLO = 'L' or 'l',  the  leading  k by k 
*/
/*           lower triangular part of the array  A must contain the lower 
*/
/*           triangular matrix  and the strictly upper triangular part of 
*/
/*           A is not referenced. */
/*           Note that when  DIAG = 'U' or 'u',  the diagonal elements of 
*/
/*           A  are not referenced either,  but are assumed to be  unity. 
*/
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program.  When  SIDE = 'L' or 'l'  then 
*/
/*           LDA  must be at least  max( 1, m ),  when  SIDE = 'R' or 'r' 
*/
/*           then LDA must be at least max( 1, n ). */
/*           Unchanged on exit. */

/*  B      - DOUBLE PRECISION array of DIMENSION ( LDB, n ). */
/*           Before entry,  the leading  m by n part of the array  B must 
*/
/*           contain  the  right-hand  side  matrix  B,  and  on exit  is 
*/
/*           overwritten by the solution matrix  X. */

/*  LDB    - INTEGER. */
/*           On entry, LDB specifies the first dimension of B as declared 
*/
/*           in  the  calling  (sub)  program.   LDB  must  be  at  least 
*/
/*           max( 1, m ). */
/*           Unchanged on exit. */


/*  Level 3 Blas routine. */


/*  -- Written on 8-February-1989. */
/*     Jack Dongarra, Argonne National Laboratory. */
/*     Iain Duff, AERE Harwell. */
/*     Jeremy Du Croz, Numerical Algorithms Group Ltd. */
/*     Sven Hammarling, Numerical Algorithms Group Ltd. */


/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. Local Scalars .. */
/*     .. Parameters .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 6194 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 6194 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 6194 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 6194 "f2ctmp_dblas.f"
    a -= a_offset;
#line 6194 "f2ctmp_dblas.f"
    b_dim1 = *ldb;
#line 6194 "f2ctmp_dblas.f"
    b_offset = b_dim1 + 1;
#line 6194 "f2ctmp_dblas.f"
    b -= b_offset;
#line 6194 "f2ctmp_dblas.f"

#line 6194 "f2ctmp_dblas.f"
    /* Function Body */
#line 6194 "f2ctmp_dblas.f"
    lside = lsame_(side, "L", 1L, 1L);
#line 6195 "f2ctmp_dblas.f"
    if (lside) {
#line 6196 "f2ctmp_dblas.f"
	nrowa = *m;
#line 6197 "f2ctmp_dblas.f"
    } else {
#line 6198 "f2ctmp_dblas.f"
	nrowa = *n;
#line 6199 "f2ctmp_dblas.f"
    }
#line 6200 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);
#line 6201 "f2ctmp_dblas.f"
    upper = lsame_(uplo, "U", 1L, 1L);

#line 6203 "f2ctmp_dblas.f"
    info = 0;
#line 6204 "f2ctmp_dblas.f"
    if (! lside && ! lsame_(side, "R", 1L, 1L)) {
#line 6206 "f2ctmp_dblas.f"
	info = 1;
#line 6207 "f2ctmp_dblas.f"
    } else if (! upper && ! lsame_(uplo, "L", 1L, 1L)) {
#line 6209 "f2ctmp_dblas.f"
	info = 2;
#line 6210 "f2ctmp_dblas.f"
    } else if (! lsame_(transa, "N", 1L, 1L) && ! lsame_(transa, "T", 1L, 1L) 
	    && ! lsame_(transa, "C", 1L, 1L)) {
#line 6213 "f2ctmp_dblas.f"
	info = 3;
#line 6214 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 6216 "f2ctmp_dblas.f"
	info = 4;
#line 6217 "f2ctmp_dblas.f"
    } else if (*m < 0) {
#line 6218 "f2ctmp_dblas.f"
	info = 5;
#line 6219 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 6220 "f2ctmp_dblas.f"
	info = 6;
#line 6221 "f2ctmp_dblas.f"
    } else if (*lda < max(1,nrowa)) {
#line 6222 "f2ctmp_dblas.f"
	info = 9;
#line 6223 "f2ctmp_dblas.f"
    } else if (*ldb < max(1,*m)) {
#line 6224 "f2ctmp_dblas.f"
	info = 11;
#line 6225 "f2ctmp_dblas.f"
    }
#line 6226 "f2ctmp_dblas.f"
    if (info != 0) {
#line 6227 "f2ctmp_dblas.f"
	xerbla_("DTRSM ", &info, 6L);
#line 6228 "f2ctmp_dblas.f"
	return 0;
#line 6229 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 6233 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 6233 "f2ctmp_dblas.f"
	return 0;
#line 6233 "f2ctmp_dblas.f"
    }

/*     And when  alpha.eq.zero. */

#line 6238 "f2ctmp_dblas.f"
    if (*alpha == 0.) {
#line 6239 "f2ctmp_dblas.f"
	i__1 = *n;
#line 6239 "f2ctmp_dblas.f"
	for (j = 1; j <= i__1; ++j) {
#line 6240 "f2ctmp_dblas.f"
	    i__2 = *m;
#line 6240 "f2ctmp_dblas.f"
	    for (i = 1; i <= i__2; ++i) {
#line 6241 "f2ctmp_dblas.f"
		b[i + j * b_dim1] = 0.;
#line 6242 "f2ctmp_dblas.f"
/* L10: */
#line 6242 "f2ctmp_dblas.f"
	    }
#line 6243 "f2ctmp_dblas.f"
/* L20: */
#line 6243 "f2ctmp_dblas.f"
	}
#line 6244 "f2ctmp_dblas.f"
	return 0;
#line 6245 "f2ctmp_dblas.f"
    }

/*     Start the operations. */

#line 6249 "f2ctmp_dblas.f"
    if (lside) {
#line 6250 "f2ctmp_dblas.f"
	if (lsame_(transa, "N", 1L, 1L)) {

/*           Form  B := alpha*inv( A )*B. */

#line 6254 "f2ctmp_dblas.f"
	    if (upper) {
#line 6255 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6255 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6256 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6257 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6257 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6258 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = *alpha * b[i + j * b_dim1];
#line 6259 "f2ctmp_dblas.f"
/* L30: */
#line 6259 "f2ctmp_dblas.f"
			}
#line 6260 "f2ctmp_dblas.f"
		    }
#line 6261 "f2ctmp_dblas.f"
		    for (k = *m; k >= 1; --k) {
#line 6262 "f2ctmp_dblas.f"
			if (b[k + j * b_dim1] != 0.) {
#line 6263 "f2ctmp_dblas.f"
			    if (nounit) {
#line 6263 "f2ctmp_dblas.f"
				b[k + j * b_dim1] /= a[k + k * a_dim1];
#line 6263 "f2ctmp_dblas.f"
			    }
#line 6265 "f2ctmp_dblas.f"
			    i__2 = k - 1;
#line 6265 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__2; ++i) {
#line 6266 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= b[k + j * b_dim1] * a[i 
					+ k * a_dim1];
#line 6267 "f2ctmp_dblas.f"
/* L40: */
#line 6267 "f2ctmp_dblas.f"
			    }
#line 6268 "f2ctmp_dblas.f"
			}
#line 6269 "f2ctmp_dblas.f"
/* L50: */
#line 6269 "f2ctmp_dblas.f"
		    }
#line 6270 "f2ctmp_dblas.f"
/* L60: */
#line 6270 "f2ctmp_dblas.f"
		}
#line 6271 "f2ctmp_dblas.f"
	    } else {
#line 6272 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6272 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6273 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6274 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6274 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6275 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = *alpha * b[i + j * b_dim1];
#line 6276 "f2ctmp_dblas.f"
/* L70: */
#line 6276 "f2ctmp_dblas.f"
			}
#line 6277 "f2ctmp_dblas.f"
		    }
#line 6278 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 6278 "f2ctmp_dblas.f"
		    for (k = 1; k <= i__2; ++k) {
#line 6279 "f2ctmp_dblas.f"
			if (b[k + j * b_dim1] != 0.) {
#line 6280 "f2ctmp_dblas.f"
			    if (nounit) {
#line 6280 "f2ctmp_dblas.f"
				b[k + j * b_dim1] /= a[k + k * a_dim1];
#line 6280 "f2ctmp_dblas.f"
			    }
#line 6282 "f2ctmp_dblas.f"
			    i__3 = *m;
#line 6282 "f2ctmp_dblas.f"
			    for (i = k + 1; i <= i__3; ++i) {
#line 6283 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= b[k + j * b_dim1] * a[i 
					+ k * a_dim1];
#line 6284 "f2ctmp_dblas.f"
/* L80: */
#line 6284 "f2ctmp_dblas.f"
			    }
#line 6285 "f2ctmp_dblas.f"
			}
#line 6286 "f2ctmp_dblas.f"
/* L90: */
#line 6286 "f2ctmp_dblas.f"
		    }
#line 6287 "f2ctmp_dblas.f"
/* L100: */
#line 6287 "f2ctmp_dblas.f"
		}
#line 6288 "f2ctmp_dblas.f"
	    }
#line 6289 "f2ctmp_dblas.f"
	} else {

/*           Form  B := alpha*inv( A' )*B. */

#line 6293 "f2ctmp_dblas.f"
	    if (upper) {
#line 6294 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6294 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6295 "f2ctmp_dblas.f"
		    i__2 = *m;
#line 6295 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 6296 "f2ctmp_dblas.f"
			temp = *alpha * b[i + j * b_dim1];
#line 6297 "f2ctmp_dblas.f"
			i__3 = i - 1;
#line 6297 "f2ctmp_dblas.f"
			for (k = 1; k <= i__3; ++k) {
#line 6298 "f2ctmp_dblas.f"
			    temp -= a[k + i * a_dim1] * b[k + j * b_dim1];
#line 6299 "f2ctmp_dblas.f"
/* L110: */
#line 6299 "f2ctmp_dblas.f"
			}
#line 6300 "f2ctmp_dblas.f"
			if (nounit) {
#line 6300 "f2ctmp_dblas.f"
			    temp /= a[i + i * a_dim1];
#line 6300 "f2ctmp_dblas.f"
			}
#line 6302 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = temp;
#line 6303 "f2ctmp_dblas.f"
/* L120: */
#line 6303 "f2ctmp_dblas.f"
		    }
#line 6304 "f2ctmp_dblas.f"
/* L130: */
#line 6304 "f2ctmp_dblas.f"
		}
#line 6305 "f2ctmp_dblas.f"
	    } else {
#line 6306 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6306 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6307 "f2ctmp_dblas.f"
		    for (i = *m; i >= 1; --i) {
#line 6308 "f2ctmp_dblas.f"
			temp = *alpha * b[i + j * b_dim1];
#line 6309 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6309 "f2ctmp_dblas.f"
			for (k = i + 1; k <= i__2; ++k) {
#line 6310 "f2ctmp_dblas.f"
			    temp -= a[k + i * a_dim1] * b[k + j * b_dim1];
#line 6311 "f2ctmp_dblas.f"
/* L140: */
#line 6311 "f2ctmp_dblas.f"
			}
#line 6312 "f2ctmp_dblas.f"
			if (nounit) {
#line 6312 "f2ctmp_dblas.f"
			    temp /= a[i + i * a_dim1];
#line 6312 "f2ctmp_dblas.f"
			}
#line 6314 "f2ctmp_dblas.f"
			b[i + j * b_dim1] = temp;
#line 6315 "f2ctmp_dblas.f"
/* L150: */
#line 6315 "f2ctmp_dblas.f"
		    }
#line 6316 "f2ctmp_dblas.f"
/* L160: */
#line 6316 "f2ctmp_dblas.f"
		}
#line 6317 "f2ctmp_dblas.f"
	    }
#line 6318 "f2ctmp_dblas.f"
	}
#line 6319 "f2ctmp_dblas.f"
    } else {
#line 6320 "f2ctmp_dblas.f"
	if (lsame_(transa, "N", 1L, 1L)) {

/*           Form  B := alpha*B*inv( A ). */

#line 6324 "f2ctmp_dblas.f"
	    if (upper) {
#line 6325 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6325 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6326 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6327 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6327 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6328 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = *alpha * b[i + j * b_dim1];
#line 6329 "f2ctmp_dblas.f"
/* L170: */
#line 6329 "f2ctmp_dblas.f"
			}
#line 6330 "f2ctmp_dblas.f"
		    }
#line 6331 "f2ctmp_dblas.f"
		    i__2 = j - 1;
#line 6331 "f2ctmp_dblas.f"
		    for (k = 1; k <= i__2; ++k) {
#line 6332 "f2ctmp_dblas.f"
			if (a[k + j * a_dim1] != 0.) {
#line 6333 "f2ctmp_dblas.f"
			    i__3 = *m;
#line 6333 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__3; ++i) {
#line 6334 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= a[k + j * a_dim1] * b[i 
					+ k * b_dim1];
#line 6335 "f2ctmp_dblas.f"
/* L180: */
#line 6335 "f2ctmp_dblas.f"
			    }
#line 6336 "f2ctmp_dblas.f"
			}
#line 6337 "f2ctmp_dblas.f"
/* L190: */
#line 6337 "f2ctmp_dblas.f"
		    }
#line 6338 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6339 "f2ctmp_dblas.f"
			temp = 1. / a[j + j * a_dim1];
#line 6340 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6340 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6341 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = temp * b[i + j * b_dim1];
#line 6342 "f2ctmp_dblas.f"
/* L200: */
#line 6342 "f2ctmp_dblas.f"
			}
#line 6343 "f2ctmp_dblas.f"
		    }
#line 6344 "f2ctmp_dblas.f"
/* L210: */
#line 6344 "f2ctmp_dblas.f"
		}
#line 6345 "f2ctmp_dblas.f"
	    } else {
#line 6346 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6347 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6348 "f2ctmp_dblas.f"
			i__1 = *m;
#line 6348 "f2ctmp_dblas.f"
			for (i = 1; i <= i__1; ++i) {
#line 6349 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = *alpha * b[i + j * b_dim1];
#line 6350 "f2ctmp_dblas.f"
/* L220: */
#line 6350 "f2ctmp_dblas.f"
			}
#line 6351 "f2ctmp_dblas.f"
		    }
#line 6352 "f2ctmp_dblas.f"
		    i__1 = *n;
#line 6352 "f2ctmp_dblas.f"
		    for (k = j + 1; k <= i__1; ++k) {
#line 6353 "f2ctmp_dblas.f"
			if (a[k + j * a_dim1] != 0.) {
#line 6354 "f2ctmp_dblas.f"
			    i__2 = *m;
#line 6354 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__2; ++i) {
#line 6355 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= a[k + j * a_dim1] * b[i 
					+ k * b_dim1];
#line 6356 "f2ctmp_dblas.f"
/* L230: */
#line 6356 "f2ctmp_dblas.f"
			    }
#line 6357 "f2ctmp_dblas.f"
			}
#line 6358 "f2ctmp_dblas.f"
/* L240: */
#line 6358 "f2ctmp_dblas.f"
		    }
#line 6359 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6360 "f2ctmp_dblas.f"
			temp = 1. / a[j + j * a_dim1];
#line 6361 "f2ctmp_dblas.f"
			i__1 = *m;
#line 6361 "f2ctmp_dblas.f"
			for (i = 1; i <= i__1; ++i) {
#line 6362 "f2ctmp_dblas.f"
			    b[i + j * b_dim1] = temp * b[i + j * b_dim1];
#line 6363 "f2ctmp_dblas.f"
/* L250: */
#line 6363 "f2ctmp_dblas.f"
			}
#line 6364 "f2ctmp_dblas.f"
		    }
#line 6365 "f2ctmp_dblas.f"
/* L260: */
#line 6365 "f2ctmp_dblas.f"
		}
#line 6366 "f2ctmp_dblas.f"
	    }
#line 6367 "f2ctmp_dblas.f"
	} else {

/*           Form  B := alpha*B*inv( A' ). */

#line 6371 "f2ctmp_dblas.f"
	    if (upper) {
#line 6372 "f2ctmp_dblas.f"
		for (k = *n; k >= 1; --k) {
#line 6373 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6374 "f2ctmp_dblas.f"
			temp = 1. / a[k + k * a_dim1];
#line 6375 "f2ctmp_dblas.f"
			i__1 = *m;
#line 6375 "f2ctmp_dblas.f"
			for (i = 1; i <= i__1; ++i) {
#line 6376 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = temp * b[i + k * b_dim1];
#line 6377 "f2ctmp_dblas.f"
/* L270: */
#line 6377 "f2ctmp_dblas.f"
			}
#line 6378 "f2ctmp_dblas.f"
		    }
#line 6379 "f2ctmp_dblas.f"
		    i__1 = k - 1;
#line 6379 "f2ctmp_dblas.f"
		    for (j = 1; j <= i__1; ++j) {
#line 6380 "f2ctmp_dblas.f"
			if (a[j + k * a_dim1] != 0.) {
#line 6381 "f2ctmp_dblas.f"
			    temp = a[j + k * a_dim1];
#line 6382 "f2ctmp_dblas.f"
			    i__2 = *m;
#line 6382 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__2; ++i) {
#line 6383 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= temp * b[i + k * b_dim1];
#line 6384 "f2ctmp_dblas.f"
/* L280: */
#line 6384 "f2ctmp_dblas.f"
			    }
#line 6385 "f2ctmp_dblas.f"
			}
#line 6386 "f2ctmp_dblas.f"
/* L290: */
#line 6386 "f2ctmp_dblas.f"
		    }
#line 6387 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6388 "f2ctmp_dblas.f"
			i__1 = *m;
#line 6388 "f2ctmp_dblas.f"
			for (i = 1; i <= i__1; ++i) {
#line 6389 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = *alpha * b[i + k * b_dim1];
#line 6390 "f2ctmp_dblas.f"
/* L300: */
#line 6390 "f2ctmp_dblas.f"
			}
#line 6391 "f2ctmp_dblas.f"
		    }
#line 6392 "f2ctmp_dblas.f"
/* L310: */
#line 6392 "f2ctmp_dblas.f"
		}
#line 6393 "f2ctmp_dblas.f"
	    } else {
#line 6394 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6394 "f2ctmp_dblas.f"
		for (k = 1; k <= i__1; ++k) {
#line 6395 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6396 "f2ctmp_dblas.f"
			temp = 1. / a[k + k * a_dim1];
#line 6397 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6397 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6398 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = temp * b[i + k * b_dim1];
#line 6399 "f2ctmp_dblas.f"
/* L320: */
#line 6399 "f2ctmp_dblas.f"
			}
#line 6400 "f2ctmp_dblas.f"
		    }
#line 6401 "f2ctmp_dblas.f"
		    i__2 = *n;
#line 6401 "f2ctmp_dblas.f"
		    for (j = k + 1; j <= i__2; ++j) {
#line 6402 "f2ctmp_dblas.f"
			if (a[j + k * a_dim1] != 0.) {
#line 6403 "f2ctmp_dblas.f"
			    temp = a[j + k * a_dim1];
#line 6404 "f2ctmp_dblas.f"
			    i__3 = *m;
#line 6404 "f2ctmp_dblas.f"
			    for (i = 1; i <= i__3; ++i) {
#line 6405 "f2ctmp_dblas.f"
				b[i + j * b_dim1] -= temp * b[i + k * b_dim1];
#line 6406 "f2ctmp_dblas.f"
/* L330: */
#line 6406 "f2ctmp_dblas.f"
			    }
#line 6407 "f2ctmp_dblas.f"
			}
#line 6408 "f2ctmp_dblas.f"
/* L340: */
#line 6408 "f2ctmp_dblas.f"
		    }
#line 6409 "f2ctmp_dblas.f"
		    if (*alpha != 1.) {
#line 6410 "f2ctmp_dblas.f"
			i__2 = *m;
#line 6410 "f2ctmp_dblas.f"
			for (i = 1; i <= i__2; ++i) {
#line 6411 "f2ctmp_dblas.f"
			    b[i + k * b_dim1] = *alpha * b[i + k * b_dim1];
#line 6412 "f2ctmp_dblas.f"
/* L350: */
#line 6412 "f2ctmp_dblas.f"
			}
#line 6413 "f2ctmp_dblas.f"
		    }
#line 6414 "f2ctmp_dblas.f"
/* L360: */
#line 6414 "f2ctmp_dblas.f"
		}
#line 6415 "f2ctmp_dblas.f"
	    }
#line 6416 "f2ctmp_dblas.f"
	}
#line 6417 "f2ctmp_dblas.f"
    }

#line 6419 "f2ctmp_dblas.f"
    return 0;

/*     End of DTRSM . */

} /* dtrsm_ */

/* Subroutine */ int dtrsv_(char *uplo, char *trans, char *diag, integer *n, 
	doublereal *a, integer *lda, doublereal *x, integer *incx, ftnlen 
	uplo_len, ftnlen trans_len, ftnlen diag_len)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;

    /* Local variables */
    static integer i, j, ix, jx, kx, info;
    static doublereal temp;
    extern logical lsame_(char *, char *, ftnlen, ftnlen);
    extern /* Subroutine */ int xerbla_(char *, integer *, ftnlen);
    static logical nounit;

/*     .. Scalar Arguments .. */
/*     .. Array Arguments .. */
/*     .. */

/*  Purpose */
/*  ======= */

/*  DTRSV  solves one of the systems of equations */

/*     A*x = b,   or   A'*x = b, */

/*  where b and x are n element vectors and A is an n by n unit, or */
/*  non-unit, upper or lower triangular matrix. */

/*  No test for singularity or near-singularity is included in this */
/*  routine. Such tests must be performed before calling this routine. */

/*  Parameters */
/*  ========== */

/*  UPLO   - CHARACTER*1. */
/*           On entry, UPLO specifies whether the matrix is an upper or */
/*           lower triangular matrix as follows: */

/*              UPLO = 'U' or 'u'   A is an upper triangular matrix. */

/*              UPLO = 'L' or 'l'   A is a lower triangular matrix. */

/*           Unchanged on exit. */

/*  TRANS  - CHARACTER*1. */
/*           On entry, TRANS specifies the equations to be solved as */
/*           follows: */

/*              TRANS = 'N' or 'n'   A*x = b. */

/*              TRANS = 'T' or 't'   A'*x = b. */

/*              TRANS = 'C' or 'c'   A'*x = b. */

/*           Unchanged on exit. */

/*  DIAG   - CHARACTER*1. */
/*           On entry, DIAG specifies whether or not A is unit */
/*           triangular as follows: */

/*              DIAG = 'U' or 'u'   A is assumed to be unit triangular. */

/*              DIAG = 'N' or 'n'   A is not assumed to be unit */
/*                                  triangular. */

/*           Unchanged on exit. */

/*  N      - INTEGER. */
/*           On entry, N specifies the order of the matrix A. */
/*           N must be at least zero. */
/*           Unchanged on exit. */

/*  A      - DOUBLE PRECISION array of DIMENSION ( LDA, n ). */
/*           Before entry with  UPLO = 'U' or 'u', the leading n by n */
/*           upper triangular part of the array A must contain the upper 
*/
/*           triangular matrix and the strictly lower triangular part of 
*/
/*           A is not referenced. */
/*           Before entry with UPLO = 'L' or 'l', the leading n by n */
/*           lower triangular part of the array A must contain the lower 
*/
/*           triangular matrix and the strictly upper triangular part of 
*/
/*           A is not referenced. */
/*           Note that when  DIAG = 'U' or 'u', the diagonal elements of 
*/
/*           A are not referenced either, but are assumed to be unity. */
/*           Unchanged on exit. */

/*  LDA    - INTEGER. */
/*           On entry, LDA specifies the first dimension of A as declared 
*/
/*           in the calling (sub) program. LDA must be at least */
/*           max( 1, n ). */
/*           Unchanged on exit. */

/*  X      - DOUBLE PRECISION array of dimension at least */
/*           ( 1 + ( n - 1 )*abs( INCX ) ). */
/*           Before entry, the incremented array X must contain the n */
/*           element right-hand side vector b. On exit, X is overwritten 
*/
/*           with the solution vector x. */

/*  INCX   - INTEGER. */
/*           On entry, INCX specifies the increment for the elements of */
/*           X. INCX must not be zero. */
/*           Unchanged on exit. */


/*  Level 2 Blas routine. */

/*  -- Written on 22-October-1986. */
/*     Jack Dongarra, Argonne National Lab. */
/*     Jeremy Du Croz, Nag Central Office. */
/*     Sven Hammarling, Nag Central Office. */
/*     Richard Hanson, Sandia National Labs. */


/*     .. Parameters .. */
/*     .. Local Scalars .. */
/*     .. External Functions .. */
/*     .. External Subroutines .. */
/*     .. Intrinsic Functions .. */
/*     .. */
/*     .. Executable Statements .. */

/*     Test the input parameters. */

#line 6545 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 6545 "f2ctmp_dblas.f"
    a_dim1 = *lda;
#line 6545 "f2ctmp_dblas.f"
    a_offset = a_dim1 + 1;
#line 6545 "f2ctmp_dblas.f"
    a -= a_offset;
#line 6545 "f2ctmp_dblas.f"
    --x;
#line 6545 "f2ctmp_dblas.f"

#line 6545 "f2ctmp_dblas.f"
    /* Function Body */
#line 6545 "f2ctmp_dblas.f"
    info = 0;
#line 6546 "f2ctmp_dblas.f"
    if (! lsame_(uplo, "U", 1L, 1L) && ! lsame_(uplo, "L", 1L, 1L)) {
#line 6548 "f2ctmp_dblas.f"
	info = 1;
#line 6549 "f2ctmp_dblas.f"
    } else if (! lsame_(trans, "N", 1L, 1L) && ! lsame_(trans, "T", 1L, 1L) &&
	     ! lsame_(trans, "C", 1L, 1L)) {
#line 6552 "f2ctmp_dblas.f"
	info = 2;
#line 6553 "f2ctmp_dblas.f"
    } else if (! lsame_(diag, "U", 1L, 1L) && ! lsame_(diag, "N", 1L, 1L)) {
#line 6555 "f2ctmp_dblas.f"
	info = 3;
#line 6556 "f2ctmp_dblas.f"
    } else if (*n < 0) {
#line 6557 "f2ctmp_dblas.f"
	info = 4;
#line 6558 "f2ctmp_dblas.f"
    } else if (*lda < max(1,*n)) {
#line 6559 "f2ctmp_dblas.f"
	info = 6;
#line 6560 "f2ctmp_dblas.f"
    } else if (*incx == 0) {
#line 6561 "f2ctmp_dblas.f"
	info = 8;
#line 6562 "f2ctmp_dblas.f"
    }
#line 6563 "f2ctmp_dblas.f"
    if (info != 0) {
#line 6564 "f2ctmp_dblas.f"
	xerbla_("DTRSV ", &info, 6L);
#line 6565 "f2ctmp_dblas.f"
	return 0;
#line 6566 "f2ctmp_dblas.f"
    }

/*     Quick return if possible. */

#line 6570 "f2ctmp_dblas.f"
    if (*n == 0) {
#line 6570 "f2ctmp_dblas.f"
	return 0;
#line 6570 "f2ctmp_dblas.f"
    }

#line 6573 "f2ctmp_dblas.f"
    nounit = lsame_(diag, "N", 1L, 1L);

/*     Set up the start point in X if the increment is not unity. This */
/*     will be  ( N - 1 )*INCX  too small for descending loops. */

#line 6578 "f2ctmp_dblas.f"
    if (*incx <= 0) {
#line 6579 "f2ctmp_dblas.f"
	kx = 1 - (*n - 1) * *incx;
#line 6580 "f2ctmp_dblas.f"
    } else if (*incx != 1) {
#line 6581 "f2ctmp_dblas.f"
	kx = 1;
#line 6582 "f2ctmp_dblas.f"
    }

/*     Start the operations. In this version the elements of A are */
/*     accessed sequentially with one pass through A. */

#line 6587 "f2ctmp_dblas.f"
    if (lsame_(trans, "N", 1L, 1L)) {

/*        Form  x := inv( A )*x. */

#line 6591 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 6592 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 6593 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6594 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 6595 "f2ctmp_dblas.f"
			if (nounit) {
#line 6595 "f2ctmp_dblas.f"
			    x[j] /= a[j + j * a_dim1];
#line 6595 "f2ctmp_dblas.f"
			}
#line 6597 "f2ctmp_dblas.f"
			temp = x[j];
#line 6598 "f2ctmp_dblas.f"
			for (i = j - 1; i >= 1; --i) {
#line 6599 "f2ctmp_dblas.f"
			    x[i] -= temp * a[i + j * a_dim1];
#line 6600 "f2ctmp_dblas.f"
/* L10: */
#line 6600 "f2ctmp_dblas.f"
			}
#line 6601 "f2ctmp_dblas.f"
		    }
#line 6602 "f2ctmp_dblas.f"
/* L20: */
#line 6602 "f2ctmp_dblas.f"
		}
#line 6603 "f2ctmp_dblas.f"
	    } else {
#line 6604 "f2ctmp_dblas.f"
		jx = kx + (*n - 1) * *incx;
#line 6605 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6606 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 6607 "f2ctmp_dblas.f"
			if (nounit) {
#line 6607 "f2ctmp_dblas.f"
			    x[jx] /= a[j + j * a_dim1];
#line 6607 "f2ctmp_dblas.f"
			}
#line 6609 "f2ctmp_dblas.f"
			temp = x[jx];
#line 6610 "f2ctmp_dblas.f"
			ix = jx;
#line 6611 "f2ctmp_dblas.f"
			for (i = j - 1; i >= 1; --i) {
#line 6612 "f2ctmp_dblas.f"
			    ix -= *incx;
#line 6613 "f2ctmp_dblas.f"
			    x[ix] -= temp * a[i + j * a_dim1];
#line 6614 "f2ctmp_dblas.f"
/* L30: */
#line 6614 "f2ctmp_dblas.f"
			}
#line 6615 "f2ctmp_dblas.f"
		    }
#line 6616 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 6617 "f2ctmp_dblas.f"
/* L40: */
#line 6617 "f2ctmp_dblas.f"
		}
#line 6618 "f2ctmp_dblas.f"
	    }
#line 6619 "f2ctmp_dblas.f"
	} else {
#line 6620 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 6621 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6621 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6622 "f2ctmp_dblas.f"
		    if (x[j] != 0.) {
#line 6623 "f2ctmp_dblas.f"
			if (nounit) {
#line 6623 "f2ctmp_dblas.f"
			    x[j] /= a[j + j * a_dim1];
#line 6623 "f2ctmp_dblas.f"
			}
#line 6625 "f2ctmp_dblas.f"
			temp = x[j];
#line 6626 "f2ctmp_dblas.f"
			i__2 = *n;
#line 6626 "f2ctmp_dblas.f"
			for (i = j + 1; i <= i__2; ++i) {
#line 6627 "f2ctmp_dblas.f"
			    x[i] -= temp * a[i + j * a_dim1];
#line 6628 "f2ctmp_dblas.f"
/* L50: */
#line 6628 "f2ctmp_dblas.f"
			}
#line 6629 "f2ctmp_dblas.f"
		    }
#line 6630 "f2ctmp_dblas.f"
/* L60: */
#line 6630 "f2ctmp_dblas.f"
		}
#line 6631 "f2ctmp_dblas.f"
	    } else {
#line 6632 "f2ctmp_dblas.f"
		jx = kx;
#line 6633 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6633 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6634 "f2ctmp_dblas.f"
		    if (x[jx] != 0.) {
#line 6635 "f2ctmp_dblas.f"
			if (nounit) {
#line 6635 "f2ctmp_dblas.f"
			    x[jx] /= a[j + j * a_dim1];
#line 6635 "f2ctmp_dblas.f"
			}
#line 6637 "f2ctmp_dblas.f"
			temp = x[jx];
#line 6638 "f2ctmp_dblas.f"
			ix = jx;
#line 6639 "f2ctmp_dblas.f"
			i__2 = *n;
#line 6639 "f2ctmp_dblas.f"
			for (i = j + 1; i <= i__2; ++i) {
#line 6640 "f2ctmp_dblas.f"
			    ix += *incx;
#line 6641 "f2ctmp_dblas.f"
			    x[ix] -= temp * a[i + j * a_dim1];
#line 6642 "f2ctmp_dblas.f"
/* L70: */
#line 6642 "f2ctmp_dblas.f"
			}
#line 6643 "f2ctmp_dblas.f"
		    }
#line 6644 "f2ctmp_dblas.f"
		    jx += *incx;
#line 6645 "f2ctmp_dblas.f"
/* L80: */
#line 6645 "f2ctmp_dblas.f"
		}
#line 6646 "f2ctmp_dblas.f"
	    }
#line 6647 "f2ctmp_dblas.f"
	}
#line 6648 "f2ctmp_dblas.f"
    } else {

/*        Form  x := inv( A' )*x. */

#line 6652 "f2ctmp_dblas.f"
	if (lsame_(uplo, "U", 1L, 1L)) {
#line 6653 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 6654 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6654 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6655 "f2ctmp_dblas.f"
		    temp = x[j];
#line 6656 "f2ctmp_dblas.f"
		    i__2 = j - 1;
#line 6656 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 6657 "f2ctmp_dblas.f"
			temp -= a[i + j * a_dim1] * x[i];
#line 6658 "f2ctmp_dblas.f"
/* L90: */
#line 6658 "f2ctmp_dblas.f"
		    }
#line 6659 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6659 "f2ctmp_dblas.f"
			temp /= a[j + j * a_dim1];
#line 6659 "f2ctmp_dblas.f"
		    }
#line 6661 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 6662 "f2ctmp_dblas.f"
/* L100: */
#line 6662 "f2ctmp_dblas.f"
		}
#line 6663 "f2ctmp_dblas.f"
	    } else {
#line 6664 "f2ctmp_dblas.f"
		jx = kx;
#line 6665 "f2ctmp_dblas.f"
		i__1 = *n;
#line 6665 "f2ctmp_dblas.f"
		for (j = 1; j <= i__1; ++j) {
#line 6666 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 6667 "f2ctmp_dblas.f"
		    ix = kx;
#line 6668 "f2ctmp_dblas.f"
		    i__2 = j - 1;
#line 6668 "f2ctmp_dblas.f"
		    for (i = 1; i <= i__2; ++i) {
#line 6669 "f2ctmp_dblas.f"
			temp -= a[i + j * a_dim1] * x[ix];
#line 6670 "f2ctmp_dblas.f"
			ix += *incx;
#line 6671 "f2ctmp_dblas.f"
/* L110: */
#line 6671 "f2ctmp_dblas.f"
		    }
#line 6672 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6672 "f2ctmp_dblas.f"
			temp /= a[j + j * a_dim1];
#line 6672 "f2ctmp_dblas.f"
		    }
#line 6674 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 6675 "f2ctmp_dblas.f"
		    jx += *incx;
#line 6676 "f2ctmp_dblas.f"
/* L120: */
#line 6676 "f2ctmp_dblas.f"
		}
#line 6677 "f2ctmp_dblas.f"
	    }
#line 6678 "f2ctmp_dblas.f"
	} else {
#line 6679 "f2ctmp_dblas.f"
	    if (*incx == 1) {
#line 6680 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6681 "f2ctmp_dblas.f"
		    temp = x[j];
#line 6682 "f2ctmp_dblas.f"
		    i__1 = j + 1;
#line 6682 "f2ctmp_dblas.f"
		    for (i = *n; i >= i__1; --i) {
#line 6683 "f2ctmp_dblas.f"
			temp -= a[i + j * a_dim1] * x[i];
#line 6684 "f2ctmp_dblas.f"
/* L130: */
#line 6684 "f2ctmp_dblas.f"
		    }
#line 6685 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6685 "f2ctmp_dblas.f"
			temp /= a[j + j * a_dim1];
#line 6685 "f2ctmp_dblas.f"
		    }
#line 6687 "f2ctmp_dblas.f"
		    x[j] = temp;
#line 6688 "f2ctmp_dblas.f"
/* L140: */
#line 6688 "f2ctmp_dblas.f"
		}
#line 6689 "f2ctmp_dblas.f"
	    } else {
#line 6690 "f2ctmp_dblas.f"
		kx += (*n - 1) * *incx;
#line 6691 "f2ctmp_dblas.f"
		jx = kx;
#line 6692 "f2ctmp_dblas.f"
		for (j = *n; j >= 1; --j) {
#line 6693 "f2ctmp_dblas.f"
		    temp = x[jx];
#line 6694 "f2ctmp_dblas.f"
		    ix = kx;
#line 6695 "f2ctmp_dblas.f"
		    i__1 = j + 1;
#line 6695 "f2ctmp_dblas.f"
		    for (i = *n; i >= i__1; --i) {
#line 6696 "f2ctmp_dblas.f"
			temp -= a[i + j * a_dim1] * x[ix];
#line 6697 "f2ctmp_dblas.f"
			ix -= *incx;
#line 6698 "f2ctmp_dblas.f"
/* L150: */
#line 6698 "f2ctmp_dblas.f"
		    }
#line 6699 "f2ctmp_dblas.f"
		    if (nounit) {
#line 6699 "f2ctmp_dblas.f"
			temp /= a[j + j * a_dim1];
#line 6699 "f2ctmp_dblas.f"
		    }
#line 6701 "f2ctmp_dblas.f"
		    x[jx] = temp;
#line 6702 "f2ctmp_dblas.f"
		    jx -= *incx;
#line 6703 "f2ctmp_dblas.f"
/* L160: */
#line 6703 "f2ctmp_dblas.f"
		}
#line 6704 "f2ctmp_dblas.f"
	    }
#line 6705 "f2ctmp_dblas.f"
	}
#line 6706 "f2ctmp_dblas.f"
    }

#line 6708 "f2ctmp_dblas.f"
    return 0;

/*     End of DTRSV . */

} /* dtrsv_ */

doublereal dzasum_(integer *n, doublecomplex *zx, integer *incx)
{
    /* System generated locals */
    integer i__1;
    doublereal ret_val;

    /* Local variables */
    static integer i, ix;
    static doublereal stemp;
    extern doublereal dcabs1_(doublecomplex *);


/*     takes the sum of the absolute values. */
/*     jack dongarra, 3/11/78. */
/*     modified to correct problem with negative increment, 8/21/90. */


#line 6723 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 6723 "f2ctmp_dblas.f"
    --zx;
#line 6723 "f2ctmp_dblas.f"

#line 6723 "f2ctmp_dblas.f"
    /* Function Body */
#line 6723 "f2ctmp_dblas.f"
    ret_val = 0.;
#line 6724 "f2ctmp_dblas.f"
    stemp = 0.;
#line 6725 "f2ctmp_dblas.f"
    if (*n <= 0) {
#line 6725 "f2ctmp_dblas.f"
	return ret_val;
#line 6725 "f2ctmp_dblas.f"
    }
#line 6726 "f2ctmp_dblas.f"
    if (*incx == 1) {
#line 6726 "f2ctmp_dblas.f"
	goto L20;
#line 6726 "f2ctmp_dblas.f"
    }

/*        code for increment not equal to 1 */

#line 6730 "f2ctmp_dblas.f"
    ix = 1;
#line 6731 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 6731 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 6731 "f2ctmp_dblas.f"
    }
#line 6732 "f2ctmp_dblas.f"
    i__1 = *n;
#line 6732 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 6733 "f2ctmp_dblas.f"
	stemp += dcabs1_(&zx[ix]);
#line 6734 "f2ctmp_dblas.f"
	ix += *incx;
#line 6735 "f2ctmp_dblas.f"
/* L10: */
#line 6735 "f2ctmp_dblas.f"
    }
#line 6736 "f2ctmp_dblas.f"
    ret_val = stemp;
#line 6737 "f2ctmp_dblas.f"
    return ret_val;

/*        code for increment equal to 1 */

#line 6741 "f2ctmp_dblas.f"
L20:
#line 6741 "f2ctmp_dblas.f"
    i__1 = *n;
#line 6741 "f2ctmp_dblas.f"
    for (i = 1; i <= i__1; ++i) {
#line 6742 "f2ctmp_dblas.f"
	stemp += dcabs1_(&zx[i]);
#line 6743 "f2ctmp_dblas.f"
/* L30: */
#line 6743 "f2ctmp_dblas.f"
    }
#line 6744 "f2ctmp_dblas.f"
    ret_val = stemp;
#line 6745 "f2ctmp_dblas.f"
    return ret_val;
} /* dzasum_ */

doublereal dznrm2_(integer *n, doublecomplex *zx, integer *incx)
{
    /* Initialized data */

    static doublereal zero = 0.;
    static doublereal one = 1.;
    static doublereal cutlo = 8.232e-11;
    static doublereal cuthi = 1.304e19;

    /* Format strings */
    static char fmt_30[] = "";
    static char fmt_50[] = "";
    static char fmt_70[] = "";
    static char fmt_90[] = "";
    static char fmt_110[] = "";

    /* System generated locals */
    integer i__1, i__2;
    doublereal ret_val, d__1;
    doublecomplex z__1;

    /* Builtin functions */
    double sqrt(doublereal);

    /* Local variables */
    static integer i, ix;
    static doublereal sum;
    static logical imag;
    static doublereal absx, xmax;
    static integer next;
    static logical scale;
    static doublereal hitest;

    /* Assigned format variables */
    char *next_fmt;

#line 6756 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 6756 "f2ctmp_dblas.f"
    --zx;
#line 6756 "f2ctmp_dblas.f"

#line 6756 "f2ctmp_dblas.f"
    /* Function Body */

/*     unitary norm of the complex n-vector stored in zx() with storage */
/*     increment incx . */
/*     if    n .le. 0 return with result = 0. */
/*     if n .ge. 1 then incx must be .ge. 1 */

/*           c.l.lawson , 1978 jan 08 */
/*     modified to correct problem with negative increment, 8/21/90. */

/*     four phase method     using two built-in constants that are */
/*     hopefully applicable to all machines. */
/*         cutlo = maximum of  sqrt(u/eps)  over all known machines. */
/*         cuthi = minimum of  sqrt(v)      over all known machines. */
/*     where */
/*         eps = smallest no. such that eps + 1. .gt. 1. */
/*         u   = smallest positive no.   (underflow limit) */
/*         v   = largest  no.            (overflow  limit) */

/*     brief outline of algorithm.. */

/*     phase 1    scans zero components. */
/*     move to phase 2 when a component is nonzero and .le. cutlo */
/*     move to phase 3 when a component is .gt. cutlo */
/*     move to phase 4 when a component is .ge. cuthi/m */
/*     where m = n for x() real and m = 2*n for complex. */

/*     values for cutlo and cuthi.. */
/*     from the environmental parameters listed in the imsl converter */
/*     document the limiting values are as follows.. */
/*     cutlo, s.p.   u/eps = 2**(-102) for  honeywell.  close seconds are 
*/
/*                   univac and dec at 2**(-103) */
/*                   thus cutlo = 2**(-51) = 4.44089e-16 */
/*     cuthi, s.p.   v = 2**127 for univac, honeywell, and dec. */
/*                   thus cuthi = 2**(63.5) = 1.30438e19 */
/*     cutlo, d.p.   u/eps = 2**(-67) for honeywell and dec. */
/*                   thus cutlo = 2**(-33.5) = 8.23181d-11 */
/*     cuthi, d.p.   same as s.p.  cuthi = 1.30438d19 */
/*     data cutlo, cuthi / 8.232d-11,  1.304d19 / */
/*     data cutlo, cuthi / 4.441e-16,  1.304e19 / */

#line 6798 "f2ctmp_dblas.f"
    if (*n > 0) {
#line 6798 "f2ctmp_dblas.f"
	goto L10;
#line 6798 "f2ctmp_dblas.f"
    }
#line 6799 "f2ctmp_dblas.f"
    ret_val = zero;
#line 6800 "f2ctmp_dblas.f"
    goto L300;

#line 6802 "f2ctmp_dblas.f"
L10:
#line 6802 "f2ctmp_dblas.f"
    next = 0;
#line 6802 "f2ctmp_dblas.f"
    next_fmt = fmt_30;
#line 6803 "f2ctmp_dblas.f"
    sum = zero;
#line 6804 "f2ctmp_dblas.f"
    i = 1;
#line 6805 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 6805 "f2ctmp_dblas.f"
	i = (-(*n) + 1) * *incx + 1;
#line 6805 "f2ctmp_dblas.f"
    }
/*                                                 begin main loop */
#line 6807 "f2ctmp_dblas.f"
    i__1 = *n;
#line 6807 "f2ctmp_dblas.f"
    for (ix = 1; ix <= i__1; ++ix) {
#line 6808 "f2ctmp_dblas.f"
	i__2 = i;
#line 6808 "f2ctmp_dblas.f"
	absx = (d__1 = zx[i__2].r, abs(d__1));
#line 6809 "f2ctmp_dblas.f"
	imag = FALSE_;
#line 6810 "f2ctmp_dblas.f"
	switch (next) {
#line 6810 "f2ctmp_dblas.f"
	    case 0: goto L30;
#line 6810 "f2ctmp_dblas.f"
	    case 1: goto L50;
#line 6810 "f2ctmp_dblas.f"
	    case 2: goto L70;
#line 6810 "f2ctmp_dblas.f"
	    case 3: goto L110;
#line 6810 "f2ctmp_dblas.f"
	    case 4: goto L90;
#line 6810 "f2ctmp_dblas.f"
	}
#line 6811 "f2ctmp_dblas.f"
L30:
#line 6811 "f2ctmp_dblas.f"
	if (absx > cutlo) {
#line 6811 "f2ctmp_dblas.f"
	    goto L85;
#line 6811 "f2ctmp_dblas.f"
	}
#line 6812 "f2ctmp_dblas.f"
	next = 1;
#line 6812 "f2ctmp_dblas.f"
	next_fmt = fmt_50;
#line 6813 "f2ctmp_dblas.f"
	scale = FALSE_;

/*                        phase 1.  sum is zero */

#line 6817 "f2ctmp_dblas.f"
L50:
#line 6817 "f2ctmp_dblas.f"
	if (absx == zero) {
#line 6817 "f2ctmp_dblas.f"
	    goto L200;
#line 6817 "f2ctmp_dblas.f"
	}
#line 6818 "f2ctmp_dblas.f"
	if (absx > cutlo) {
#line 6818 "f2ctmp_dblas.f"
	    goto L85;
#line 6818 "f2ctmp_dblas.f"
	}

/*                                prepare for phase 2. */
#line 6821 "f2ctmp_dblas.f"
	next = 2;
#line 6821 "f2ctmp_dblas.f"
	next_fmt = fmt_70;
#line 6822 "f2ctmp_dblas.f"
	goto L105;

/*                                prepare for phase 4. */

#line 6826 "f2ctmp_dblas.f"
L100:
#line 6826 "f2ctmp_dblas.f"
	next = 3;
#line 6826 "f2ctmp_dblas.f"
	next_fmt = fmt_110;
#line 6827 "f2ctmp_dblas.f"
	sum = sum / absx / absx;
#line 6828 "f2ctmp_dblas.f"
L105:
#line 6828 "f2ctmp_dblas.f"
	scale = TRUE_;
#line 6829 "f2ctmp_dblas.f"
	xmax = absx;
#line 6830 "f2ctmp_dblas.f"
	goto L115;

/*                   phase 2.  sum is small. */
/*                             scale to avoid destructive underflow. 
*/

#line 6835 "f2ctmp_dblas.f"
L70:
#line 6835 "f2ctmp_dblas.f"
	if (absx > cutlo) {
#line 6835 "f2ctmp_dblas.f"
	    goto L75;
#line 6835 "f2ctmp_dblas.f"
	}

/*                     common code for phases 2 and 4. */
/*                     in phase 4 sum is large.  scale to avoid overfl
ow. */

#line 6840 "f2ctmp_dblas.f"
L110:
#line 6840 "f2ctmp_dblas.f"
	if (absx <= xmax) {
#line 6840 "f2ctmp_dblas.f"
	    goto L115;
#line 6840 "f2ctmp_dblas.f"
	}
/* Computing 2nd power */
#line 6841 "f2ctmp_dblas.f"
	d__1 = xmax / absx;
#line 6841 "f2ctmp_dblas.f"
	sum = one + sum * (d__1 * d__1);
#line 6842 "f2ctmp_dblas.f"
	xmax = absx;
#line 6843 "f2ctmp_dblas.f"
	goto L200;

#line 6845 "f2ctmp_dblas.f"
L115:
/* Computing 2nd power */
#line 6845 "f2ctmp_dblas.f"
	d__1 = absx / xmax;
#line 6845 "f2ctmp_dblas.f"
	sum += d__1 * d__1;
#line 6846 "f2ctmp_dblas.f"
	goto L200;


/*                  prepare for phase 3. */

#line 6851 "f2ctmp_dblas.f"
L75:
#line 6851 "f2ctmp_dblas.f"
	sum = sum * xmax * xmax;

#line 6853 "f2ctmp_dblas.f"
L85:
#line 6853 "f2ctmp_dblas.f"
	next = 4;
#line 6853 "f2ctmp_dblas.f"
	next_fmt = fmt_90;
#line 6854 "f2ctmp_dblas.f"
	scale = FALSE_;

/*     for real or d.p. set hitest = cuthi/n */
/*     for complex      set hitest = cuthi/(2*n) */

#line 6859 "f2ctmp_dblas.f"
	hitest = cuthi / (doublereal) (*n << 1);

/*                   phase 3.  sum is mid-range.  no scaling. */

#line 6863 "f2ctmp_dblas.f"
L90:
#line 6863 "f2ctmp_dblas.f"
	if (absx >= hitest) {
#line 6863 "f2ctmp_dblas.f"
	    goto L100;
#line 6863 "f2ctmp_dblas.f"
	}
/* Computing 2nd power */
#line 6864 "f2ctmp_dblas.f"
	d__1 = absx;
#line 6864 "f2ctmp_dblas.f"
	sum += d__1 * d__1;
#line 6865 "f2ctmp_dblas.f"
L200:
/*                  control selection of real and imaginary parts. */

#line 6868 "f2ctmp_dblas.f"
	if (imag) {
#line 6868 "f2ctmp_dblas.f"
	    goto L210;
#line 6868 "f2ctmp_dblas.f"
	}
#line 6869 "f2ctmp_dblas.f"
	i__2 = i;
#line 6869 "f2ctmp_dblas.f"
	z__1.r = zx[i__2].r * 0. - zx[i__2].i * -1., z__1.i = zx[i__2].r * 
		-1. + zx[i__2].i * 0.;
#line 6869 "f2ctmp_dblas.f"
	absx = (d__1 = z__1.r, abs(d__1));
#line 6870 "f2ctmp_dblas.f"
	imag = TRUE_;
#line 6871 "f2ctmp_dblas.f"
	switch (next) {
#line 6871 "f2ctmp_dblas.f"
	    case 0: goto L30;
#line 6871 "f2ctmp_dblas.f"
	    case 1: goto L50;
#line 6871 "f2ctmp_dblas.f"
	    case 2: goto L70;
#line 6871 "f2ctmp_dblas.f"
	    case 3: goto L110;
#line 6871 "f2ctmp_dblas.f"
	    case 4: goto L90;
#line 6871 "f2ctmp_dblas.f"
	}

#line 6873 "f2ctmp_dblas.f"
L210:
#line 6874 "f2ctmp_dblas.f"
	i += *incx;
#line 6875 "f2ctmp_dblas.f"
/* L220: */
#line 6875 "f2ctmp_dblas.f"
    }

/*              end of main loop. */
/*              compute square root and adjust for scaling. */

#line 6880 "f2ctmp_dblas.f"
    ret_val = sqrt(sum);
#line 6881 "f2ctmp_dblas.f"
    if (scale) {
#line 6881 "f2ctmp_dblas.f"
	ret_val *= xmax;
#line 6881 "f2ctmp_dblas.f"
    }
#line 6882 "f2ctmp_dblas.f"
L300:
#line 6883 "f2ctmp_dblas.f"
    return ret_val;
} /* dznrm2_ */

integer idamax_(integer *n, doublereal *dx, integer *incx)
{
    /* System generated locals */
    integer ret_val, i__1;
    doublereal d__1;

    /* Local variables */
    static integer i, ix;
    static doublereal dmax__;


/*     finds the index of element having max. absolute value. */
/*     jack dongarra, linpack, 3/11/78. */
/*     modified to correct problem with negative increment, 8/21/90. */


#line 6894 "f2ctmp_dblas.f"
    /* Parameter adjustments */
#line 6894 "f2ctmp_dblas.f"
    --dx;
#line 6894 "f2ctmp_dblas.f"

#line 6894 "f2ctmp_dblas.f"
    /* Function Body */
#line 6894 "f2ctmp_dblas.f"
    ret_val = 0;
#line 6895 "f2ctmp_dblas.f"
    if (*n < 1) {
#line 6895 "f2ctmp_dblas.f"
	return ret_val;
#line 6895 "f2ctmp_dblas.f"
    }
#line 6896 "f2ctmp_dblas.f"
    ret_val = 1;
#line 6897 "f2ctmp_dblas.f"
    if (*n == 1) {
#line 6897 "f2ctmp_dblas.f"
	return ret_val;
#line 6897 "f2ctmp_dblas.f"
    }
#line 6898 "f2ctmp_dblas.f"
    if (*incx == 1) {
#line 6898 "f2ctmp_dblas.f"
	goto L20;
#line 6898 "f2ctmp_dblas.f"
    }

/*        code for increment not equal to 1 */

#line 6902 "f2ctmp_dblas.f"
    ix = 1;
#line 6903 "f2ctmp_dblas.f"
    if (*incx < 0) {
#line 6903 "f2ctmp_dblas.f"
	ix = (-(*n) + 1) * *incx + 1;
#line 6903 "f2ctmp_dblas.f"
    }
#line 6904 "f2ctmp_dblas.f"
    dmax__ = (d__1 = dx[ix], abs(d__1));
#line 6905 "f2ctmp_dblas.f"
    ix += *incx;
#line 6906 "f2ctmp_dblas.f"
    i__1 = *n;
#line 6906 "f2ctmp_dblas.f"
    for (i = 2; i <= i__1; ++i) {
#line 6907 "f2ctmp_dblas.f"
	if ((d__1 = dx[ix], abs(d__1)) <= dmax__) {
#line 6907 "f2ctmp_dblas.f"
	    goto L5;
#line 6907 "f2ctmp_dblas.f"
	}
#line 6908 "f2ctmp_dblas.f"
	ret_val = i;
#line 6909 "f2ctmp_dblas.f"
	dmax__ = (d__1 = dx[ix], abs(d__1));
#line 6910 "f2ctmp_dblas.f"
L5:
#line 6910 "f2ctmp_dblas.f"
	ix += *incx;
#line 6911 "f2ctmp_dblas.f"
/* L10: */
#line 6911 "f2ctmp_dblas.f"
    }
#line 6912 "f2ctmp_dblas.f"
    return ret_val;

/*        code for increment equal to 1 */

#line 6916 "f2ctmp_dblas.f"
L20:
#line 6916 "f2ctmp_dblas.f"
    dmax__ = abs(dx[1]);
#line 6917 "f2ctmp_dblas.f"
    i__1 = *n;
#line 6917 "f2ctmp_dblas.f"
    for (i = 2; i <= i__1; ++i) {
#line 6918 "f2ctmp_dblas.f"
	if ((d__1 = dx[i], abs(d__1)) <= dmax__) {
#line 6918 "f2ctmp_dblas.f"
	    goto L30;
#line 6918 "f2ctmp_dblas.f"
	}
#line 6919 "f2ctmp_dblas.f"
	ret_val = i;
#line 6920 "f2ctmp_dblas.f"
	dmax__ = (d__1 = dx[i], abs(d__1));
#line 6921 "f2ctmp_dblas.f"
L30:
#line 6921 "f2ctmp_dblas.f"
	;
#line 6921 "f2ctmp_dblas.f"
    }
#line 6922 "f2ctmp_dblas.f"
    return ret_val;
} /* idamax_ */

